Tue Apr 18 00:14:56 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h

          Reverted back the two files I accidentally checked in, which
          should have gone into a branch. :(

Mon Apr 17 18:04:56 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * M docs/tutorials/Quoter/Simple/Distributor/Distributor.mpc
        * examples/BasicSP/BasicSP.mpc
        * examples/BasicSP/BMClosedED/BMClosedED.mpc
        * examples/BasicSP/BMDevice/BMDevice.mpc
        * examples/BasicSP/BMDisplay/BMDisplay.mpc
        * examples/BasicSP/EC/EC.mpc
        * examples/Display/HUDisplay.mpc
        * examples/Display/GPS/GPS.mpc
        * examples/Display/NavDisplay/NavDisplay.mpc
        * examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc
        * examples/Display/RateGen/RateGen.mpc
        * examples/Hello/Hello_Base/Hello_Base.mpc
        * examples/Hello/Receiver/Receiver.mpc
        * examples/Hello/Sender/Sender.mpc
        * examples/Swapping/Hello_Base/Hello_Base.mpc
        * examples/Swapping/Receiver/Receiver.mpc
        * examples/Swapping/Sender/Sender.mpc
        * tools/Config_Handlers/Config_Handlers.mpc

          Linking fixes for OS X.


Mon Apr 17 02:33:44 UTC 2006  Wallace Zhang  <zhangw@ociweb.com>

        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.mpc:
        * tools/Config_Handlers/Config_Handlers.mpc:

          Avoids building with ace_for_tao.

Fri Apr 14 14:50:47 UTC 2006  Wallace Zhang  <zhangw@ociweb.com>

        * examples/BasicSP/BMClosedED/BMClosedED.mpc:
        * examples/BasicSP/BMDisplay/BMDisplay.mpc:
        * examples/Display/GPS/GPS.mpc:
        * examples/Display/RateGen/RateGen.mpc:
        * examples/Hello/Sender/Sender.mpc:
        * examples/Swapping/Sender/Sender.mpc:
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc:
        * tests/CIDL/CodeGen/CodeGen.mpc:
        * tests/Minimum/Receiver/Receiver.mpc:

          Avoids building with ace_for_tao.

Thu Apr 13 19:18:22 UTC 2006  Wallace Zhang  <zhangw@ociweb.com>

        * docs/tutorials/Quoter/Simple/Broker/Broker.mpc:
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.mpc:
        * examples/BasicSP/BMDevice/BMDevice.mpc:
        * examples/BasicSP/EC/EC.mpc:
        * examples/Display/NavDisplay/NavDisplay.mpc:
        * examples/Hello/Receiver/Receiver.mpc:
        * examples/Swapping/Receiver/Receiver.mpc:
        * performance-tests/Benchmark/Benchmark.mpc:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc:
        * tests/Minimum/Sender/Sender.mpc:

          Avoids building with ace_for_tao.

Apr Thu 13 03:32:35 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Events.idl

          Removed this file.

        * ciaosvcs/Events/CIAO_Events.mpc

          Modified to put an empty segment of IDL_Files.

Wed Apr 12 17:51:03 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * NEWS

          Updated the NEWS file.

Wed Apr 12 14:47:14 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication.mpc
        * DAnCE/NodeManager/Monitor.mpc
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc
        * DAnCE/tests/NodeApplicationTest/NodeAppTest.mpc
        * ciaosvcs/Events/CIAO_Events.mpc

        Fixes for linking errors/warnings on OS X builds.

Tue Apr 11 12:39:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Utils/Utils.mpc:
          Use exceptions as base project

Tue Apr 11 12:43:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Container_Base.cpp:
          Small simplification

Tue Apr 11 12:22:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/IDL3/ImpliedIDL/Components/EventSink/ICEventSink.mpc:
        * tests/IDL3/Components/SimpleComponent/SimpleComponent.mpc:
          Updated base projects to get correct build order

Tue Apr 11 08:43:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp:
          Initialise pointers with 0

Tue Apr 11 06:54:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Minimum/Minimum_Base/Minimum.mpc:
        * tests/IDL3/Lookup/lookup_test.mpc:
        * tests/IDL3/ImpliedIDL/Homes/Homes.mpc:
        * tests/IDL3/ImpliedIDL/Events/Events.mpc:
        * tests/IDL3/ImpliedIDL/Components/Receptacles/ICReceptacles.mpc:
        * tests/IDL3/ImpliedIDL/Components/EventSource/ICEventSource.mpc:
        * tests/IDL3/ImpliedIDL/Components/Basic/ICBasic.mpc:
        * tests/IDL3/Homes/Inheritance/Inheritance.mpc:
        * tests/IDL3/Homes/Finder/Finder.mpc:
        * tests/IDL3/Homes/Factory/Factory.mpc:
        * tests/IDL3/Homes/Basic/Basic.mpc:
        * tests/IDL3/Homes/Attributes/HomeAttributes.mpc:
        * tests/IDL3/Events/Regular/Regular.mpc:
        * tests/IDL3/Events/Abstract/Abstract.mpc:
        * tests/IDL3/Components/ComplexComponent/Receptacles/Receptacles.mpc:
        * tests/IDL3/Components/ComplexComponent/Facets/Facets.mpc:
        * tests/IDL3/Components/ComplexComponent/EventSource/EventSource.mpc:
        * tests/IDL3/Components/ComplexComponent/EventSink/EventSink.mpc:
        * tests/IDL3/Components/ComplexComponent/Attributes/Attributes.mpc:
        * tests/CIDL/CodeGen/CodeGen.mpc:
        * tests/Bug_2130_Regression/interfaces/ENW.mpc:
        * performance-tests/Protocols/common/Protocols.mpc:
        * examples/Swapping/Hello_Base/Hello_Base.mpc:
        * examples/Hello/Hello_Base/Hello_Base.mpc:
        * examples/Display/HUDisplay.mpc:
        * examples/BasicSP/BasicSP.mpc:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc:
          Updated base projects to get correct build order

Tue Apr 11 06:35:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers.mpc:
          Use base projects to set dependencies

Mon Apr 10 18:48:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication.mpc:
          Fixed base project

Mon Apr 10 14:29:13 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * TAO/CIAO/ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp

          Modified to make _narrow to be called at the first step
          when connecting supplier and config. Also modified to
          make debug statements debug_level controlled.

Mon Apr 10 12:31:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Core.mpc:
          Removed commented out line

        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc:
          Updated base projects

Mon Apr 10 11:51:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Base.mpc:
          Readded ciao_container_dnc

        * ciao/CCM_Core.mpc:
          Use more base projects

        * DAnCE/Interfaces/Interfaces.mpc:
        * DAnCE/ExecutionManager/ExecutionManager.mpc:
          Use other base projects to get correct build order

Mon Apr 10 10:00:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Base.mpc:
          Removed ciao_container_dnc

Mon Apr 10 09:38:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_Events.mpc:
          Use ciao_rtevent_dnc as base

Mon Apr 10 09:18:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.mpc:
        * ciaosvcs/Events/CIAO_Events.mpc:
          Use ciao_events_base_dnc as base project

Mon Apr 10 09:15:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Core.mpc:
          For Deployment_Stub use ciao_events_base_dnc and ciao_client_dnc
          as base projects

Mon Apr 10 08:50:14 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_Events.mpc:
          Removed ciao_events_dnc as base project, we are building
          this lib right now

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Base.mpc:
          Use base projects instead of libs

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.mpc:
          Remvoed ciao_events_dnc

Sat Apr  8 15:39:14 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Base.mpc

          Fixed a linking error in SuSE_CP_Static build.

Fri Apr  7 04:09:33 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h

          Fixed a bug in detecting External connection and Internal
          connections. Earlier when an external component is detected,
          not *all* connections associated with this components are
          purged from the to-be-removed connections list. Added another
          helper method <purge_connections> to accomplish this task.

          Modified to enforce passivation occured on all components
          before any connections are removed.

Fri Apr  7 03:55:46 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Fixed a bug when redeploying components using the same set
          of NodeManagers. Earlier when destroying applications or
          components, internal components and external/shared components
          are not all unbinded from the map, which causes duplicate
          instance exception thrown.

Thu Apr  6 16:01:30 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CCF/CCF/CompilerElements/TokenStream.hpp:

          Added empty virtual destructor to template base class, to
          eliminate bogus GCC warnings.

Thu Apr  6 15:22:31 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Events.mpc

          Fixed linking errors on WinXP_BCB6_Pro_Dynamic_Release build.

        * examples/Hello/descriptors_shared_components/deploymentplan.cdp
        * examples/Hello/descriptors_shared_components/deploymentplan_shared_components.cdp

          Modified to illustrate the shared components scenario.

Thu Apr  6 14:54:59 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_EventService_Factory_impl.h
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.h

          Some cosmestic changes.

Thu Apr  6 08:20:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/CCM_Component.idl:
          Removed the forward declaration of IRObject and just include
          ciao/CCM_Component.idl. The forward declaration is causing
          problems with the versioned namespace support, will investigate
          this later

Wed Apr  5 20:57:32 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * TAO/CIAO/ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp

          Make debug statement debug_level controlled.

Wed Apr  5 18:49:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp:
          Fixed compile errors

Wed Apr  5 13:18:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.h:
          Fixed pragma once warning

        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp:
          Fixed conversion warning

Wed Apr  5 12:24:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp:
          Fixed compile errors

Tue Apr  4 18:11:37 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_EventService_Factory_impl.cpp
        * ciaosvcs/Events/CIAO_EventService_Factory_impl.h

          Fixed an warning in WinXP_BCB6_Pro_Dynamic_Debug build
          by modifying the name of the original "init" method.

Tue Apr  4 17:27:52 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * tools/Config_Handlers/CIAO_Events/test.cpp

          Fixed an warning.

Mon Apr  3 20:00:11 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/Literals.hpp:
        * CIDLC/Literals.cpp:

          Changed an enum value 'SIZE' to 'LIT_SIZE' to avoid an
          apparent conflict with something in WinDef.h on
          Windows.

Thu Mar 30 18:28:32 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Deployment_Events.idl
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.cpp

          Fixed fuzz errors.

Thu Mar 30 17:16:17 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Direct/*

          Removed all files under this directory since they are
          no longer used.

Thu Mar 30 17:23:12 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc

          Added link dependency to CIAO_Events_Handler project.

Thu Mar 30 16:38:25 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * CIAO_DAnCE.mwc
        * CIAO_TAO.mwc
        * CIAO_TAO_DAnCE.mwc

          Added "ciaosvcs" into the workspace.

        * ciao/CCM_Core.mpc
        * ciao/CCM_Event.idl
        * ciao/Container_Base.cpp
        * ciao/Container_Base.h
        * ciao/Deployment_Core.idl
        * ciao/Deployment_Data.idl
        * ciao/Deployment_Events.idl

          Added an "CIAO_DnC_Events" project. Enhanced Deployment_Core.idl
          to support configuring and deploying pub/sub services.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeApplication/NodeApplication_Impl.inl
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Enhanced DAnCE to support pub/sub services integration.

        * ciaosvcs/Events/CIAO_EventService_Factory_impl.cpp
        * ciaosvcs/Events/CIAO_EventService_Factory_impl.h
        * ciaosvcs/Events/CIAO_Events.idl
        * ciaosvcs/Events/CIAO_Events.mpc
        * ciaosvcs/Events/CIAO_Events_Export.h
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.cpp
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.h
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.idl
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent_Export.h
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.cpp
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_EventServiceBase.h
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events.idl
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Base.mpc
        * ciaosvcs/Events/CIAO_Events_Base/CIAO_Events_Export.h
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEVENT_Export.h
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.cpp
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.h
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.idl
        * ciaosvcs/Events/CIAO_RTEC/CIAO_RTEvent.mpc

          Added CIAO_Event_Service support, which are some reusable
          libraries and CORBA services that could be configured and
          installed on demand through the DAnCE toolchain.

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/CIAOEvents.xsd
        * docs/schema/cdp.xsd

          Enhanced XML schema to capture metadata information for
          configuring and deploying pub/sub services.

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/ESD_Handler.cpp
        * tools/Config_Handlers/ESD_Handler.h
        * tools/Config_Handlers/PSPE_Handler.cpp
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.cpp
        * tools/Config_Handlers/CIAO_Events/CIAOEvents.hpp
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.cpp
        * tools/Config_Handlers/CIAO_Events/CIAOEvents_Handler.h
        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers.mpc
        * tools/Config_Handlers/CIAO_Events/CIAO_Events_Handlers_Export.h
        * tools/Config_Handlers/CIAO_Events/test.cpp

          Added config handler support to accomodate the above changes.

        * examples/Hello/descriptors_events/ciao-events-example-with-filters.ced
        * examples/Hello/descriptors_events/ciao-events-example.ced
        * examples/Hello/descriptors_events/flattened_deploymentplan_events.cdp
        * examples/Hello/descriptors_events/flattened_deploymentplan_with_filters.cdp

          Added several examples to showcase the capability of CIAO
          pub/sub services.

Thu Mar 30 14:43:46 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/AttributeSourceEmitters_T.hpp:

          Added 'using namespace StringLiterals;' to this file. Thanks
          to Nanbor Wang <nanbor@txcorp.com> for pointing out that
          this line is also necessary on some platforms, in addition
          to the change of

          Wed Mar 29 20:29:40 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Wed Mar 29 20:29:40 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/AttributeSourceEmitters_T.hpp:

          Added #include of Literals.hpp. Some platforms are picking up
          the declarations  in this file without the explicit include,
          others are not.

Wed Mar 29 19:52:54 UTC 2006  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * examples/Hello/descriptors_RTCCM/rt-config-example.csr:
          Updated <cmdline> and <svcconf> element with more realistic
          values.

Wed Mar 29 04:40:58 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Added the functionality to honor command line arguments
          and service configuration file options defined through
          RT-CCM descriptors.

Mon Mar 27 19:56:51 UTC 2006  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/NodeApplication.cpp (main): Added code to
          print out commandline options of the NodeApplicaion.  The print
          out is available for CIAO_DEBUG_LEVEL > 9.

        * DAnCE/NodeApplication/Configuration_Factory.h:
        * DAnCE/NodeApplication/Configuration_Factory.cpp: Changed
          parse_args function to pass "argc" as reference to be consistent
          with Arg_Shifter's signature.

          Double-check the "-o" flag first with exact string comparison
          before extracting the parameter to avoid mistaking any of the
          "-ORBxxx" command line flags as the "-o" flag.  Thanks to Sandro
          Andrade <sandro @dcc.ufba.br> for reporting the bug.

Mon Mar 20 22:35:47 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Servant_Impl_Utils_T.cpp:

          - Added 'typename' qualifier when declaring instances
            of an iterator for a templatized hash map, since gcc
            reminds us that leaving the compiler to implicitly
            determine if the scoped name denotes a member or a
            type is deprecated.

          - Added an #include of Cookies.h, which is need by compilers
            that don't require the template sourced to be included in
            the header file.

Sun Mar 19 20:37:47 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/TypeNameEmitter.cpp:
        * CIDLC/TypeNameEmitter.hpp:

          Removed these files, their former contents are now divided
          between CorbaTypenameEmitters.{hpp,cpp} and
          UtilityTypeNameEmitters.{hpp,cpp}.

Fri Mar 17 14:23:53 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/CCM_Core.mpc:
        * ciao/Servant_Impl_Base.cpp:
        * ciao/Servant_Impl_Base.h

          - Changed port table types from
            ACE_Hash_Map_Manager_Ex<> to ACE_Array_Map<>,
            which is more lightweight and makes no
            allocations if no entries are added to
            the table.

          - Implemented spec-defined methods
            get_all_receptacles(), get_all_publishers(),
            and disconnect_consumer().

        * ciao/Servant_Impl_Utils_T.cpp:

          New file, containing implementations of new
          static template methods added to class
          Servant_Impl_Base, which are called in
          generated code as part of the implementation
          of the spec-defined methods mentioned above.

        * CIDLC/AttributeHeaderEmitters.cpp:
        * CIDLC/AttributeHeaderEmitters.hpp:
        * CIDLC/AttributeSourceEmitters_T.hpp:
        * CIDLC/CompositionEmitter.cpp:
        * CIDLC/CompositionEmitter.hpp:
        * CIDLC/CorbaTypeNameEmitters.cpp:
        * CIDLC/CorbaTypeNameEmitters.hpp:
        * CIDLC/EmitterBase.cpp:
        * CIDLC/EmitterBase.hpp:
        * CIDLC/EmitterContext.cpp:
        * CIDLC/EmitterContext.hpp:
        * CIDLC/InterfaceEmitter.cpp:
        * CIDLC/InterfaceEmitter.hpp:
        * CIDLC/ModuleEmitter.cpp:
        * CIDLC/ModuleEmitter.hpp:
        * CIDLC/OperationHeaderEmitters.cpp:
        * CIDLC/OperationHeaderEmitters.hpp:
        * CIDLC/ParameterEmitter_T.hpp:
        * CIDLC/Upcase.hpp:
        * CIDLC/UtilityTypeNameEmitters.cpp:
        * CIDLC/UtilityTypeNameEmitters.hpp:

          New files, containing common code factored
          out of the C++ source files below.

        * CIDLC/CIDLC.mpc:
        * CIDLC/DescriptorGenerator.cpp:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ExecutorMappingGenerator.cpp:
        * CIDLC/Literals.cpp:
        * CIDLC/Literals.hpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          - Added new generated code as part of the
            implementation of the spec-defined methods
            mentioned above.

          - Added support for attribute exceptions in
            code optionally generated for the stencil
            executor implementation classes.

Thu Mar 16 16:31:51 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/CCM_Component.idl:

          Added "omg.org" prefix to the recently added opening of the
          CORBA module in this file.

Tue Mar 14 10:10:58 UTC 2006  Nilabja Roy  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorController.h:
          Reverting back to previous version to avoid conflicts

Tue Mar 14 09:46:25 UTC 2006  Nilabja Roy  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorController.cpp:
          Reverting back to previous version. Mistakenly added conflicted version.

Thu Mar  9 09:18:58 2006  Douglas C. Schmidt  <schmidt@cse.wustl.edu>

        * COPYING: Updated the date to include 2006.
          Thanks to Alan Kierstead <ackierstead at fedex dot com> for
          motivating the fix to this oversight.

Thu Mar 09 08:55:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Interfaces/ExecutionManagerDaemon.idl:
        * DAnCE/Interfaces/NodeManagerDaemon.idl:
          New idl files, these are the same as there are now in the directory
          but then just renamed to match the interfaces in these files and
          then don't conflict with the ones I created in ciao.

        * DAnCE/Interfaces/ExecutionManager.idl:
        * DAnCE/Interfaces/NodeManager.idl:
          Removed, file names where not correct and now conflict with files in
          the ciao directory

        * DAnCE/Interfaces/Interfaces.mpc:
          Updated because of file renames

        * ciao/CCM_Base.idl:
          Removed old comment

        * ciao/CCM_Component.idl:
          Forward declare CORBA::IRObject instead of including the IFR_Client
          idl file

        * ciao/Deployment_Base.idl:
          Removed not needed include

        * ciao/Dynamic_Component_Activator.h:
          Reordered includes

        * ciao/Swapping_Servant_Home_Impl_Base.h:
        * ciao/Upgradeable_Context_Impl_T.h:
        * ciao/Swapping_Servant_Home_Impl_T.h:
        * ciao/Swapping_Servant_Home_Impl_T.cpp:
          Added ciao/ as prefix for the includes

        * ciao/Upgradeable_Context_Impl_T.h:
          Added private default constructor

        * ciao/Deployment.idl:
        * ciao/DomainApplicationManager.idl:
        * ciao/ExecutionManager.idl:
        * ciao/NodeApplication_Callback.idl:
        * ciao/NodeApplicationManager.idl:
        * ciao/NodeManager.idl:
        * ciao/RepositoryManager.idl:
        * ciao/CCM_Core.mpc:
          Splitted Deployment.idl in multiple files so that the linker
          can decide not to link in a set of object files we don't need.
          This will reduce footprint for several applications

        * DAnCE/DomainApplicationManager/Deployment_Configuration.h:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:
        * DAnCE/ExecutionManager/DAM_Map.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/Node_Manager.cpp:
        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.{h.cpp}:
        * DAnCE/TargetManager/Deployment_Configuration.h:
          Updated for the idl subsetting of ciao/Deployment.idl. Also add ciao/
          prefix to several includes and try to cleanup a little.

        * DAnCE/RepositoryManager/RepositoryManager.idl:
        * DAnCE/RepositoryManager/RepositoryManagerDaemon.idl:
          Renamed the first file to the second, matches the interface name.

        * DAnCE/RepositoryManager/RepositoryManager.mpc:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/RepositoryManager/PC_Updater.{h,cpp}:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/RepositoryManager/RepositoryManager.cpp:
          Updated because of rename above

        * DAnCE/RTNodeApplication/senv.sh:
          Removed this file, no need here.

        * DAnCE/RTNodeApplication/NodeApplication_Task.h:
          No need for virtual inheritance, that consumes more footprint then
          needed.

        * DAnCE/RTNodeApplication/NodeApplication_Task.cpp:
          Reordered includes

Wed Mar 08 15:58:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/ServerResources.idl:
          Fixed incorrect file header

Wed Mar 08 14:01:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rules.ciao.GNU:
          Added $(CIAO_ROOT)/ciao to LDFLAGS and $(CIAO) to INCLDIRS
          as we do in rules.tao.GNU, this improves the footprint stats

Mon Mar 06 16:16:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Swapping_Container.{h,cpp}:
          Made serial_number_ unsigned and documented why it is static

        * performance-tests/Benchmark/LatencyTest.h:
          Removed not needed msvc pragma push/pop

Sun Mar 05 11:16:46 2006  Wallace Zhang  <zhangw@ociweb.com>

        * CIAO version 0.5 released.

Thu Mar  2 17:50:36 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/SemanticGraph/Struct.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.cpp:

          Fixed a bug in the logic that determines completeness of recursive
          structs and unions.

Thu Mar  2 08:49:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/Container_Impl.cpp:
          Replaced NULL with 0

Thu Mar  2 01:33:09 UTC 2006  Wallace Zhang  <zhangw@ociweb.com>

        * NEWS:

          Updated this file with info from Ming Xiong and Gan Deng.

Wed Mar  1 22:34:52 UTC 2006  Wallace Zhang  <zhangw@ociweb.com>

        * NEWS:

          Updated the file with info from Ming Xiong.

Wed Mar  1 19:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO-INSTALL.html:
          Updated rename of CIAOTAO.mwc to CIAO_TAO.mwc

Wed Mar  1 15:02:10 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * DAnCE/NodeApplication/Container_Impl.h
        * DAnCE/NodeApplication/Container_Impl.cpp

        Added codes to unregister with naming service when removing
        components

Tue Feb 28 18:46:42 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Deployment.xsd
        * DAnCE/Deployment.xsd.orig
        * DAnCE/XMI.xsd
        * DAnCE/XMI.xsd.orig

          Removed these schema files.  They were misleading and useless.

Fri Feb 24 21:21:02 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc

          Added a verbatim to disable hidden_visibility for Config_Handlers

Fri Feb 24 18:54:52 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/RepositoryManager/HTTP_Handler.cpp:
        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/RM_Helper.cpp:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
          some cosmetic changes

        * DAnCE/RepositoryManager/URL_Parser.h:
          made the constructor protected and made the ACE_Singleton a friend

        * DAnCE/RepositoryManager/URL_Parser.cpp:
          fixed a bug and improved the robustness of the code

Fri Feb 24 09:38:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO-INSTALL.html:
          Fixed typo

Thu Feb 23 23:35:59 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * examples/Swapping/Receiver/Receiver.mpc:
        * examples/Swapping/Sender/Sender.mpc:

          I was over zealous in my previous change.  I shortened too many
          project names (those that are defined in projects outside of these
          mpc files).

Wed Feb 22 16:38:32 UTC 2006  Chad Elliott  <elliott_c@ociweb.com>

        * CIAO-INSTALL.html:

          Updated the documentation on how to build cidlc on Windows.

        * examples/Swapping/Receiver/Receiver.mpc:
        * examples/Swapping/Sender/Sender.mpc:

          Shortened the project names in these MPC files to avoid fuzz
          warnings.

Wed Feb 22 01:11:59 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplication/Container_Impl.cpp

          Fixed a bug about naming service registration.
          Thanks Sandro Andrade <sandro @dcc.ufba.br> for reporting
          a bug about removing component error.

Tue Feb 21 23:59:05 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Deployment.idl

          Added a parameter to the perform_redeployment() operation
          to the NodeApplicationManager interface to separate the
          "installation of new components" from the "removal of
          existing components".

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Modified the logic of perform_redeployment() functionality
          to enforce correct order of ReDaC, which is:
          (1) Install new components,
          (2) Set up new connections,
          (3) Remove old connections, and
          (4) Remove old components.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h

          Fixed a bug about removing components when using ReDaC.
          In NodeApplicationManager, after the perform_redeployment()
          call calls the remove_components() method to actually
          destroy components from the component server, DAnCE NAM doesn't
          unbind those components from the cached component_map_, hence
          when the create_connections() method is called afterwords,
          NAM tries to access the destroyed components to get
          their port information, which causes the Object_Not_Exist
          exception thrown.

          The fix will unbind the removed components from the
          cached component map. However, the trick is that after
          we unbind these components,  the port iinformation of
          these components are also lost, then the
          DomainApplicaitonManager could not handle the
          "removal" of connections correctly.

          The Right Fix is to enforce correct call sequence, which
          are illustrated above.
          Thanks Sandro Andrade <sandro @dcc.ufba.br> for reporting
          a bug about removing component error.

        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp

          Added a component state map to keep track of component state
          information. With this map, components will be activated
          only when they are newly created, and will be passivated
          only when they are currently active. This will also fix
          a bug about the component initialization sequence. Earlier,
          when components are installed, they are immediately activated
          by explicitly calling ciao_preactivate, ciao_activate, and
          ciao_postactivate on the comopnent object reference,
          which is not compliant to the Spec defined semantics.
          This fix shall ensure that the components are activated AFTER
          their connections have been setup.

        * DAnCE/NodeApplication/Container_Impl.cpp

          Fixed a bug when passing object reference to a local function.
          Earlier the memory of the object reference is released by
          the callee, which causes the object reference becomes invalid
          after the function returns.

Tue Feb 21 19:43:11 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
        * performance-tests/Protocols/Controller/Controller.mpc

          Added avoids+= ace_for_tao to two additional projects.

        * examples/Display/descriptors/EM.ior
        * examples/Display/descriptors/GPS.ior
        * examples/Display/descriptors/NavDisplay.ior
        * examples/Display/descriptors/NavDisplayGUI.ior

          Removed these ior files.

Tue Feb 21 17:40:20 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorController.cpp:

        Fixed ACE_TRACE compilation error.

Mon Feb 20 15:08:49 2006  Wallace Zhang  <zhangw@ociweb.com>

        * CIAO version 0.4.10 released.

Mon Feb 20 19:48:12 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_Impl.ccd

          Removed this file because it is generated

Fri Feb 17 19:22:21 UTC 2006  Wallace Zhang  <zhangw@ociweb.com>

        * NEWS:

          Updated this file with more inputs.

Thu Feb 16 15:04:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_DAnCE.mwc:
          Fixed typo in this file

Thu Feb 16 04:14:15 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
        * performance-tests/Protocols/Receiver/Receiver.mpc
        * performance-tests/Protocols/Sender/Sender.mpc

          Disabled building some project when ace_for_tao is set.

Wed Feb 15 19:24:31 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIAO.mwc

          This file now builds all of CIAO.

        * CIAODAnCE.mwc
        * CIAO_DAnCE.mwc

          Renamed this file to CIAO_DAnCE.mwc

        * CIAOTAO.mwc
        * CIAO_TAO.mwc

          Renamed this file to CIAO_TAO.mwc.

          Thanks to Chad Elliott (elliott_c at ociweb dot com) for suggesting
          these changes.

        * CIAO_TAO_DAnCE.mwc

          Removed the DAnCE/tests/Config_Handlers exclusion, as it no
          longer exists.

Wed Feb 15 07:35:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.cpp:
          Replaced ACE cast macros with their C++ versions

Wed Feb 15 07:28:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/ServantSourceGenerator.cpp:
          Fixed generation so that it compiles with Borland

Tue Feb 14 23:01:46 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp

          Fixed a bug when removing ReDaC components from the container.
          This bug was caused by the container set indexing error when
          handling newly installed components.
          Thanks Sandro Andrade <sandro @dcc.ufba.br> for reporting
          this issue.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Some cosmetic changes.

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.h

          Added a const modifier in the constructor to ensure safety.

        * DAnCE/NodeManager/NodeManager_Impl.cpp

          Fixed a bug when detecting whether a component is shared
          by multiple assemblies. Earlier, when ReDaC is used, existing
          components are wrongly treated as shared components.

Tue Feb 14 22:02:59 UTC 2006  William R. Otte  <wotte@dre.vanderbilt.edu>

        * CIAO_TAO_DAnCE.mwc

          Added naming service and Config_Handlers.

        * DAnCE/NodeManager/NodeManager.mpc
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc

          Fixed link time warnings on OS X.

Tue Feb 14 19:57:32 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp

          Fixed a bug about when a component has a name with "Exec"
          string in it, the _stub library could be picked up
          incorrectly.

Mon Feb 13 20:53:58 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h

          Fixed a bug about removing existing components. Earlier
          the logic in detecting "to-be-removed" components has
          a bug.

Mon Feb 13 20:11:35 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.cpp

          Changed ACE_const_cast to c++ native const_cast since the
          former one is deprecated. Also changed the implementation of
          the acquireSession() logic, so the deadlock bug could
          be reproduced.

Mon Feb 13 20:01:38 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp

          Cosmetics change.

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h

          Enhanced to call ccm_activate, ciao_preactivate, and
          ciao_postactivate when installing new components.
          Thanks Sandro Andrade <sandro @dcc.ufba.br> for reporting
          this issue.

          Also added the logic for remove_existing_components into
          the class, which has not been integrated yet.

          Refactor the code by putting these logics into separate
          methods to enhance readability.

Mon Feb 13 17:12:09 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp

          Fixed a bug about registering EM with naming service, originally
          an invalid naming context is specified.  Also allowed EM to both
          register to naming service AND dump and IOR file. Thanks Sandro
          Andrade <sandro at dcc dot ufba dot br> for reporting this bug.

Mon Feb 13 15:41:21 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.cpp

          Fixed a warning about "deprecated conversion from string
          constant to `char*' on RHEL_Static_GCC-3.4.2 build.

Mon Feb 13 11:34:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.h:
          Removed not allowed semicolon

Mon Feb 13 09:22:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.h:
          Fixed compile error in single threaded builds

Mon Feb 13 08:32:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Server_init.cpp:
        * tests/Bug_2130_Regression/SEC_CheckPoint/controller.cpp:
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.cpp:
          Fixed conversion warnings

Sat Feb 11 21:39:54 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.h
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent_Factory.h

          Fixed fuzz build erros.

Sat Feb 11 21:26:08 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * tests/Bug_2130_Regression/descriptors/run_test.pl

          Fixed the command line option to start the NodeApplication
          to enable real-time support.
          Thanks Roland Schimmack <Roland.Schimmack @ gmx.de> for
          reporting this error.

Sat Feb 11 21:00:00 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * ciao/Server_init.cpp

          Removed an extra explicit qualification

Sat Feb 11 18:49:21 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciaosvcs/Events/CIAO_Events.mpc
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.mpc
          Removed these files to get at least our builds running again

Fri Feb 10 16:11:35 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciaosvcs/Events/CIAO_Events.mpc
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.mpc

          Temporarily disable the build of these projects before
          the integration effort is complete to avoid pollute
          the scoreboard.

Fri Feb 10 14:28:14 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * docs/tutorials/CoSMIC/01.html
        * docs/tutorials/CoSMIC/02.html
        * docs/tutorials/CoSMIC/index.html
        * docs/tutorials/CoSMIC/Images/fig10.jpg
        * docs/tutorials/CoSMIC/Images/fig11.jpg
        * docs/tutorials/CoSMIC/Images/fig2.jpg
        * docs/tutorials/CoSMIC/Images/fig4.jpg
        * docs/tutorials/CoSMIC/Images/fig5.jpg
        * docs/tutorials/CoSMIC/Images/fig6.jpg
        * docs/tutorials/CoSMIC/Images/fig7.jpg
        * docs/tutorials/CoSMIC/Images/fig8.jpg
        * docs/tutorials/CoSMIC/Images/fig9.jpg
        * docs/tutorials/CoSMIC/Model/Quoter.xme

          Updated  the CoSMIC tutorial so that it is consistent with
          the latest GME and CoSMIC.

Fri Feb 10 11:15:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Port_Activator.h:
          Doxygen improvements

        * ciao/NodeApp_CB_Impl.h:
          Made destructor protected

        * ciao/Container_Base.{h,cpp}:
          Made the refcount unsigned long, addressed several comments and
          improved documentation

Fri Feb 10 04:56:26 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplication/Container_Impl.cpp
        * DAnCE/NodeApplication/Container_Impl.h
        * ciao/Server_init.cpp
        * ciao/Server_init.h

          Added support for creating multicomponent naming context through
          the deployment plan. Thanks Dipa Suri <dipa.suri @ lmco.com> for
          contributing a NameUtility class implementation.

        * ciaosvcs/Events/CIAO_Events.idl
        * ciaosvcs/Events/CIAO_Events.mpc
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.cpp
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.h
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.idl
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent.mpc
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent_Factory.cpp
        * ciaosvcs/Events/CIAO_Direct/CIAO_DirectEvent_Factory.h

          Added some files for event channel integration for CIAO.
          More file check-ins are on the way.

Thu Feb  9 23:38:19 UTC 2006  xiong,ming  <ming.xiong@vanderbilt.edu>

        * TAO/CIAO/CIAOTAO.mwc

        Updated mwc to include some dependencies required by tests
        and examples.

        * tests/Bug_2130_Regression/Logs/PROBLEM-REPORT-FORM
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.cidl
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.idl
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint.mpc
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPointEI.idl
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_Impl.ccd
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.cpp
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec.h
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_exec_export.h
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_stub_export.h
        * tests/Bug_2130_Regression/SEC_CheckPoint/TSEC_CheckPoint_svnt_export.h
        * tests/Bug_2130_Regression/SEC_CheckPoint/controller.cpp
        * tests/Bug_2130_Regression/descriptors/DeploymentPlan.cdp
        * tests/Bug_2130_Regression/descriptors/TestNodeManagerMap.dat
        * tests/Bug_2130_Regression/descriptors/rt-config-example.csr
        * tests/Bug_2130_Regression/descriptors/run_test.pl
        * tests/Bug_2130_Regression/interfaces/ENW.idl
        * tests/Bug_2130_Regression/interfaces/ENW.mpc
        * tests/Bug_2130_Regression/interfaces/ENW_stub_export.h
        * tests/Bug_2130_Regression/interfaces/ENW_svnt_export.h

        Added a new tests for Bug_2130.
        Thanks Roland Schimmack <Roland.Schimmack @ gmx.de> for
        providing this test case.

Thu Feb  9 16:48:42 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/be_global.h:
        * tools/IDL3_to_IDL2/be_init.cpp:
        * tools/IDL3_to_IDL2/be_sunsoft.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h:

          Removed all usage of internal 'idl_bool' typedef in the
          IDL3 to IDL2 converter, consistently with the changes to
          the TAO IDL compiler front end, which is used by this
          tool.

Thu Feb  9 16:33:45 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/Any_Handler.cpp
        * tools/Config_Handlers/CCD_Handler.cpp
        * tools/Config_Handlers/CEPE_Handler.cpp
        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/CRDD_Handler.cpp
        * tools/Config_Handlers/ComponentPropertyDescription_Handler.cpp
        * tools/Config_Handlers/DD_Handler.cpp
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/DP_PCD_Handler.cpp
        * tools/Config_Handlers/DataType_Handler.cpp
        * tools/Config_Handlers/ERE_Handler.cpp
        * tools/Config_Handlers/IDD_Handler.cpp
        * tools/Config_Handlers/IDREF_Base.cpp
        * tools/Config_Handlers/ID_Handler.cpp
        * tools/Config_Handlers/IRDD_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/PSPE_Handler.cpp
        * tools/Config_Handlers/Property_Handler.cpp
        * tools/Config_Handlers/RDD_Handler.cpp
        * tools/Config_Handlers/Req_Handler.cpp
        * tools/Config_Handlers/STD_PC_Intf.cpp
        * tools/Config_Handlers/XML_File_Intf.cpp

          Added CIAO_TRACE statements to aid in debugging.

Wed Feb 08 15:53:31 2006  Wallace Zhang  <zhangw@ociweb.com>

        * CIAO version 0.4.9 released.

Tue Feb  7 16:10:10 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NodeManager.mpc

          Fixed an ordering problem.

Mon Feb  6 19:13:13 UTC 2006  William Otte    <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc

          Fixed an export problem manifesting in VC8.

        * performance-tests/Benchmark/Benchmark.mpc

          Added an empty IDL_Files section to the servant to prevent
          nmake from regenerating from the IDL file.

Mon Feb  6 13:54:39 UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ciao/ComponentsC.h:

          Place TAO namespace in this pre-generated stub header within a
          TAO versioned namespace, as TAO_IDL does for all stubs.  Fixes
          build errors in versioned-namespace enabled builds.

Mon Feb  6 13:33:54 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/NoOp_Configurator.h

          Case sensitivity error from previous commit.

Mon Feb  6 00:39:41 UTC 2006  William Otte    <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/Configurator_Factory.cpp
        * DAnCE/NodeApplication/Configurator_Factory.h
        * DAnCE/NodeApplication/NodeApplication.mpc
        * DAnCE/NodeApplication/NodeApplication_Core.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeApplication/NoOp_Configurator.cpp
        * DAnCE/NodeApplication/NoOp_Configurator.h
        * DAnCE/NodeApplication/NoOp_Configurator_export.h

          Fixed linking errors on Borland 6. Mostly involved improper
          symbol export control.

        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.hpp

          Added a fix for a broken <string> include in Borland 6.

Fri Feb  3 24:30:19  UTC 2006  Ossama Othman  <ossama_othman at symantec dot com>

        * ciao/CIAO_common.h:

          Removed extraneous "#" in "#  #error" preprocessor directive.

        * ciao/Client_init.h:

          Moved CIAO namespace out of TAO-versioned namespace block.  It
          shouldn't have been there.  Fixes namespace clashes in versioned
          namespace enabled builds.

Thu Feb  2 23:55:01 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * NEWS

          Updated the release notes.

Thu Feb  2 22:59:23 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp

          Updated include from zziplib.h to zzip/zzip.h, as the former
          is deprecated and absent in the most recent release.

Thu Feb  2 15:49:31 2006  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * docs/tutorials/CoSMIC/01.html: Commited a fix for a typo detected by
          Abdullah Sowayan <abdullah dot sowayan at lmco dot com> and
          fixed by Ming Xiong.

Thu Feb  2 16:58:15 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO_TAO_DAnCE.mwc:
        * CIAODAnCE.mwc:
          Removed Old_Config_Handlers and spec_RepositoryManager

Thu Feb  2 16:31:15 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/BaseMonitor.h
        * DAnCE/NodeManager/CIAO_Monitor.h
        * DAnCE/NodeManager/MonitorCB.h
        * DAnCE/NodeManager/MonitorController.cpp
        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/TargetManager/DomainDataManager.h

          Removed extra ';' after closing braces on namespaces.
          Was causing errors on GCC4 builds.

        * DAnCE/NodeManager/MonitorController.inl

          Removed this file, as it is no longer used.

Wed Feb  1 21:21:35 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/BaseMonitor.h
        * DAnCE/NodeManager/CIAO_Monitor.cpp
        * DAnCE/NodeManager/CIAO_Monitor.h
        * DAnCE/NodeManager/MonitorCB.cpp
        * DAnCE/NodeManager/MonitorCB.h
        * DAnCE/NodeManager/MonitorController.cpp
        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/TargetManager/DomainDataManager.cpp
        * DAnCE/TargetManager/DomainDataManager.h
        * DAnCE/TargetManager/TargetManager_exec.cpp
        * DAnCE/TargetManager/TargetManager_exec.h

        Wraps the TargetManager/Monitors inside the CIAO namespace.
        Thanks to  Nilabja Roy (nilabjar@dre.vanderbilt.edu) for
        making these changes and thanks to Johnny for noticing this!

Wed Feb  1 20:42:42 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp
        * tools/Config_Handlers/RT-CCM/TPL_Handler.cpp
        * tools/Config_Handlers/Utils/XercesString.cpp
        * tools/Config_Handlers/Utils/XercesString.h
        * tools/Config_Handlers/XMLSchema/Writer.hpp

          Fixes for warnings on ICC platforms.

Wed Feb  1 14:38:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/TargetManager/DomainDataManager.h:
          Small doxygein improvement

Wed Feb  1 04:32:38 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Planner_Manager/Component/Planner_Manager.idl

          Resolve a linking error on Windows.

Tue Jan 31 23:33:23 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Old_Config_Handlers
        * DAnCE/test/Config_Handlers_Tests

          Removed deprecated config handlers.

        * NEWS

          Commented on this removal.

Tue Jan 31 21:51:52 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_test.pl
        * examples/Hello/descriptors/run_test_without_ns.pl

          Added a parameter to the NodeManagers to cause them to wait
          up to 30 seconds for the NodeApplications to spawn before failing.
          This should fix the hello test on several platforms.

Tue Jan 31 21:29:06 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_test.pl

          Updated to force naming service to not use multicast, instead
          using NameServiceIOR environment variable.

        * examples/Hello/descriptors/run_test_without_ns.pl

          Updated ports to reflect new NodeManagerMap.

Tue Jan 31 15:11:29 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Controller/Component/Controller.mpc

        Fixed linking errors on OS X.

Tue Jan 31 14:41:31 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp

          Fixed a couple of warning on SuSE_10_0_GCC4.0.2_x86_64_Valgrind
          build.

Tue Jan 31 11:42:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Fixed compile error with VxWorks 5.5.1

Mon Jan 30 22:43:26 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * examples/Hello/descriptors/run_NodeDaemons.pl:

          Fixing this script so that the Hello example deploys successfully.

Mon Jan 30 21:16:40 UTC 2006  Ming Xiong <ming.xiong@vanderbilt.edu>

        * docs/tutorials/CoSMIC/01.html
        * docs/tutorials/CoSMIC/02.html
        * docs/tutorials/CoSMIC/03.html
        * docs/tutorials/CoSMIC/04.html
        * docs/tutorials/CoSMIC/index.html
        * docs/tutorials/CoSMIC/Icons/AddConnMode.gif
        * docs/tutorials/CoSMIC/Icons/SetMode.gif
        * docs/tutorials/CoSMIC/Images/fig1.jpg
        * docs/tutorials/CoSMIC/Images/fig10.jpg
        * docs/tutorials/CoSMIC/Images/fig11.jpg
        * docs/tutorials/CoSMIC/Images/fig2.jpg
        * docs/tutorials/CoSMIC/Images/fig3.jpg
        * docs/tutorials/CoSMIC/Images/fig4.jpg
        * docs/tutorials/CoSMIC/Images/fig5.jpg
        * docs/tutorials/CoSMIC/Images/fig6.jpg
        * docs/tutorials/CoSMIC/Images/fig7.jpg
        * docs/tutorials/CoSMIC/Images/fig8.jpg
        * docs/tutorials/CoSMIC/Images/fig9.jpg
        * docs/tutorials/CoSMIC/Model/Quoter.xme

          Added CoSMIC tutorial for /docs/tutorials/Quoter/Simple

Mon Jan 30 17:50:38 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc

          Modified to inherit from dance_extension_stub project
          so the included header file could be found.

Mon Jan 30 17:35:12 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Interfaces/Interfaces.mpc
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeManager/NodeManager_Impl.h

          Fixed a linking error of NodeManager when trying to
          link to IDL generated servant code.

        * DAnCE/NodeManager/CIAO_NodeManager_Export.h
        * DAnCE/Interfaces/NodeManager_svnt_export.h

          Removed the first one and added the second one to
          fix the linking error when trying to find entry
          point for IDL compiler generated servant code.

Mon Jan 30 05:07:09 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/descriptors/NodeManagerMap.dat

        Corrected the ports to match those in the run_test.pl script.

Mon Jan 30 01:59:23 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc

          Cosmetic change.

        * DAnCE/NodeManager/NodeManager.mpc

          Fixed a typo.

Mon Jan 30 01:47:21 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Export.h

          Added dll import/export mechanism into NodeManager library.

Sat Jan 28 22:24:35 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_test.pl

          Corrected the name of the NodeManagerMap passed to ExecutionManager.
          This was causing the test to fail across all platforms.

Sat Jan 28 05:55:45 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NodeManager.mpc

          Added a missing after clause.

Fri Jan 27 22:42:47 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Controller/Component/Controller.mpc

          Fixed linking errors on Windows.

Fri Jan 27 20:58:19 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * tests/Bug_2130_Regression

          A place to host Bug 2130 test case.

Fri Jan 27 20:42:47 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DnC_Dump_T.h

          Silenced warnings in solaris.

Fri Jan 27 20:30:01 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp

          Fixed uninitialized variable warnings on Solaris GCC.

         *DAnCE/NodeManager/NodeManager.mpc

          Refactored the projects here so all files related to NodeManager
          are only compiled once.

Fri Jan 27 19:15:19 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/Monitor.mpc: Added the dependancy on
          TargetManaer_stub

Fri Jan 27 19:07:08 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/NodeManager/MonitorController.inl

        Refined the fix in
        Fri Jan 27 17:29:54 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>
        to use ACE_SYNCH_MUTEX.  Thanks to Doug Schmidt for suggesting the
        improvement.

Fri Jan 27 17:35:55 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Controller/Component/Controller.mpc

          Fixed linking errors on Mac OS X.

Fri Jan 27 17:29:54 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/MonitorController.h
        * DAnCE/NodeManager/MonitorController.inl

          Added preprocessor logic to fall back to an ACE_Mutex on
          platforms that don't support ACE_Thread_Mutex.

Fri Jan 27 16:59:11 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp

          Fixed a couple of warnings on SuSE_10_0_GCC4.0.2_x86_64_Valgrind
          build about pointer initialization.

Thu Jan 26 23:48:47 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * examples/Hello/step-by-step.html

          Fixed a fuzz error about dependency on ~schmidt/ACE_wrappers.

Thu Jan 26 19:25:06 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager.mpc

          Added an empty IDL_Files segment to the _exec project,
          which should clean up tons of Windows VC build erros
          and warnings.

Thu Jan 26 17:57:45 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/NodeManager/NodeManager.mpc

          Modified to inherit from a base project dance_extension_stub.mpb
          to avoid explicily included path specification.

Thu Jan 26 10:25:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO/DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
          Fixed incorrect doxygen tag

        * CIAO/DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.inl:
          Added missing ACE_INLINE macro's


Thu Jan 26 01:44:15 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp
        * ciao/Deployment.idl

          Fixed a bug of shared component capability. Originally, we
          haven't differentiate between "shared components" and
          "external components", so when a component ref count becomes
          0, the "shared components" will become empty, however, since
          some components are installed remotely, removing it will
          cause problem if we don't have such differentiation.

Wed Jan 25 23:44:01 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * CIAOTAO.mwc:
        * CIAO.mwc:

        Added RACE to the workspace.

Wed Jan 25 22:47:30 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * CIAO_TAO_DAnCE.mwc

          Added another mwc file which builds ACE, TAO, CIAO, DAnCE
          minium to run a CIAO simple example.

Wed Jan 25 22:28:06 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/NodeManager/NodeManager.mpc

          Added include+= to find header files and fixed a typo.

        * DAnCE/NodeManager/NodeManager_Impl.cpp

          Fixed an error in Linux build.

Wed Jan 25 22:11:23 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Changed order of the base member initialization list, which
          should clear some warnings of the Linux builds.

Wed Jan 25 21:32:44 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
        * DAnCE/NodeManager/NodeManager.mpc

          Fixed dependency problems.

Wed Jan 25 20:28:35 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Interfaces/ExecutionManager.idl
        * DAnCE/Interfaces/Interfaces.mpc
        * DAnCE/Interfaces/README
        * DAnCE/Interfaces/NodeManager.idl
        * DAnCE/Interfaces/NodeManager_stub_export.h
        * DAnCE/Interfaces/ExecutionManager_stub_export.h

          Added these files into a separate directory
          called DAnCE/Interfaces to termporarily solve the MPC
          directory dependency issue.

        * DAnCE/ExecutionManager/ExecutionManager.idl
        * DAnCE/NodeManager/NodeManager.idl

          Removed these files.

        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeManager/NodeManager_Impl.h

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h

          Modified to accomodate the above refactoring work.

Wed Jan 25 19:46:57 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Deployment_common.h

          Added this new file, which is supposed to contain all the
          reusable types/classes/methods across the DAnCE toolchain.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h

          Modified the code to accomodate the above refactoring work.

        * DAnCE/TargetManager/DomainDataManager.cpp

          Got rid of a warning message about unreferenced variable.

        * DAnCE/DomainApplicationManager/DomainApplicationManage.mpc

          Added a dependency from DAM to ExecutionManager_stub project.

Wed Jan 25 02:53:07 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
        * ciao/Deployment.idl

          Fixed a bug about destroying *ApplicationManagers.
          This fix will ensure that DAM won't be destroyed if any
          components managed by itself are still up and running.

Wed Jan 25 01:41:53 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp

          Some cosmetic changes.

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Fixed a bug about when to killing a NodeApplication process.

        * ciao/Container_Base.cpp

          Comment out meaningless debug statement.

Wed Jan 25 00:56:39 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * examples/Hello/descriptors/run_test_without_ns.pl

          Modified to use the correct NodeManagerMap.dat file.

Wed Jan 25 00:47:02 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * examples/Hello/descriptors_RTCCM/RTsvc.conf
        * examples/Hello/descriptors_RTCCM/input.csr
        * examples/Hello/descriptors_RTCCM/rt-config-example.cdp
        * examples/Hello/descriptors_RTCCM/rt-config-example.csr
        * examples/Hello/descriptors_RTCCM/rt-example.cdp
        * examples/Hello/descriptors_RTCCM/rt_run_test.pl
        * examples/Hello/descriptors_ReDaC/deploymentplan.cdp
        * examples/Hello/descriptors_ReDaC/deploymentplan_add.cdp
        * examples/Hello/descriptors_ReDaC/deploymentplan_remove.cdp
        * examples/Hello/descriptors_naming/deploymentplan_naming.cdp

          Create some new descriptors, reorganized them, and put
          them into different directories.

Wed Jan 25 00:23:02 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * CIAODAnCE.mwc

          Added another mwc file which only builds CIAO and DAnCE.

        * examples/Hello/step-by-step.html

          Fixed an error in this documentation page.

        * examples/Hello/descriptors/RTsvc.conf
        * examples/Hello/descriptors/TestNodeManagerMap.dat
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns_add.cdp
        * examples/Hello/descriptors/rt-config-example.cdp
        * examples/Hello/descriptors/rt-config-example.csr
        * examples/Hello/descriptors/rt-example.cdp
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns_add.cdp
        * examples/Hello/descriptors/rt_run_test.pl

          Removed these descriptor files and put them into separate
          directories to better organize things.

        * examples/Hello/descriptors_shared_components/deploymentplan.cdp
        * examples/Hello/descriptors_shared_components/
          deploymentplan_shared_components.cdp

          Added a dedicated directory to put descriptors for shared
          components scenario.

Wed Jan 25 00:10:50 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/ExecutionManager/DAM_Map.cpp
        * DAnCE/ExecutionManager/DAM_Map.h
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h

          Added capabilities to handle adding/removing
          connections between components in new assembly and existing/external
          components in old assemblies. This involves putting
          ExecutionManager as a coordinator for different DAMs.

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.inl
        * DAnCE/NodeManager/NAM_Map.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/NodeManager/Node_Manager.cpp

          Added capabilities for handling shared components across
          different assemblies. This involves putting NodeManager
          as a local coordinator for different NAMs.

        * DAnCE/NodeApplication/NodeApplication.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h

          Enhancement of adding/removing connections.

        * DAnCE/Plan_Launcher/DAM_Map.cpp
        * DAnCE/Plan_Launcher/DAM_Map.h

          Removed from the repo, since they are located in the other
          directory as well, and we can use relative path to point
          to those existing files.

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h

          Enhanced to handle shared components scenario which interacts
          with *managers.

        * DAnCE/StaticConfigurator/StaticDAnCEParser.cpp

          Fixed for working with the newly enhanced DAnCE toolchain.

        * ciao/Deployment.idl

          Adding enhancements for adding shared components capabilities

Wed Jan 25 00:01:37 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeManager/MonitorCB.cpp

          Fixed a warning about unreferenced variable in Windows build.

        * DAnCE/NodeManager/MonitorController.h

          Included header file missing path to its directory.

        * DAnCE/TargetManager/CmpClient.cpp

          Fixed a warning about unreferenced variable in Windows build.

Mon Jan 23 23:10:32 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>


        * DAnCE/spec_RepositoryManager/HTTP_Client.h:
        * DAnCE/spec_RepositoryManager/HTTP_Client.cpp:
        * DAnCE/spec_RepositoryManager/HTTP_Handler.h:
        * DAnCE/spec_RepositoryManager/HTTP_Handler.cpp:
        * DAnCE/spec_RepositoryManager/Options.h:
        * DAnCE/spec_RepositoryManager/Options.cpp:
        * DAnCE/spec_RepositoryManager/PC_Updater.h:
        * DAnCE/spec_RepositoryManager/PC_Updater.cpp:
        * DAnCE/spec_RepositoryManager/PC_Updater_T.h:
        * DAnCE/spec_RepositoryManager/PC_Updater_T.cpp:
        * DAnCE/spec_RepositoryManager/README.txt:
        * DAnCE/spec_RepositoryManager/RM_Helper.h:
        * DAnCE/spec_RepositoryManager/RM_Helper.cpp:
        * DAnCE/spec_RepositoryManager/RMadmin.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager.idl:
        * DAnCE/spec_RepositoryManager/RepositoryManager.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/spec_RepositoryManager/URL_Parser.h:
        * DAnCE/spec_RepositoryManager/URL_Parser.cpp:
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp:
        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc:

          Removed these files. Zapping the DAnCE/spec_RepositoryManager/
          directory which used to hold the implementation of the
          RepositoryManager while the ExecutionManager was in the
          DAnCE/RepositoryManager/ directory.

Mon Jan 23 22:41:49 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/RepositoryManager/HTTP_Client.h:
        * DAnCE/RepositoryManager/HTTP_Client.cpp:
        * DAnCE/RepositoryManager/HTTP_Handler.h:
        * DAnCE/RepositoryManager/HTTP_Handler.cpp:
        * DAnCE/RepositoryManager/Options.h:
        * DAnCE/RepositoryManager/Options.cpp:
        * DAnCE/RepositoryManager/PC_Updater.h:
        * DAnCE/RepositoryManager/PC_Updater.cpp:
        * DAnCE/RepositoryManager/PC_Updater_T.h:
        * DAnCE/RepositoryManager/PC_Updater_T.cpp:
        * DAnCE/RepositoryManager/README.txt:
        * DAnCE/RepositoryManager/RM_Helper.h:
        * DAnCE/RepositoryManager/RM_Helper.cpp:
        * DAnCE/RepositoryManager/RMadmin.cpp:
        * DAnCE/RepositoryManager/RepositoryManager.idl:
        * DAnCE/RepositoryManager/RepositoryManager.cpp:
        * DAnCE/RepositoryManager/RepositoryManager.mpc:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/RepositoryManager/URL_Parser.h:
        * DAnCE/RepositoryManager/URL_Parser.cpp:
        * DAnCE/RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/RepositoryManager/ZIP_Wrapper.cpp:

          Moving what used to be DAnCE/spec_RepositoryManager directory to
          the DAnCE/RepositoryManager directory.

Mon Jan 23 22:14:06 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp:

          Adding couple more checks to increase robustness.

Mon Jan 23 20:07:17 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/BaseMonitor.h

          Added a virtual destructor to resolve warnings.

        * DAnCE/TargetManager/DomainDataManager.cpp
        * DAnCE/TargetManager/TargetManager_exec.cpp

        Fixed some problems caused by
        Mon Jan 23 15:11:40 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

Mon Jan 23 17:03:09 UTC 2006  Nishanth Shankaran  <nshankar@dre.vanderbilt.edu>

        * RACE/Controller/Component/Controller_svnt_export.h:
        * RACE/Controller/Component/Controller_stub_export.h:
        * RACE/Controller/Component/Controller_exec_export.h:
        * RACE/Controller/Component/Controller_exec.h:
        * RACE/Controller/Component/Controller_exec.cpp:
        * RACE/Controller/Component/Controller.mpc:
        * RACE/Controller/Component/Controller.idl:
        * RACE/Controller/Component/Controller.cidl:

        Added IDL, CIDL, and MPC files for the RACE controller along with a
        dummy implementation of the controller.

Mon Jan 23 15:11:40 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager.mpc

          Cleaned up the MPC file, fixed a linking error on OS X.

Sat Jan 21 21:54:59 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/SizeTypeCalculator.cpp:

          Fixed a bug in size type calculation of nested structs and unions.
          Thanks to Sandro Santos Andrade <sandros@dcc.ufba.br> for
          reporting the problem.

Sat Jan 21 20:27:13 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/TargetManager/TargetManager.idl:
        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TargetManagerExt.idl:
          Added this file to include the facet for RACE Controller
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Added implementation for the facet serving the RACE Controller.


Sat Jan 21 02:04:15 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Removed trailing whitespaces and tabs

        * DAnCE/NodeManager/BaseMonitor.h:
        * DAnCE/NodeManager/CIAO_Monitor.h:
        * DAnCE/NodeManager/CIAO_Monitor.cpp:
        * DAnCE/NodeManager/MonitorCB.h:
        * DAnCE/NodeManager/MonitorCB.cpp:
        * DAnCE/NodeManager/MonitorController.h:
        * DAnCE/NodeManager/MonitorController.cpp:
          Removed system headers and replaced systme calls with ACE calls.
          Also updated documentation with doxygen standard

        * DAnCE/TargetManager/TargetManager_exec.cpp:
          Removed system headers and replaced systme calls with ACE calls.
          Also updated documentation with doxygen standard

        * tools/Config_Handlers/DD_Handler.h:
        * tools/Config_Handlers/DD_Handler.cpp:
          Removed system headers and replaced systme calls with ACE calls.
          Also updated documentation with doxygen standard

Fri Jan 20 22:30:21 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          The include to NodeManagerC.h is removed since the dependency on
          NodeManager_stub was removed.

Fri Jan 20 20:33:23 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:
            Changed the Domain Application Manager to remove the dependency on
            NodeManager_stub.

Fri Jan 20 07:24:47 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/spec_RepositoryManager/PC_Updater.h:
        * DAnCE/spec_RepositoryManager/RMadmin.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/spec_RepositoryManager/URL_Parser.h:
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp:

          Improved the documentation, the output and added some minor features.
          Changed all occurnences of 'new' to ACE_NEW in ZIP_Wrapper.cpp which
          I had previously forgotten.

        * DAnCE/new_RepositoryManager/packages/inconsistent.cpk:
        * DAnCE/new_RepositoryManager/packages/package.cpk:

          Removed these files.

Thu Jan 19 01:29:58 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/spec_RepositoryManager/HTTP_Handler.h:
        * DAnCE/spec_RepositoryManager/HTTP_Handler.cpp:
        * DAnCE/spec_RepositoryManager/PC_Updater.h:
        * DAnCE/spec_RepositoryManager/PC_Updater_T.h:
        * DAnCE/spec_RepositoryManager/RM_Helper.h:
        * DAnCE/spec_RepositoryManager/RM_Helper.cpp:
        * DAnCE/spec_RepositoryManager/RMadmin.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp:
        * DAnCE/spec_RepositoryManager/URL_Parser.h:
        * DAnCE/spec_RepositoryManager/URL_Parser.cpp:
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.h:

        Changed all occurenced of new to ACE_NEW. Turned some documentation to
        Doxygen style. Modified the URL_Parser singleton to use the ACE_Singleton
        class. More changes on the way.

Wed Jan 18 23:56:51 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/BaseMonitor.h: Corrected the file name in @file

        * DAnCE/TargetManager/CmpClient.cpp: Corrected the file name in @file

Wed Jan 18 16:42:41 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/BaseMonitor.h:Added documentation, changed
          function signature
        * DAnCE/NodeManager/CIAO_Monitor.cpp:Removed system headers
        * DAnCE/NodeManager/Monitor.mpc:Added cvs tag
        * DAnCE/NodeManager/MonitorController.cpp:Removed sleep call
        * DAnCE/NodeManager/NodeManager.mpc:Added after clause to compile
          TargetManager_stub before

        * DAnCE/TargetManager/TM_Client.mpc:Added cvs tag
        * DAnCE/TargetManager/TargetManager.mpc: Added cvs tag ,
          Removed Deployment_Configuration.cpp from TargetManager_exec

Tue Jan 17 23:52:11 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/spec_RepositoryManager/Options.h:
        * DAnCE/spec_RepositoryManager/Options.cpp:
        * DAnCE/spec_RepositoryManager/RMadmin.cpp:

        Took care of the todo's that Johnny suggested. Now using ACE_Singleton
        parametrized with ACE_Null_Mutex.

Tue Jan 17 21:07:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/spec_RepositoryManager/HTTP_Client.h:
          Layout change
        * DAnCE/spec_RepositoryManager/HTTP_Handler.{h,cpp}:
          Changed bytecount_ to size_t

Tue Jan 17 21:03:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/spec_RepositoryManager/Options.h:
          Doxygen improvements

        * DAnCE/spec_RepositoryManager/Options.cpp:
          Layout changes and add some todo's

Tue Jan 17 19:31:56 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc

          Added a project inherit improperly removed by
          Mon Jan 16 16:22:25 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

Mon Jan 16 19:59:12 UTC 2006  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.h:
        * DAnCE/spec_RepositoryManager/URL_Parser.h:
        * DAnCE/spec_RepositoryManager/PC_Updater.h:
        * DAnCE/spec_RepositoryManager/PC_Updater_T.cpp:
        * DAnCE/spec_RepositoryManager/HTTP_Handler.h:
        * DAnCE/spec_RepositoryManager/HTTP_Client.h:
          Doxygen improvements

        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp:
        * DAnCE/spec_RepositoryManager/PC_Updater_T.h:
        * DAnCE/spec_RepositoryManager/HTTP_Client.cpp:
        * DAnCE/spec_RepositoryManager/HTTP_Handler.cpp:
          Layout changes

Mon Jan 16 18:36:47 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp

          Addressed some warnings from the RHEL_Static_GCC-3.4.2
          build.

Mon Jan 16 16:48:11 UTC 2006  Stoyan Paunov  <spaunov@isis.vanderbilt.edu>

        * DAnCE/spec_RepositoryManager/Options.h:
        * DAnCE/spec_RepositoryManager/Options.cpp:
        * DAnCE/spec_RepositoryManager/PC_Updater.cpp:
        * DAnCE/spec_RepositoryManager/README.txt:
        * DAnCE/spec_RepositoryManager/RMadmin.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager.cpp:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp:

          Added the newest changes to the RepoMan. This change add the
          functionality that pertains to interface types. It is currently
          disabled due to lack of support in the modeling tools for interfaces
          for assemby-based interfaces.

          I still need to clean up some of the output and some of the code before
          the release of the beta.

Mon Jan 16 16:22:25 UTC 2006  Nilabja R  <nilabjar@dre.vanderbilt.edu>

        * DAnCE/NodeManager/BaseMonitor.h:
        * DAnCE/NodeManager/CIAO_Monitor.h:
        * DAnCE/NodeManager/CIAO_Monitor.cpp:
        * DAnCE/NodeManager/Monitor.mpc:
        * DAnCE/NodeManager/MonitorCB.h:
        * DAnCE/NodeManager/MonitorCB.cpp:
        * DAnCE/NodeManager/MonitorController.h:
        * DAnCE/NodeManager/MonitorController.inl:
        * DAnCE/NodeManager/MonitorController.cpp:
        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/NodeManager/NodeManager_Impl.h:
        * DAnCE/NodeManager/NodeManager_Impl.cpp:
        * DAnCE/NodeManager/Node_Manager.cpp:
          These files implement the Monitor within the
          NodeManager implementation.

        * DAnCE/TargetManager/CmpClient.cpp:
        * DAnCE/TargetManager/Deployment_Configuration.h:
        * DAnCE/TargetManager/Deployment_Configuration.cpp:
        * DAnCE/TargetManager/DomainDataManager.h:
        * DAnCE/TargetManager/DomainDataManager.cpp:
        * DAnCE/TargetManager/TM_Client.mpc:
        * DAnCE/TargetManager/TargetManager.cidl:
        * DAnCE/TargetManager/TargetManager.idl:
        * DAnCE/TargetManager/TargetManager.mpc:
        * DAnCE/TargetManager/TargetManager_exec.h:
        * DAnCE/TargetManager/TargetManager_exec.cpp:
        * DAnCE/TargetManager/TargetManager_exec_export.h:
        * DAnCE/TargetManager/TargetManager_stub_export.h:
        * DAnCE/TargetManager/TargetManager_svnt_export.h:
          These files implement the Target Manager Implementation

        * DAnCE/TargetManager/descriptors/Domain.cdd:
        * DAnCE/TargetManager/descriptors/NodeDetails.dat:
        * DAnCE/TargetManager/descriptors/NodeManagerMap.dat:
        * DAnCE/TargetManager/descriptors/flattened_deploymentplan.cdp:
        * DAnCE/TargetManager/descriptors/run_test_TargetManager.pl:
          These are needed for the running of the TargetManager

        * ciao/CCM_Core.mpc:
        * ciao/Deployment.idl:
        * ciao/Deployment_Base.idl:
        * ciao/Deployment_Data.idl:
        * ciao/Packaging_Data.idl:
        * ciao/ServerResources.idl:
          Needs to be changed to resolve conflicts when compiling the
          Target Manager cidl file

        * ciao/Target_Data.idl:
          This is the file which contains declarations which has been
          separated for the Target manager

        * tools/Config_Handlers/Config_Handlers.mpc:
        * tools/Config_Handlers/DD_Handler.h:
        * tools/Config_Handlers/DD_Handler.cpp:
          These implement the extension to the config handlers for
          the parsing of the Target data domain.

Fri Jan 13 20:39:21 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/XSCRT/Parser.hpp
        * tools/Config_Handlers/XSCRT/XML.hpp

          Added a templated casting operator for Xerces types instead
          of using standard dynamic_cast.  Thanks to Ossama Othman
          ossama at dre dot vanderbilt dot edu for suggesting this
          fix.

        * CIAO-INSTALL.html
        * NEWS

          The above changes removed the requirement for an RTTI enabled
          version of Xerces.  Updated these documents to reflect this.

Thu Jan 12 21:40:47 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * examples/Hello/ReDaC-Usage.html

          Fixed some typos and an error.

Tue Jan 10 22:34:22 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/cdd.cpp
        * tools/Config_Handlers/cdd.hpp

        Regenerated to reflect updates to schema in
        Tue Jan 10 19:01:45 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Modified_Deployment.xsd

        Removed, as this file is obsolete, and schema should only exist in
        CIAO_ROOT/docs/schema

Tue Jan 10 22:05:17 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * examples/Hello/ReDaC-Usage.html

          Added a tutorial-like web page to showcase ReDaC service
          of DAnCE.

        * NEWS

          Updated with DAnCE's recent enhancements.

Tue Jan 10 19:01:45 UTC 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/cdd.xsd

        Corrected incorrect cardinality on several target domain elements.

Tue Jan 10 11:10:01 UTC 2006  Boris Kolpackov  <boris@kolpackov.net>

        * NEWS:

          Updated with recent developments.

Mon Jan  9 14:17:39 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp:
        * examples/Hello/descriptors/Receiver_Svnt.iad:
        * examples/Hello/descriptors/Sender_Svnt.iad:
        * examples/Hello/descriptors/flattened_deploymentplan.cdp:
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp:
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns_add.cdp:
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns_remove.cdp:
        * examples/Hello/descriptors/rt-config-example.cdp:
        * examples/Hello/descriptors/rt-example.cdp:

          Updated occurrences of the string name of the servant executor
          DLL extry point to correspond with the changes in

          Fri Jan  6 20:09:34 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

Fri Jan  6 20:09:34 UTC 2006  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Changed the names of the generated extern C functions that
          create the home and servant executors to incorportate the
          entire scoped name of the class, to avoid name clashes
          (since extern "C" functions link globally no matter what
          scope they are declared in) when class names are
          duplicated inside different nested namespaces. Thanks
          to James Hill <james.h.hill@vanderbilt.edu> and Boris
          Kolpackov <boris@dre.vanderbilt.edu> for their help
          with the problem.

        * DAnCE/tests/Config_Handlers/HUDisplay/Airframe_Svnt.iad:
        * DAnCE/tests/Config_Handlers/HUDisplay/GPS_Svnt.iad:
        * DAnCE/tests/Config_Handlers/HUDisplay/NavDisplay_Svnt.iad:
        * DAnCE/tests/Config_Handlers/HUDisplay/Timer_Svnt.iad:
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.idl:
        * docs/tutorials/Quoter/Simple/descriptors/Broker_Svnt.iad:
        * docs/tutorials/Quoter/Simple/descriptors/Distributor_Svnt.iad:
        * docs/tutorials/Quoter/Simple/descriptors/flattened_deploymentplan.cdp:
        * examples/BasicSP/descriptors/Airframe_Svnt.iad:
        * examples/BasicSP/descriptors/GPS_Svnt.iad:
        * examples/BasicSP/descriptors/NavDisplay_Svnt.iad:
        * examples/BasicSP/descriptors/Timer_Svnt.iad:
        * examples/BasicSP/descriptors/flattened_deploymentplan.cdp:

          Updated the hand-crafted descriptor files in CIAO tests and
          examples to reflect the changes above.

Thu Jan  5 21:28:17 UTC 2006  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

          Fixed some warning in Boarland C++ builds.

Thu Jan  5 00:53:30 UTC 2006  J.T. Conklin  <jtc@acorntoolworks.com>

        * ChangeLog:

          Untabify.
          Delete-trailing-spaces.

          Changed "add-log-time-format" to a really ugly lambda expression
          that formats changelog timestamps in UTC and works with both GNU
          Emacs and XEmacs.

Wed Jan  4 21:01:15 2006  Boris Kolpackov  <boris@kolpackov.net>

        * ciao/CCM_Base.idl:

        Replaced #if !defined (CIAO_HAS_IMPORT_KEYWORD) with
        #ifdef CIAO_HAS_IMPORT_KEYWORD. This will give CIDLC's
        CPP a chance to handle it properly.

        * CCF/CCF/CompilerElements/Preprocessor.cpp:

        Fixed a bug in lexeme parsing.

Wed Jan  4 11:39:59 2006  William Otte  <wotte@dre.vanderbilt.edu>

        * ciao/CCM_Core.mpc

        Removed $CIAO_ROOT/DAnCE include, added CIAO_ROOT/ciao.

Tue Jan  3 19:55:43 2006  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/CompilerElements/Preprocessor.cpp:
        * CCF/CCF/CompilerElements/Preprocessor.hpp:
        * CCF/CCF/IDL3/SemanticAction/Impl/Include.cpp:
        * CIDLC/cidlc.cpp:

        Implemented support for basic preprocessor directives:
        #ifdef, #ifndef, #else, and #endif as well as the -D
        command-line option. Also added exception handlers for
        filesystem exceptions.

        * CCF/CCF/IDL2/SemanticAction/Impl/Member.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Union.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Struct.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Struct.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.hpp:

        Implemented incomplete struct and union semantics which
        will appear in CORBA 3.1.

        * CCF/CCF/CodeGenerationKit/IndentationCxx.hpp:

        Code clean-ups.

Fri Dec 30 11:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Dynamic_Component_Servant_Base.{h,cpp}:
          Moved the default constructor to public again, vc8 needs it, no
          idea why, have to recheck later

Thu Dec 29 08:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Fixed implicit conversion warning

Wed Dec 28 10:42:31 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/Old_Config_Handlers/DnC_Dump.cpp
        * tools/Config_Handlers/DnC_Dump.cpp
        * tools/Config_Handlers/PSPE_Handler.cpp

        Silenced some warnings from
        Fri Dec 23 11:49:04 2005  Gan Deng  <gan.deng@vanderbilt.edu>

Wed Dec 28 12:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Context_Impl_Base.{h,cpp}:
          Readded the default constructor, some compilers need it, no idea
          why, will sort this out later but this at least makes the scoreboard
          less red

Tue Dec 27 15:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Container_Base.{h,cpp}:
        * ciao/Context_Impl_Base.{h,cpp}:
        * ciao/Home_Servant_Impl_Base.{h,cpp}:
        * ciao/Servant_Impl_Base.{h,cpp}:
        * ciao/Swapping_Servant_Home_Impl_Base.{h,cpp}:
        * ciao/Swapping_Servant_Home_Impl_T.h:
          Moved the default constructor to the private section and removed
          the implementation with the assert

Tue Dec 27 15:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApplication_Core.cpp:
          Initialise pointer with 0

        * DAnCE/NodeApplication/NodeApplication_Impl.{h,cpp,inl}:
          Just declare the default constructor private, it seems not
          to be used and the implementation was incorrect

Fri Dec 23 11:49:04 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeApplication/NodeApplication_Impl.inl
        * DAnCE/NodeApplication/RTConfig_Manager.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.inl
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp
        * ciao/Container_Base.cpp
        * ciao/Deployment.idl
        * ciao/Deployment_Core.idl
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns_add.cdp
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns_remove.cdp

         Merged from CVS Branch CIAO_ReDAC_01. This merge enables DAnCE to
         handle dynamic updating component assemblies as well as its
         configurations on the fly. Major IDL changes include the following:

         1) Modified the finishLaunch() operation on the DomainApplicationManager
            interface by adding an additional boolean parameter to differentiate
            whether this is for inital deployment or for redeployment.

         2) Modified the finishLaunch() operation on the NodeApplicationManager
            interface by adding an additional boolean parameter to differentiate
            whether this is for inital deployment or for redeployment.

         3) Added new operations perform_redeployment() to the ExecutionManager
            interface and NodeApplicationManager interface.

Fri Dec 23 13:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ComponentPackager/*
          Removed all these files, this component was using ziparchive and
          we didn't build it. After checking this with the DAnCE developers
          the conclustion was to zap it

Thu Dec 22 19:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeManager_Impl.h:
          Removed not needed msvc pragma push/pop

Thu Dec 22 19:51:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/DAM_Map.cpp:
          Made variable const

Thu Dec 22 19:47:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Removed some old includes, make a variable const

        * DAnCE/DomainApplicationManager/Deployment_Configuration.{h,cpp}:
          Made get_default_node_manager_ior and get_node_manager_ior
          const methods

Thu Dec 22 19:43:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
          Initialise pointers with 0

        * DAnCE/NodeApplicationManager/ImplementationInfo.h:
          Removed include of cpp file in this file, this file is not
          declaring a template

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
          Converted documentation to doxygen style

Thu Dec 22 19:36:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ComponentPackager/ComponentPackager.mpc:
          Use exceptions as base project

        * DAnCE/ComponentPackager/Component_Packager.cpp:
          Converted some documentation to doxygen style

        * DAnCE/ComponentPackager/Base_Packager.cpp:
          Fixed argument not used warnings

        * DAnCE/ComponentPackager/CPK_Packager.{h,cpp}:
          Small cleanup

Thu Dec 22 14:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ComponentPackager/Base_Packager.h:
          Changed documentation to doxygen style

Tue Dec 20 08:07:51 2005  Simon McQueen  <sm@prismtech.com>

        * CIAO version 0.4.8 released.

Fri Dec 16 15:58:27 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp

          Modified to fix a bug reported by Will Otte regarding
          DAnCE's parsing of deployment plan to find component
          servant and executor libraries. This is a temporary
          workaround so even if a component name happens to
          have "_exec" string inside it, DAnCE could still
          work correctly to find the corresponding servant
          and executor libraries.

Fri Dec 16 14:57:21 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Container_Base.cpp
        * ciao/Container_Base.h

          Fixed a bug about RT-CCM. The bug creeped out when the
          facet_consumer_poa_ is not configured properly to use
          application specific real-time policies. Thanks to
          Roland Schimmack <Roland.Schimmack @ gmx.de> for
          reporting this bug.

Tue Dec 13 12:13:26 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * COPYING: Updated this file to mention compliance issues wrt the
          new "The Energy Policy Act of 2005".  Thanks to Malcolm Spence
          for providing this.

Tue Dec 13 09:07:21 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * CCF/Documentation/Build.html
        * CIDLC/README.html

        Updates to the CIDLC build documentation.  Thanks to James  Hill
        <hillj at isis dot vanderbilt dot edu> for completing this update.

Mon Dec 12 13:20:00 UTC 2005  Simon Massey  <sma@prismtech.com>

        * NEWS:

        Added Nanbor's changes from the release notes.

Fri Dec  9 13:39:10 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Any_Handler.h

        Added a missing include for the versioned namespace macros.

Fri Dec  9 09:18:01 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Server_init.h

        Added a missing include for the versioned namespace macros.

Thu Dec 08 21:34:36 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * NEWS

          Updated the NEWS file to capture ReDaC stuff.

Thu Dec  8 15:38:02 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * DAnCE/Old_Config_Handlers/DT_Handler.h:
        * ciao/Client_init.h:
        * ciao/Context_Impl_T.h:
        * ciao/Server_init.h:
        * ciao/Upgradeable_Context_Impl_T.h:
        * tools/Config_Handlers/Any_Handler.h:

          Fixed versioned namespace support.  The versioning macros calls
          around forward declarations in the CORBA namespace were
          missing.

Thu Dec 08 08:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Fixed compile errors with VxWorks

Wed Dec 07 18:05:35 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Deployment.idl
        * ciao/Deployment_Core.idl
        * doc/index.html

        Document CIAO specific interface extension/modifications.

Wed Dec  7 12:41:22 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CIDLC/ExecImplGenerator.cpp:
        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ExecutorMappingGenerator.cpp:
        * CIDLC/ServantGenerator.cpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * CCF/Example/CIDL/LocalExecutorMapping/ExecutorMappingGenerator.cpp:

        Fixed a bug in regular expressions that are used to get rid of
        file suffixes.

Tue Dec 06 12:33:27 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Fixed warnings in Borland.

Tue Dec  6 16:14:01 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/Servant_Impl_T.cpp:

          Changed initialization of boolean class members from '0'
          to 'false'.

        * ciao/Servant_Impl_T.h:

          Added comments to the executor and context class members,
          providing info about where they are initialized.

Mon Dec  5 14:43:48 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc

        Removed superfluous dependancy on Xerces.

Sun Dec  4 11:13:32 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc
        * DAnCE/tests/Config_Handlers/handler_test.mpb

        Fix linking errors on Tiger.

Fri Dec  2 11:25:48 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager.idl
        * DAnCE/RepositoryManager/RepositoryManager.mpc
        * DAnCE/RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/RepositoryManager/Repository_Manager.cpp
        * DAnCE/RepositoryManager/Repository_Manager_conf.h
        * DAnCE/RepositoryManager/Update_Plan.cpp
        * DAnCE/RepositoryManager/Update_Plan.h

        Removed the deprecated RepositoryManager implementation.

        * NEWS

        Updated the NEWS file to reflect this.

Thu Dec  1 10:16:46 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Fixed some errors caused by previous commit.

Thu Dec  1 12:57:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
          Use 0 instead of NULL, NULL is not portable

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/NAM_Map.cpp:
          Initialise pointers with 0 and return false instead of 0
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:
          Removed not needed msvc pragma push/pop

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Initialise pointers with 0 and removed some printf that seems some
          left over debugging statements

Wed Nov 30 16:24:43 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/xsc-banner.h

        Updated this file to reflect recent export macro changes.

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Deployment.cpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ccd.cpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdp.cpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.cpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.cpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.cpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.cpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/toplevel.cpp
        * tools/Config_Handlers/toplevel.hpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Made a borland specific fix apply to all compilers, hopefully
        fixing ICC builds.

Wed Nov 30 12:30:59 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/descriptors/flattened_deploymentplan.cdp

        Added metadata necessary to initialize an enum attribute.

Wed Nov 30 08:06:00 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/RepositoryManager/RepositoryManager.mpc:
          This project is deprecated according to Will, so added
          requires+=dummy_label, it is up to the DAnCE people to
          decide when they zap this from the archive

Fri Nov 25 10:50:00 UTC 2005  Simon Massey  <sma@prismtech.com>

        * DAnCE/Old_Config_Handlers/XercesString.cpp

          Fixed prototype return type qualifier missmatch

Thu Nov 24 16:04:05 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc

          Added the MPC base project dependency to typecodefactory,
          and hopefully this should fix some linking erros on the
          scoreboard.

Thu Nov 24 11:25:09 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/Old_Config_Handlers/XercesString.h

          Fixed a warning, since declaring function return type
          to be const is meaningless.

Tue Nov 22 16:03:24 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplication/Container_Impl.cpp

          Fixed a memory management related bug, we should not
          explicitly call release() on the component object
          reference of var type.

Mon Nov 21 17:24:42 2005  Boris Kolpackov  <boris@kolpackov.net>

        * NEWS:

        Updated with information about changes in CCF.

Fri Nov 18 10:28:31 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc

        Quashed a link time warning on OS X.

Thu Nov 17 18:13:28 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * examples/Swapping/Sender/Sender.mpc:

          Added a dependency of SenderE.idl on itself, to keep
          VC8 from launching the IDL compiler on it until it
          has been generated by the CIDL compiler.

Thu Nov 17 09:53:35 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

        Fixed warning about unused arguments

Wed Nov 16 11:30:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Swapping/Sender/Sender_exec.cpp:
          Fixed warning in VxWorks build

Mon Nov 14 22:43:09 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp
        * ciao/Deployment.idl

          Fixed some errors and warnings on the builds.

Mon Nov 14 11:05:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Display/RateGen/RateGen_exec.h:
        * examples/BasicSP/EC/EC_exec.h:
          Timer id's are long, not int

        * ciao/Servant_Activator.cpp:
          Fixed 64bit conversion warnings

Sun Nov 13 12:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * examples/Swapping/Sender/Sender_exec_2.cpp:
        * examples/Swapping/Sender/Sender_exec_1.cpp:
        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/BasicSP/BMClosedED/BMClosedED_exec.cpp:
          Fixed warnings in VxWorks build

Fri Nov 11 17:49:40 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * ciao/Deployment.idl

          More stuff regarding dynamic assembly management. These
          changes won't break existing initial deployment and
          configuration.

Fri Nov 11 12:37:00 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/tests/NodeApplicationTest/NodeAppTest.mpc
        * ciao/Deployment.idl
        * ciao/Deployment_Core.idl

          Added the DAnCE enhancements to support dynamic
          assembly management and reconfiguration. No actual
          implementation is there except some capability
          in NodeApplication_Impl servant class.

Thu Nov 10 17:13:20 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * ciao/Servant_Activator.cpp

          Enhanced a debug output message.

Thu Nov 10 06:54:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Port_Activator_T.cpp:
          Fixed warning in VxWorks build

Tue Nov  8 22:13:50 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * ciao/Container_Base.cpp
        * ciao/Servant_Impl_Base.cpp
        * ciao/Swapping_Servant_Home_Impl_T.cpp
        * ciao/Upgradeable_Context_Impl_T.cpp
        * examples/BasicSP/EC/EC.mpc

        Resolved some warnings in OS X relating to ambiguous conversions.

Mon Nov  7 16:23:41 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
        * performance-tests/Benchmark/Benchmark.mpc
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
        * performance-tests/Benchmark/RoundTripServer/RoundTripServer.mpc

        Resolving linking errors on OS X.

Mon Nov  7 14:00:31 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * NEWS: Added some new TO-DO items.

Mon Nov 07 10:23:09 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp: Fixed
          incorrect usage of extracting a struct from an any.  Thanks much
          to Gan for helping with the debugging effort.

        * examples/Hello/descriptors/rt_run_test.pl:
        * examples/Hello/descriptors/rt-example.cdp: Enabled the use of RT
          policy sets and RT-enabled NodeApplication in the example by
          default.

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp: Minor enhancement to
          the debug messages.

Fri Nov 04 16:44:29 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/ImplementtionInfo.cpp

          Changed to use the "copying" version of the Any insertion
          operator. Thanks Jeff Parsons for the help on this.

Thu Nov 03 15:34:39 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp

          Fixed a bug which causes unknow exception when calling
          startLaunch on NodeApplicationManager.

Thu Nov  3 19:36:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeManager_Impl.cpp:
          Fixed implicit conversion warning in VxWorks build

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp:
          Renamed global variable count to counter to fix clash with STL count
          algoritm on VxWorks

Thu Nov 03 11:14:52 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/RTConfig_Manager.cpp: Added a tad more and
          improve existing debugging print out.

        * examples/Hello/descriptors/rt-example.cdp:
        * examples/Hello/descriptors/rt-config-example.csr:
        * examples/Hello/descriptors/rt_run_test.pl: Changed to use a
          simpler version of DeploymentPlan for the test for now.

Wed Nov 02 19:28:14 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/CB_Handler.cpp
        * tools/Config_Handlers/RT-CCM/TPL_Handler.cpp
        * tools/Config_Handlers/RT-CCM/PS_Handler.cpp
        * DAnCE/NodeApplication/RTConfig_Manager.cpp:

          Fixed some bugs related to populating/displaying ServerResource
          data structure.

Wed Nov 02 14:55:14 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp: Fixed strings
          comparisons syntax.

        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplication/RTConfig_Manager.h: Added a new
          print_resource method and a bunch of debugging print out to help
          debugging XML parsing and propagating.

        * examples/Hello/descriptors/RTsvc.conf:
        * examples/Hello/descriptors/rt_run_test.pl: Added a RTsvc.conf
          file to start up the NodeApplication in RT mode.

        * examples/Hello/descriptors/rt-config-example.csr: Made RT
          resource definitions more realistic and added a new policy set
          for debugging XML parsing.

Wed Nov 02 07:09:10 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp: Fixed
          usage of strings.

Tue Nov 01 22:41:04 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp: Changed to
          insert policy set name into ContainerPolicySet property instead
          of the actual policy since we already have the policy set
          definitions when creating the NodeApplication.

Tue Nov 01 13:44:58 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplication/RTConfig_Manager.h:
        * DAnCE/NodeApplication/RTConfig_Manager.inl:
        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp:
        * DAnCE/NodeApplication/RTNodeApp_Configurator.h: Integrated
          RTConfig_Manager with the RTNodeApp_Configurator.

Mon Oct 31 22:37:42 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplication/NodeApplication/RTConfig_Manager.cpp:
        * DAnCE/NodeApplication/NodeApplication/RTConfig_Manager.h:
        * DAnCE/NodeApplication/NodeApplication/RTConfig_Manager.inl:
          Added the RT configuration manager that keep track of all the RT
          resources and policy sets in a NodeApplication.  We still need
          to hook this up in the RTNodeApp_Configurator.

Mon Oct 31 11:22:41 2005    <Gan Deng@SKYLINENETGEAR>

        * examples/Hello/descriptors/rt-config-example.csr
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp

          Fixed the descriptor by adding the server resource id tag.

Sun Oct 30 22:49:52 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeManager/Node_Manager.cpp: Fixed missing -a Get_Opt
          parameter and usage text.  "-a" is used to set the optional
          command line flags for the NodeApplication.  The logic was there
          in the Get_Opt loop but the Get_Opt object was not set to parse
          the flag and the usage text for Node_Manager didn't mention the
          flag either.

          Eventually, the optional command line flags should really come
          from the ServerResource XML file.

        * NodeApplicationManager/NodeApplicationManager_Impl.cpp: Added a
          missing space to separate optional command line flags from the
          default ones.  The old one worked only when no optional
          commandline flags are presented.

        * ciao/Deployment_Core.idl: Removed "init" method from the
          Container interface since it is really implementation specific.

        * DAnCE/NodeApplication/Container_Impl.cpp:
        * DAnCE/NodeApplication/Container_Impl.h: Changed the signature of
          init method to take a PolicyList pointer directly since this is
          what we really need to initialize a container.

        * DAnCE/NodeApplication/Configurator_Factory.h: Added comments
          documentating how we should really support multiple external
          configurator module and how it could be done.

        * DAnCE/NodeApplication/Configurator_Factory.cpp: Changed DLL open
          to not closing down the DLL handle on exit.  Otherwise,
          NodeApplication can not shut down cleanly.

        * DAnCE/NodeApplication/NodeApp_Configurator.h: Commented on the
          potential need for a finalizer method, or two.

        * DAnCE/NodeApplication/NodeApplication_Impl.cpp: Added actual
          hooks to process optional policies for RT support.

        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp: Added code to
          parse the optional properties and manipulate RT resources and
          policies.

Sun Oct 30 10:27:27 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/Configurator_Factory.cpp: Fixed a typo in
          command line option flag.

Fri Oct 28 12:30:06 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplication/Configurator_Factory.cpp
        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc

        Scoreboard fixes.

Thu Oct 27 21:06:39 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/CodeGenerationKit/IndentationCxx.hpp:

          Added support for indentation of function arguments.

Thu Oct 27 00:29:11 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h
        * DAnCE/NodeApplicationManager/ImplementationInfo.h
        * DAnCE/StaticConfigurator/StaticDAnCEParser.mpc

          Fixed some compilation and linking errors shown on the scoreboard,
          particularly for Windows builds.

Thu Oct 27 07:16:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * rules.ciao.GNU:
          When cmd is the shell, use a different way to get the CIAO versions
          needed for building with VxWorks 5.5 with Windows as host

Wed Oct 26 23:07:59 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/TypeNameEmitter.cpp:
        * CIDLC/TypeNameEmitter.hpp:

          Added backend support for the frontend features added by
          Boris in

          Tue Oct 25 14:08:44 2005  Boris Kolpackov  <boris@kolpackov.net>.

Wed Oct 26 16:16:32 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/NodeApp_Configurator.cpp:
        * DAnCE/NodeApplication/NodeApp_Configurator.h: Updated the
          NodeApp_Configurator to support pre_orb_initialize and
          post_orb_initialize methods which will be invoked before and
          after ORB_init is called.

        * DAnCE/NodeApplication/NodeApplication.cpp: Moved ORB_init into
          NodeApplication_Core object.

        * DAnCE/NodeApplication/NodeApplication_Core.cpp:
        * DAnCE/NodeApplication/NodeApplication_Core.h:
        * DAnCE/NodeApplication/NodeApplication_Core.inl: Moved the
          NodeApplication_Options and NoOp_Configurator classes into
          Configurator_Factory.* file.  Refactored NodeApplication_Core to
          enable pre_orb_initialize and post_orb_initialize.

        * DAnCE/NodeApplication/Configurator_Factory.cpp:
        * DAnCE/NodeApplication/Configurator_Factory.h: Factored all the
          NodeApp_Configurtor creation strategies and NodeApplication
          configuration managements into these files.  It also includes
          the no-ops NodeApp_Configurator used by non-RT NodeApplication.

          We should extend the argument parsing logic to support
          user-supplied NodeApp_Configurator at some point.

        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplication/RTNA_Configurator_Export.h:
        * DAnCE/NodeApplication/RTNodeApp_Configurator.cpp:
        * DAnCE/NodeApplication/RTNodeApp_Configurator.h: Added the
          dynamic library for real-time configuration.  The current
          implementation set up the NodeApplication process by enabling
          the RTCORBA support.  We still need to add the capability to
          parse and allocate RT resources and policies.

Wed Oct 26 18:37:00 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Array.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.hpp:
        * CCF/CCF/IDL2/SemanticGraph/String.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.hpp:

        Corrected a left/right node mismatch in
        type-arguments->specialization relation.

Wed Oct 26 16:37:26 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.cpp:

        Clear array type before starting sequence, string, etc.,
        declarations.

Tue Oct 25 14:08:44 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/Parser.cpp:
        * CCF/CCF/IDL2/Parser.hpp:
        * CCF/CCF/IDL2/SemanticGraph.hpp:
        * CCF/CCF/IDL2/Traversal.hpp:
        * CCF/CCF/IDL2/SemanticAction/Typedef.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Typedef.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Union.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Array.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Array.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Sequence.hpp:
        * CCF/CCF/IDL2/SemanticGraph/String.cpp:
        * CCF/CCF/IDL2/SemanticGraph/String.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Union.hpp:
        * CCF/CCF/IDL2/Traversal/Array.cpp:
        * CCF/CCF/IDL2/Traversal/Array.hpp:
        * CCF/CCF/IDL2/Traversal/Elements.hpp:
        * CCF/CCF/IDL2/Traversal/IntExpression.hpp:
        * CCF/CCF/IDL2/Traversal/Sequence.cpp:
        * CCF/CCF/IDL2/Traversal/Sequence.hpp:
        * CCF/CCF/IDL2/Traversal/String.cpp:
        * CCF/CCF/IDL2/Traversal/String.hpp:

        Implemented the second part of the const expression support.
        This includes bounded sequences, strings, and arrays.

Mon Oct 24 09:36:28 2005  Venkita Subramonian  <venkita@cs.wustl.edu>

        * docs/static_dance.html:

        Corrected minor error with display of figures.

Mon Oct 24 08:10:29 2005  Venkita Subramonian  <venkita@cs.wustl.edu>

        * DAnCE/NodeApplication/NodeApplication_Impl.{h,inl,cpp}:
        * DAnCE/NodeApplication/Container_Impl.{h,inl,cpp}:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.{cpp,inl,h}:
        * DAnCE/NodeManager/NodeManager_Impl.{cpp,h}:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/NodeManager/NodeManager.mpc:
        * DAnCE/StaticConfigurator/README:
        * DAnCE/StaticConfigurator/StaticDAnCEParser.{cpp,mpc}:
        * DAnCE/StaticConfigurator/StaticDAnCEApp.{cpp.tmpl,mpc.tmpl}:
        * docs/static_dance.html:
        * docs/imgs/dance_arch.{vsd,jpg}:
        * docs/imgs/static_dance_arch.{vsd,jpg}:
        * docs/imgs/static_dance_impl.{vsd,jpg}:

        Added Static D&C capability to CIAO. See
          $CIAO_ROOT/docs/static_dance.html for further details.

Fri Oct 21 13:58:13 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DynAny_Handler.mpc

        Modified to make this not build on systems built with minimum
        corba.

Fri Oct 21 09:56:10 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/RTNodeApplication/RTNodeApplication.mpc:  Removed the MPC
          file to prevent it from being built.

        * DAnCE/RTNodeApplication/REAME: Stated the directory has been
          depricated.

Fri Oct 21 13:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
          Fixed unitialized warnings

Fri Oct 21 10:04:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Old_Config_Handlers/Process_Element_T.cpp:
          Fixed 64bit warnings

Thu Oct 20 09:07:21 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/NodeApplication/NodeApp_Configurator.{h,cpp}:
          Actually, destructors can be pure virtual.  They just can't be
          defined in header files.

Thu Oct 20 09:45:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplication/NodeApp_Configurator.{h,cpp}:
          Destructor can't be pure virtual

Wed Oct 19 15:03:56 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

          These changes are made to add support for RT-capable
          NodeApplication.

        * ciao/CCM_Core.mpc:
        * ciao/Container_Impl.h:
        * ciao/Container_Impl.inl:
        * ciao/Container_Impl.cpp:
        * ciao/NodeApplication_Impl.h:
        * ciao/NodeApplication_Impl.inl:
        * ciao/NodeApplication_Impl.cpp: Moved NodeApplication and
          Container interface implementations under DAnCE/NodeApplication/
          subdir.  They are coupled with NodeApplication implementation
          now.

        * DAnCE/NodeApplication/NodeApplication.mpc: Changed to
          incorporate the following files/changes.

        * DAnCE/NodeApplication/NodeApp_Configurator.h:
        * DAnCE/NodeApplication/NodeApp_Configurator.cpp: Added abstract,
          base NodeApp_Configurator class to define the interface for
          configuring NodeApplication internal.

        * DAnCE/NodeApplication/Container_Impl.h:
        * DAnCE/NodeApplication/Container_Impl.inl:
        * DAnCE/NodeApplication/Container_Impl.cpp: Moved from ciao/
          subdir.

        * DAnCE/NodeApplication/NodeApplication_Impl.h:
        * DAnCE/NodeApplication/NodeApplication_Impl.inl:
        * DAnCE/NodeApplication/NodeApplication_Impl.cpp: Changed to
          depend on a concrete NodeApp_Configurator to perform the
          configuration.

        * DAnCE/NodeApplication/NodeApplication_Core.h:
        * DAnCE/NodeApplication/NodeApplication_Core.inl:
        * DAnCE/NodeApplication/NodeApplication_Core.cpp:
        * DAnCE/NodeApplication/NodeApplication.cpp:  Restructured the
          NodeApplication implementation so that the ORB event loop can be
          run on the main thread or on a separate thread, using the FIFO
          scheduling class.

          A new create_configurator method in NodeApplication_Core will
          create the "right" concrete configurator based on the command
          line flags.  We will support a RT configuration soon.
          Currently, there's only a NoOp_Configurator for running
          NodeApplication without RT support.

          We will add the RT configuration as a dynamic library and will
          hook it up via ACE_DLL in a few days.

Tue Oct 18 16:50:24 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * NEWS

        Updated release notes.

Mon Oct 17 13:21:59 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/ccd.xsd

        Updated to work with expected format for Repoman/ComponentPackager

Fri Oct 14 17:22:59 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Deployment.cpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ccd.cpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdd.cpp
        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.cpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.cpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.cpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.cpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.cpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/toplevel.cpp
        * tools/Config_Handlers/toplevel.hpp

        Regerated with new version of XSC which implements some heavy
        optimizations.

Fri Oct 14 14:11:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp:
          Removed not needed ;

Thu Oct 13 15:42:12 2005  William Otte  <wotte@dre.vanderbilt.edu>

       * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
       * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp
       * tools/Config_Handlers/RT-CCM/TPL_Handler.cpp

       Various compile fixes for Borland.

       * tools/Config_Handlers/XMLSchema/Types.hpp

       Modified to use ACE typedefs for number types.

       * tools/Config_Handlers/XSCRT/Elements.hpp

       Removed unneeded non-const conversion operator which was causing
       errors in Borland.

Wed Oct 12 14:13:09 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/Sender/Sender.idl
        * examples/Hello/Sender/Sender_exec.cpp
        * examples/Hello/Sender/Sender_exec.h
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp

        Example of initializing enumerated attributes.

Wed Oct 12 15:08:31 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/TP_Handler.cpp:

          Changed the types of some static_casts on the rhs of
          assignments to match the types on the lhs, eliminating
          warnings from MSVC 7.1.

Wed Oct 12 13:17:58 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/TypeNameEmitter.cpp:

          Removed generation of error message with code that attempts
          to set an enum attribute value, and replace it with code
          that extracts the enum value from the Any arguement.

Wed Oct 12 08:38:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.h:
          Fixed fuzz check

Tue Oct 11 16:37:01 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Deployment.cpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ccd.cpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdd.cpp
        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.cpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.cpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.cpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.cpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.cpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/toplevel.cpp
        * tools/Config_Handlers/toplevel.hpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Fixed a bug which broke the gaurantee that element order in the
        XSC type would be the same as the element order in the instance
        document.

        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp

        Fixed a runtime error and removed some debugging information.

Mon Oct 10 17:37:20 2005 Stoyan Paunov spaunov@isis.vanderbilt.edu

        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp

        reverted a change we made earlier to accomodate older verisons of ZZIPLIB


Mon Oct 10 15:46:57 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp

        Trivial corrections for portability problems.

        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc

        Updated to properlly use base projects.

Mon Oct 10 20:07:39 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc:
        * tools/Config_Handlers/DynAny_Handler.mpc:

          Add export files to projects, and removed redundant
          base projects.

        * tools/Config_Handlers/RT-CCM/TPL_Handler.cpp:

          Changed some static casts on the rhs of assignments to types
          corresponding to the lhs, elminating warnings on MSVC 7.1.

Mon Oct 10 15:05:00 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/cdd.xsd

        Checking in some updated schema for domain information.

Mon Oct 10 13:53:15 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/DynAny_Handler.mpc
        * tools/Config_Handlers/IDREF_Base.h
        * tools/Config_Handlers/XSC_XML_Handlers_Export.h
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/cpd.hpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/toplevel.hpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.h
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler_Export.h
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.h
        * tools/Config_Handlers/RT-CCM/CB_Handler.h
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp
        * tools/Config_Handlers/RT-CCM/CLA_Handler.h
        * tools/Config_Handlers/RT-CCM/OC_Handler.h
        * tools/Config_Handlers/RT-CCM/OR_Handler.h
        * tools/Config_Handlers/RT-CCM/PM_Handler.h
        * tools/Config_Handlers/RT-CCM/PS_Handler.h
        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc
        * tools/Config_Handlers/RT-CCM/RT_CCM_Handlers_Export.h
        * tools/Config_Handlers/RT-CCM/SRD_Handler.h
        * tools/Config_Handlers/RT-CCM/TPL_Handler.h
        * tools/Config_Handlers/RT-CCM/TP_Handler.h
        * tools/Config_Handlers/RT-CCM/input.csr
        * tools/Config_Handlers/Utils/CIAO_XML_Utils_Export.h
        * tools/Config_Handlers/Utils/Utils.mpc
        * tools/Config_Handlers/Utils/XML_Error_Handler.h
        * tools/Config_Handlers/Utils/XML_Helper.h
        * tools/Config_Handlers/Utils/XML_Schema_Resolver.h

        Fixed messy export macro usage.  This will clean up builds on
        Windows.

Sun Oct 9 19:22:44 CDT 2005 Stoyan Paunov spaunov@isis.vanderbilt.edu

        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc

        Fixing a few includes after Will Otte's latest changes.


Sun Oct  9 09:51:41 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DynAny_Handler.mpc

        Moved this file down a level to make MPC stop complaining.

Fri Oct  7 18:22:40 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Any_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.h
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp

        *Hopefully* fix compile problem on Windows.

Fri Oct  7 18:25:11 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/IDD_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.cpp

        Fix runtime error.

Fri Oct  7 16:18:40 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.h

        Fix for a compile problem.

Fri Oct  7 14:25:09 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/DynAny_Handler/DataType_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DataType_Handler.h
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.h
        * tools/Config_Handlers/DynAny_Handler/DynAny_Handler.mpc
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.cpp
        * tools/Config_Handlers/DynAny_Handler/DynEnum_Handler.h
        * tools/Config_Handlers/Any_Handler.cpp

        Add support for using Dynamic Any.  This will evolve in the coming
        weeks into more complete support for complex types.

        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/ADD_Handler.h
        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/CCD_Handler.cpp
        * tools/Config_Handlers/CCD_Handler.h
        * tools/Config_Handlers/CEPE_Handler.cpp
        * tools/Config_Handlers/CEPE_Handler.h
        * tools/Config_Handlers/DP_Handler.cpp
        * tools/Config_Handlers/DP_PCD_Handler.cpp
        * tools/Config_Handlers/DP_PCD_Handler.h
        * tools/Config_Handlers/ERE_Handler.cpp
        * tools/Config_Handlers/ERE_Handler.h
        * tools/Config_Handlers/ADD_Handler.cpp
        * tools/Config_Handlers/IDD_Handler.h
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.h
        * tools/Config_Handlers/PCD_Handler.cpp
        * tools/Config_Handlers/PSPE_Handler.cpp
        * tools/Config_Handlers/PSPE_Handler.h

        Optimization made possible by improvements in XSC.

Fri Oct  7 14:20:36 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
        *
          DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:

          Added more debug statements.

Fri Oct  7 19:14:29 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIAO-INSTALL.html:

          Updated CIDL compiler section with instructions for building
          the CIDL compiler using MPC.

Fri Oct  7 18:46:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeManager_Impl.{h,inl}:
          Removed inl file, it is empty

        * DAnCE/ExecutionManager/ExecutionManager_Impl.inl:
          Removed, empty

Thu Oct  6 16:52:21 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        *
          DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:

          Added more debug statements and comments.

Thu Oct  6 16:11:56 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        *
          DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:

          Added more debug statements and also comments in the code.

Thu Oct  6 15:32:41 CDT 2005 Stoyan Paunov spaunov@isis.vanderbilt.edu

        * DAnCE/spec_RepositoryManager/PC_Updater.cpp
        * DAnCE/spec_RepositoryManager/PC_Updater.h
        * DAnCE/spec_RepositoryManager/PC_Updater_T.cpp
        * DAnCE/spec_RepositoryManager/PC_Updater_T.h

        Added these files which implement a PackageConfiguration visitor.
        The visitor helps deal with the internal complexity of the PackageConfiguration
        and helps preseve my sanity ;)

        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.h

        Some more code. With this the package distribution part of the RM
        is ready. I still need to clean up a few details. This is coming soon.


Thu Oct  6 15:05:30 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:

          Added debug statements and comments.

Thu Oct  6 14:26:31 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/DAM_Map.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/Plan_Launcher/DAM_Map.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp:
        * ciao/Container_Impl.cpp:
        * ciao/NodeApplication_Impl.cpp:
        * ciao/Servant_Activator.cpp:

          Fixed the debug statements to look for critical levels
          no more than 9.

Thu Oct  6 14:00:16 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * ciao/Container_Base.cpp:
        * ciao/Container_Impl.cpp:

          Added debug messages and comments.

Thu Oct  6 12:30:40 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * ciao/NodeApplication_Impl.cpp:

          Added debug messages and comments.

Thu Oct  6 08:00:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:
        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
          Fixed compile problems

Wed Oct  5 17:42:24 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Any_Handler.cpp

        Part of previous commit.

Wed Oct  5 17:07:07 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/cdd.xsd

        Moved recursive Domain data into cdd.xsd.  This will hopefully
        lessen the time required to compile.

        * tools/Config_Handlers/CPD_Handler.cpp
        * tools/Config_Handlers/DataType_Handler.cpp

        Fixed some potential run-time bugs in Borland.  Style
        corrections.

        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp
        * tools/Config_Handlers/Deployment.cpp
        * tools/Config_Handlers/Deployment.hpp
        * tools/Config_Handlers/ccd.cpp
        * tools/Config_Handlers/ccd.hpp
        * tools/Config_Handlers/cdd.cpp
        * tools/Config_Handlers/cdd.hpp
        * tools/Config_Handlers/cdp.cpp
        * tools/Config_Handlers/cdp.hpp
        * tools/Config_Handlers/cid.cpp
        * tools/Config_Handlers/cid.hpp
        * tools/Config_Handlers/iad.cpp
        * tools/Config_Handlers/iad.hpp
        * tools/Config_Handlers/pcd.cpp
        * tools/Config_Handlers/pcd.hpp
        * tools/Config_Handlers/test.cdp
        * tools/Config_Handlers/toplevel.cpp
        * tools/Config_Handlers/toplevel.hpp

        Regerated with new version of XSC.  Major changes:
          * Now only one accessor and one mutator per document element
          * Changes in schema above.

Wed Oct  5 14:44:31 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
        *
          DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:

          Added some debug statements and some optimization choices.

Tue Oct  4 14:08:24 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/unused_elements.xsd
        * tools/Config_Handlers/Basic_Deployment_Data.cpp
        * tools/Config_Handlers/Basic_Deployment_Data.hpp

        Updated to include domain information (ie, bridge, interconnect).

        * tools/Config_Handlers/RT-CCM/SRD_Handler.h

        Cosmetic changes.

Mon Oct  3 14:27:39 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * CIAO-INSTALL.html

        Updated install documentation to reflect the restructuring.

Mon Oct  3 12:48:26 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

        Commented out some debugging information.

Mon Oct  3 15:44:15 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/Purify.html:

          Updated doc file with installation info and more info about
          Purifying a spawned child process.

Mon Oct  3 10:14:19 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

        Corrected a bug in parameter checking.

        * DAnCE/NodeManager/Node_Manager.cpp

        Added documentation for the -d command line options.

        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp
        * tools/Config_Handlers/RT-CCM/SRD_Handler.cpp
        * tools/Config_Handlers/RT-CCM/SRD_Handler.h

        New functionality in the Config_Handlers.

Mon Oct  3 10:00:08 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * bin/valgrind_nodedaemon.py

        Script to help launch nodemanager/nodeapplication under Valgrind.

Mon Oct  3 000:31:09 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/Purify.html:

          New file, documenting the use of Purify with CIAO and DAnCE.

Sun Oct  2 22:24:15 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp:

          Added include of RT-CCM/CIAOServerResources.hpp.

        * tools/Config_Handlers/DP_Handler.cpp:

          Added export macros to friend function declarations.

Sat Oct 1 15:38:23  2005  William Otte <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/test.cpp

        Corrected the config handler test to properly test the handlers.

        * tools/Config_Handlers/PSPE_Handler.cpp

        Fixed a run-time bug that was causing corrupted plans in Borland
        builds.

Friday Sep 30 15:12:43 2005  William Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc
        * RACE/Planner_Manager/Component/Planner_Manager.mpc
        * tests/IDL3/ImpliedIDL/All/all.mpc
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Fixes for compile problems in Borland6

Fri Sep 30 15:11:47 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * NEWS

          Updated the NEWS file.

Fri Sep 30 07:53:47 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/SRD_Handler.cpp

        Should have been part of the previous commit.

Thu Sep 29 18:11:25 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * ciao/Container_Impl.cpp
        * ciao/NodeApplication_Impl.cpp
        * ciao/Upgradeable_Context_Impl_T.cpp

        Fuzz errors.

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * tools/Config_Handlers/RT-CCM/Config_Handlers_Export.h
        * tools/Config_Handlers/RT-CCM/SRD_Handler.h
        * tools/Config_Handlers/Utils/Config_Handlers_Export.h

        Correction for a emulated exception error.

Thu Sep 29 13:01:23 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Version.h

        Corrected the version number.

Thu Sep 29 11:34:55 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Swapping_Servant_Home_Impl_T.cpp

        Fixed build problem on non-exception systems.

Thu Sep 29 07:28:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Utils/XML_Schema_Resolver.cpp:
          Fixed not used argument warning

Thu Sep 29 06:44:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/Config_Handlers/Utils/XML_Schema_Resolver.h:
          Added missing pre.h

Wed Sep 28 16:44:39 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * docs/schema/CIAOServerResources.xsd

          Updated to support RT-CCM.

Wed Sep 28 14:44:39 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        New version of the XSC including additional features needed for
        RT-CCM.

Wed Sep 28 08:24:32 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Utils/Utils.mpc
        * tools/Config_Handlers/Utils/XML_Helper.cpp
        * tools/Config_Handlers/Utils/XML_Schema_Resolver.cpp
        * tools/Config_Handlers/Utils/XML_Schema_Resolver.h

        Implemented a schema resolver so that the XML parser till grab the
        schemata from $CIAO_ROOT/docs/schema.

        * docs/tutorials/Quoter/Simple/descriptors/Deployment.xsd
        * docs/tutorials/Quoter/Simple/descriptors/Modified_Deployment.xsd
        * examples/BasicSP/descriptors/Deployment.xsd
        * examples/Display/descriptors/Deployment.xsd
        * examples/Display/descriptors/Modified_Deployment.xsd
        * examples/Hello/descriptors/Deployment.xsd
        * examples/Hello/descriptors/Modified_Deployment.xsd
        * examples/Hello/descriptors/XMI.xsd
        * examples/Hello/descriptors/Deployment.xsd
        * examples/Hello/descriptors/Modified_Deployment.xsd
        * examples/Hello/descriptors/XMI.xsd

        Removed obsolete schemata.

        * examples/Display/descriptors/flattened_deploymentplan.cdp
        * examples/Hello/descriptors/flattened_deploymentplan.cdp
        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp
        * docs/tutorials/Quoter/Simple/descriptors/flattened_deploymentplan.cdp

        Migrated these deployment plans to use Deployment.xsd and friends,
        instead of Modified_Deployment.xsd.

        * NEWS

        Updated the NEWS to include this feature.

Tue Sep 27 13:16:43 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc
        * DAnCE/NodeApplication/NodeApplication.mpc
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/Old_Config_Handlers/Config_Handlers.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/RTNodeApplication/RTNodeApplication.mpc
        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.mpc
        * RACE/Output_Adapters/Base/Output_Adapter.mpc
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.mpc
        * ciao/CCM_Core.mpc
        * examples/BasicSP/BasicSP.mpc

        Fixed a large number of deficiencies in our build structure.
        More changes to come later.

Tue Sep 27 11:10:37 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * NEWS

        Updated the news file.

Tue Sep 27 10:51:20 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * bin/generate_component_mpc.pl

        Updated this script to bring it in line with modern CIAO. This
        includes:

          - Base projects are now the _dnc variants
          - Export files are now automatically generated.

Tue Sep 27 14:26:44 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/LexicalAnalyzer.cpp:
        * CCF/CCF/IDL2/Parser.cpp:
        * CCF/CCF/IDL2/Parser.hpp:
        * CCF/CCF/IDL2/SemanticAction.hpp:
        * CCF/CCF/IDL2/SemanticGraph.hpp:
        * CCF/CCF/IDL2/SemanticAction/Const.hpp:
        * CCF/CCF/IDL2/SemanticAction/Factory.hpp:
        * CCF/CCF/IDL2/SemanticAction/NumericExpression.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Const.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Const.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Elements.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Factory.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/NumericExpression.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/NumericExpression.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Elements.hpp:
        * CCF/CCF/IDL2/SemanticGraph/IntExpression.cpp:
        * CCF/CCF/IDL2/SemanticGraph/IntExpression.hpp:
        * CCF/CCF/IDL3/Parser.cpp:
        * CCF/CCF/CIDL/Parser.cpp:

        Implemented first part of the const expression support. This
        includes parser rules, semantic graph types and semantic
        actions. Traversal types are still to be implemented.

Tue Sep 27 06:42:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
          Fixed compile problem

        * tools/Config_Handlers/XMLSchema/TypeInfo.tpp:
          Removed using std::make_pair, this causes a crash of the BCB6
          compiler. It doesn't seem to cause issues with CBX, but it
          seems the code wasn't really needed and now BCB6 is also happy

Mon Sep 26 11:06:40 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Basic_Deployment_Data.hpp

        Updates for compile problems in Borland.

Mon Sep 26 11:06:40 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.cpp

        Cleared up some scoreboard errors.

Sat Sep 24 20:44:20 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * tools/Config_Handlers/Config_Handlers.mpc

          Fixed linking errors.

Sat Sep 24 08:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc:
          Added Id tag

Sat Sep 24 02:37:20 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * ciao/Deployment.idl
        * ciao/Deployment_Core.idl
        * ciao/ServerResources.idl

          Enhanced to support RT-CCM feature.

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp
        * DAnCE/NodeApplicationManager/ImplementationInfo.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.cpp
        * DAnCE/NodeApplicationManager/Containers_Info_Map.h

          Refactor the NodeApplicationManager to populate the correct
          node level deployment plan info, while taking into account
          of the RT-CCM feature.

        * ciao/NodeApplication_Impl.cpp
        * ciao/NodeApplication_Impl.h

          Modified to accomodate the change in IDL files.

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp

          Fixed these tests to make them run with the modified IDL
          files.

        * DAnCE/examples/Hello/descriptors/rt-config-example.csr
        * DAnCE/examples/Hello/descriptors/rt-config-example.cdp

          An example descriptor files to describe server resource,
          and associate server resources and policy set defs with
          the deployment plan.

          NOTE: All above code are tested working fine with the existing
          examples.

Fri Sep 23 10:05:18 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/tests/NodeApplicationTest/NodeAppTest.mpc
        * tools/Config_Handlers/Config_Handlers.mpc

          fixes for build problems.

Thu Sep 22 16:21:12 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NodeManager_Impl.cpp

          Added error report message from the tool.

        * ciao/Container_Base.cpp

          Cosmetic change.

Thu Sep 22 14:45:32 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc
        * tools/Config_Handlers/STD_CID_Handler.cpp
        * tools/Config_Handlers/STD_CID_Handler.h
        * tools/Config_Handlers/STD_CPD_Handler.cpp
        * tools/Config_Handlers/STD_CPD_Handler.h
        * tools/Config_Handlers/STD_PCD_Handler.cpp
        * tools/Config_Handlers/STD_PCD_Handler.h
        * tools/Config_Handlers/STD_PC_Intf.cpp
        * tools/Config_Handlers/XML_File_Intf.cpp
        * tools/Config_Handlers/RT-CCM/SRD_Handler.h
        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc

        Made these files consistent with the new Utils directory.

        * tools/Config_Handlers/Utils/Utils.mpc
        * tools/Config_Handlers/Utils/XML_Error_Handler.cpp
        * tools/Config_Handlers/Utils/XML_Error_Handler.h
        * tools/Config_Handlers/Utils/XML_Helper.cpp
        * tools/Config_Handlers/Utils/XML_Helper.h
        * tools/Config_Handlers/Utils/XercesString.cpp
        * tools/Config_Handlers/Utils/XercesString.h

        Moved common XML  utilities to a separate directory.

Thu Sep 22 13:21:12 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * ciao/CCM_Core.mpc
        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * tools/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc

          Put the ServerResources.idl into Deployment_stub project. Modified
          other MPC project files to reflect this change.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Pass the infoProperty which contains the entire server resource
          definitions to each individual child deployment plans.

        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h

          NodeManager now validates the correctness of the individual local
          dpeloyment plan. In particular,  it tries to verify that all the
          component instances within this child deployment plan have the same
          "server_resource_id" assigned.

        * DAnCE/tests/NodeApplicationTest/NodeAppTest.mpc
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_dynamic.cpp

          Added a NodeApplication test case, where multiple components could
          be installed one-by-one through a serious of "install" invocations.

        * examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp

          Fixed a typo.



Thu Sep 22 12:26:45 CDT 2005 Stoyan spaunov@isis.vanderbilt.edu

        * DAnCE/spec_RepositoryManager/
        * DAnCE/new_RepositoryManager/

        Added the former, removed the latter.


Thu Sep 22 10:50:45 CDT 2005 Stoyan spaunov@isis.vanderbilt.edu


        * DAnCE/spec_RepositoryManager/HTTP_Client.cpp
        * DAnCE/spec_RepositoryManager/HTTP_Client.h
        * DAnCE/spec_RepositoryManager/HTTP_Handler.cpp
        * DAnCE/spec_RepositoryManager/HTTP_Handler.h
        * DAnCE/spec_RepositoryManager/Options.cpp
        * DAnCE/spec_RepositoryManager/Options.h
        * DAnCE/spec_RepositoryManager/README.txt
        * DAnCE/spec_RepositoryManager/RepositoryManager.cpp
        * DAnCE/spec_RepositoryManager/RepositoryManager.idl
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/spec_RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/spec_RepositoryManager/RMadmin.cpp
        * DAnCE/spec_RepositoryManager/RM_Helper.cpp
        * DAnCE/spec_RepositoryManager/RM_Helper.h
        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.mpc
        * DAnCE/spec_RepositoryManager/spec_RepositoryManager.ncb
        * DAnCE/spec_RepositoryManager/URL_Parser.cpp
        * DAnCE/spec_RepositoryManager/URL_Parser.h
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/spec_RepositoryManager/ZIP_Wrapper.h


        Checked in these file and cleaned up *some* of the underlying mess due to previous
        mix-ups. Many of the files are new. Some are newer versions of older files.
        Previously there were 2 RM directories spec_RepositoryManager and
        new_RepositoryManager. Someone had removed the spec* verion and checked in the
        wrong files in the new* version (which used to be a non-spec compilent impl).
        Apparently on top of that the two directories have been linked somehow! I will
        check on what the reason for this is later.


Thu Sep 22 13:15:28 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp:

          Fixed typo.

Wed Sep 21 15:32:38 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp
        * DAnCE/NodeApplication/NodeApplication.cpp
        * DAnCE/RTNodeApplication/NodeApplication_Task.cpp
        * DAnCE/RepositoryManager/Repository_Manager.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp
        * ciao/Container_Base.cpp
        * ciao/Container_Impl.cpp
        * ciao/Servant_Activator.cpp
        * ciao/Servant_Impl_T.cpp
        * ciao/Swapping_Container.cpp
        * ciao/Swapping_Servant_Home_Impl_T.cpp
        * ciao/Upgradeable_Context_Impl_T.cpp
        * docs/templates/CIAO_Glue_Session_Template.cpp
        * examples/Hello/Sender/Sender_exec.cpp
        * examples/Swapping/Receiver/Receiver_exec.cpp
        * examples/Swapping/Sender/Sender_exec.cpp
        * examples/Swapping/Sender/Sender_exec_1.cpp
        * examples/Swapping/Sender/Sender_exec_2.cpp

        Fixed numerous emulated exception errors.

        * DAnCE/ExecutionManager/ExecutionManager_Impl.cpp
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h

        removed obsolete EM implementation.

Wed Sep 21 13:34:28 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * tools/Config_Handlers/RT-CCM/test.cpp

          Modified so the output XML file is based on the XSC dom document
          instead from the input file directly.

Tue Sep 20 21:58:23 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL3/ImpliedIDL/All/convert.idl:

          Modified valuetype declartion used as a primary key to
          conform to the CCM spec section 61.7.2.1 listing
          constraints on primary key types.

Tue Sep 20 02:25:34 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/Config_Handlers.mpc

          Quick fix for a build problem on Windows.  A better solution
          will follow when I check in my CIAO build system revamp.

Tue Sep 20 10:19:46 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/test.cdp

        A test deployment plan file that contains odd constructs.
        Used for testing.

Tue Sep 20 10:07:43 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc

        Added a missing library.

Tue Sep 20 09:50:28 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Modified to kill all NodeApplication processes when the deployment fails.

Tue Sep 20 09:35:28 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

        Added a missing library.

Mon Sep 19 16:29:57 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * ADD_Handler.cpp
        * Common.h
        * IDD_Handler.cpp
        * IDD_Handler.h
        * IDREF_Base.cpp
        * IDREF_Base.h
        * IRDD_Handler.cpp
        * IRDD_Handler.h
        * MDD_Handler.cpp
        * PSPE_Handler.cpp
        * STD_CID_Handler.cpp
        * XML_Error_Handler.cpp

        Added some improved error handling/reporting. Much more to come.

        * test.cpp
        * RT-CCM/RT-CCM-Handlers.mpc
        * RT-CCM/SRD_Handler.cpp
        * RT-CCM/SRD_Handler.h
        * Config_Handlers.mpc
        * DP_Handler.cpp

        Added hooks for parsing ServerResources document into a deployment
        plan.

        This is activated by adding an InfoProperty with name
        "CIAOServerResources" with a value of a valid CSR file.

        Also enabled parsing of deployRequirements and infoProperties.

Mon Sep 19 10:55:05 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Input_Adapters/Base/Input_Adapter.mpc
        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.mpc
        * RACE/Output_Adapters/Base/Output_Adapter.mpc
        * RACE/Output_Adapters/Interface/Output_Adapter_Interface.mpc
        * RACE/Output_Adapters/XML_Output_Adapter/XML_Output_Adapter.mpc
        * RACE/Plan_Analyzer/Component/Plan_Analyzer.mpc
        * RACE/Plan_Analyzer/Interface/Plan_Analyzer_Interface.mpc
        * RACE/Planner_Manager/Component/Planner_Manager.mpc
        * RACE/Planner_Manager/Interface/Planner_Manager_Interface.mpc
        * RACE/Planners/Base/Planner.mpc
        * RACE/Planners/Interface/Planner_Interface.mpc
        * RACE/Planners/SimpleBinPacker/SimpleBinPacker.mpc
        * RACE/common/RACE_common.mpc
        * tools/Config_Handlers/RT-CCM/CLA_Handler.h
        * tools/Config_Handlers/RT-CCM/OC_Handler.cpp
        * tools/Config_Handlers/RT-CCM/OR_Handler.cpp
        * tools/Config_Handlers/RT-CCM/OR_Handler.h

        Misc fuzz fixes.

Fri Sep 16 09:54:44 2005  William Otte  <wotte@william-ottes-powerbook-g4-15.local>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp

        Emulated exception fixes.

Thu Sep 15 07:29:03 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * TAO/CIAO/examples/Hello/descriptors/NodeManagerMap.dat: Make sure
          there's a newline at the end of this file.  Thanks to Zachi
          Klopman <zklopman@gmail.com> for reporting this.

Thu Sep 15 11:20:20 2005 CSET William Otte  <wotte@dre.vanderbilt.edu>


        * ciao/Container_Base.cpp

        Fix for compile error on platforms with emulated exceptions.

Wed Sep 14 13:25:00 CEST 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * RACE/Input_Adapters/Interactive_Input_Adapter/Interactive_Input_Adapter.mpc

        Fix for a library ordering problem.

Wed Sep 14 11:18:42 2005 CEST William Otte  <wotte@william-ottes-powerbook-g4-15.local>

        * tools/Config_Handlers/CIAOServerResources.cpp
        * tools/Config_Handlers/CIAOServerResources.hpp

        Removed these from the repo to avoid confusion.

        * tools/Config_Handlers/RT-CCM/CIAOServerResources.hpp

        Ported patches from:
        Tue Sep 13 17:18:12 CEST 2005  William Otte  <wotte@dre.vanderbilt.edu>

        which were made against the wrong file.  Thanks to Gan Deng for
        pointing this out.

Wed Sep 14 13:28:14 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_NodeDaemons.pl

          Modified the relevant path due to the recent CIAO directory
          reorganization.

        * examples/Hello/Sender/Sender.idl
        * examples/Hello/Sender_exec.cpp
        * examples/Hello/starter.cpp

          Added test for "readonly" attribute.
          Fixed a bug of setting attribute through command line options
          through the "starter" executable. Also, make the default ior
          file name to be "Sender.ior" to make it consistent with the
          output generated by DAnCE. Thanks Zacki
          <zklopman at gmail dot com> for reporting these.

        * examples/Hello/step-by-step.html

          Updated the documentation to run the example.

Tue Sep 13 17:18:12 CEST 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/CIAOServerResources.hpp

        Fixes for compile errors in:
        .  Especially strict C++ compilers
        .  Windows VC71 (hopefully)

Tue Sep 13 17:05:31 2005 CEST William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/NodeManager/Node_Manager.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h
        * ciao/Container_Base.cpp
        * ciao/NodeApplication_Impl.cpp

        Folding in some of the error reporting work that I have been
        working on for the past couple weeks. Most common deployment
        errors are now reported through the plan_launcher.

Tue Sep 13 16:55:15 CEST 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/IDD_Handler.cpp
        * tools/Config_Handlers/MDD_Handler.cpp
        * tools/Config_Handlers/PSPE_Handler.cpp
        * tools/Config_Handlers/STD_CID_Handler.cpp

        Fixes for compile errors on both:
        .  64 bit platforms
        .  GCC4

Tue Sep 13 16:01:35 CEST 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/XMLSchema/Traversal.hpp
        * tools/Config_Handlers/XMLSchema/TypeInfo.hpp
        * tools/Config_Handlers/XMLSchema/Types.hpp
        * tools/Config_Handlers/XMLSchema/Writer.hpp
        * tools/Config_Handlers/XSCRT/Elements.hpp
        * tools/Config_Handlers/XSCRT/ExtendedTypeInfo.hpp
        * tools/Config_Handlers/XSCRT/Parser.hpp
        * tools/Config_Handlers/XSCRT/Traversal.hpp
        * tools/Config_Handlers/XSCRT/Writer.hpp
        * tools/Config_Handlers/XSCRT/XML.hpp
        * tools/Config_Handlers/XSCRT/XMLSchema.hpp

        Rolled back Stoyan's changes from the previous commit.  The proper
        fix for this problem would be to update the include paths in the
        affected MPC files, which has the virtue of not breaking
        builds on platforms with case-sensitive filesystems.

        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc

        Updated the include path to include the new config handlers directory.

Mon Sep 12 17:34:47 CDT 2005 Stoyan Paunov <spaunov@isis.vanderbilt.edu>

        * tools/Config_Handlers/XMLSchema/Traversal.hpp
        * tools/Config_Handlers/XMLSchema/TypeInfo.hpp
        * tools/Config_Handlers/XMLSchema/Types.hpp
        * tools/Config_Handlers/XMLSchema/Writer.hpp
        * tools/Config_Handlers/XSCRT/Elements.hpp
        * tools/Config_Handlers/XSCRT/ExtendedTypeInfo.hpp
        * tools/Config_Handlers/XSCRT/Parser.hpp
        * tools/Config_Handlers/XSCRT/Traversal.hpp
        * tools/Config_Handlers/XSCRT/Writer.hpp
        * tools/Config_Handlers/XSCRT/XML.hpp
        * tools/Config_Handlers/XSCRT/XMLSchema.hpp

        Fixed a number of problems related to Will's changes. The XSC_Config_Handler_Tests
        project was not compiling. I had the same problem in RepositoryManager. Will had
        changed the directory structure, but did not update any of the include paths.
        Needless to say there were like 30-40 of those in the XSCRT and XMLSchema directories

Fri Sep  9 12:35:20 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tools/Config_Handlers/STD_IAD_Handler.cpp
        * tools/Config_Handlers/STD_PCD_Handler.cpp
        * tools/Config_Handlers/STD_PC_Intf.cpp

        Changed to comform with new refactoring.

Fri Sep  9 12:32:14 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * ciao/CCM_Core.mpc
        * ciao/Container_Base.cpp
        * ciao/Deployment.idl
        * ciao/Deployment_Core.idl
        * ciao/Deployment_Data.idl
        * ciao/Packaging_Data.idl

        Refactoring to support cidl compilation of deployment structures.
        This refactoring should solve compilation errors in the config handlers.

Wed Sep  7 16:31:12 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantHeaderGenerator.cpp:

          Removed generation of export macro in the typedef of the
          template class instantiation that defines a facet servant.
          Thanks to Ossama Othman <ossama@dre.vanderbilt.edu> for
          pointing out that typedefs need not be exported.

Tue Sep  6 11:39:15 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * ciao/Deployment_Data.idl

        Commented out IDL that is unsupported by CIDLC.

        * RACE

        Added IDL for RACE.

Tue Sep  6 09:58:12 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * examples/Hello/descriptors/run_test.pl

        Modified the script to fix the absolute path to the naming service
        with a relative path.

Fri Sep  2 17:38:31 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Protocols/Controller/Controller.mpc
        * performance-tests/Protocols/Receiver/Receiver.mpc
        * performance-tests/Protocols/Sender/Sender.mpc
        * performance-tests/Protocols/common/Protocols.mpc
        * tests/CIDL/CodeGen/CodeGen.mpc

        Migrated to modern CIAO base projects.

Fri Sep  2 16:41:08 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * performance-tests/Benchmark/Benchmark.mpc
        * performance-tests/Benchmark/Multi_Threaded/Multi_Threaded.mpc
        * performance-tests/Benchmark/RoundTrip/RoundTrip.mpc
        * performance-tests/Benchmark/RoundTripClient/RoundTripClient.mpc
        * performance-tests/Benchmark/RoundTripServer/RoundTripServer.mpc

        Migrated to modern CIAO projects.

Fri Sep  2 15:10:43 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * docs/tutorial

        Removed the obsolete hello tutorial.

Fri Sep  2 15:04:00 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * tests/tests.mwc
        * tests/IDL3/Components/ComplexComponent/Attributes/Attributes.mpc
        * tests/IDL3/Components/ComplexComponent/EventSink/EventSink.mpc
        * tests/IDL3/Components/ComplexComponent/EventSource/EventSource.mpc
        * tests/IDL3/Components/ComplexComponent/Facets/Facets.mpc
        * tests/IDL3/Components/ComplexComponent/Receptacles/Receptacles.mpc
        * tests/IDL3/Components/SimpleComponent/SimpleComponent.mpc
        * tests/IDL3/Events/Abstract/Abstract.mpc
        * tests/IDL3/Events/Regular/Regular.mpc
        * tests/IDL3/Homes/Attributes/HomeAttributes.mpc
        * tests/IDL3/Homes/Basic/Basic.mpc
        * tests/IDL3/Homes/Factory/Factory.mpc
        * tests/IDL3/Homes/Finder/Finder.mpc
        * tests/IDL3/Homes/Inheritance/Inheritance.mpc
        * tests/IDL3/ImpliedIDL/Components/Basic/ICBasic.mpc
        * tests/IDL3/ImpliedIDL/Components/EventSink/ICEventSink.mpc
        * tests/IDL3/ImpliedIDL/Components/EventSource/ICEventSource.mpc
        * tests/IDL3/ImpliedIDL/Components/Receptacles/ICReceptacles.mpc
        * tests/IDL3/ImpliedIDL/Events/Events.mpc
        * tests/IDL3/ImpliedIDL/Homes/Homes.mpc
        * tests/IDL3/Lookup/lookup_test.mpc

        Updated to use dnc ciao base project.

        * tests/RTCCM

        Removed this test.

Thu Sep  1 10:20:48 2005  William Otte  <wotte@dre.vanderbilt.edu>

        CIAO Reorganization.  Plese see tag before_ciao_reorg
        to obtain the old version.

Wed Aug 31 15:16:23 2005  William Otte  <wotte@dre.vanderbilt.edu>
        * DAnCE/Config_Handlers/RT-CCM/CB_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/PM_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/TPL_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/TP_Handler.cpp

        Fixes to satisfy a tempramental Borland compiler.

Wed Aug 31 13:28:46 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/ADD_Handler.cpp
        * DAnCE/Config_Handlers/ADD_Handler.h
        * DAnCE/Config_Handlers/IDD_Handler.cpp
        * DAnCE/Config_Handlers/IDD_Handler.h
        * DAnCE/Config_Handlers/IDREF_Base.cpp
        * DAnCE/Config_Handlers/IDREF_Base.h
        * DAnCE/Config_Handlers/MDD_Handler.cpp
        * DAnCE/Config_Handlers/MDD_Handler.h
        * DAnCE/Config_Handlers/STD_CID_Handler.cpp
        * DAnCE/Config_Handlers/STD_CID_Handler.h

        Simple refactoring to make the IDREF interface more generic.

        * DAnCE/Config_Handlers/XML_Helper.cpp
        * DAnCE/Config_Handlers/XML_Helper.h

        Made empty document creation more generic.

        * DAnCE/Config_Handlers/RT-CCM/CB_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/CB_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/CIAOServerResources.cpp
        * DAnCE/Config_Handlers/RT-CCM/CIAOServerResources.hpp
        * DAnCE/Config_Handlers/RT-CCM/CLA_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/CLA_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/OC_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/OC_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/OR_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/OR_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/PM_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/PM_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/PS_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/PS_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/RT-CCM-Handlers.mpc
        * DAnCE/Config_Handlers/RT-CCM/SRD_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/SRD_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/TPL_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/TPL_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/TP_Handler.cpp
        * DAnCE/Config_Handlers/RT-CCM/TP_Handler.h
        * DAnCE/Config_Handlers/RT-CCM/input.csr
        * DAnCE/Config_Handlers/RT-CCM/test.cpp

        The new RT-CCM handlers.  These have yet to be integrated into the
        main config_handler path.

        * DAnCE/ciao/CCM_Core.mpc
        * DAnCE/ciao/ServerResources.idl

        Updates to the support the RT-CCM Handlers.

        * docs/schema/CIAOServerResources.xsd

        Corrected a few oversights.

Wed Aug 31 09:49:28 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/XMLSchema/TypeInfo.tpp

        Workaround for a buggy Borland compiler.

Tue Aug 30 14:33:08 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp

        Slight handcrafting to remove commas from the end of enumerator lists.

Tue Aug 30 11:59:14 CDT 2005  William Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/IRDD_Handler.h
        * DAnCE/Config_Handlers/PCD_Handler.h

        Fixed a class/struct mismatch.

Tue Aug 30 11:51:32 CDT 2005  William Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.cpp
        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp
        * DAnCE/Config_Handlers/CIAOServerResources.cpp
        * DAnCE/Config_Handlers/CIAOServerResources.hpp
        * DAnCE/Config_Handlers/Deployment.cpp
        * DAnCE/Config_Handlers/Deployment.hpp
        * DAnCE/Config_Handlers/ccd.cpp
        * DAnCE/Config_Handlers/ccd.hpp
        * DAnCE/Config_Handlers/cdd.cpp
        * DAnCE/Config_Handlers/cdd.hpp
        * DAnCE/Config_Handlers/cdp.cpp
        * DAnCE/Config_Handlers/cdp.hpp
        * DAnCE/Config_Handlers/cid.cpp
        * DAnCE/Config_Handlers/cid.hpp
        * DAnCE/Config_Handlers/cpd.cpp
        * DAnCE/Config_Handlers/cpd.hpp
        * DAnCE/Config_Handlers/iad.cpp
        * DAnCE/Config_Handlers/iad.hpp
        * DAnCE/Config_Handlers/pcd.cpp
        * DAnCE/Config_Handlers/pcd.hpp
        * DAnCE/Config_Handlers/toplevel.cpp
        * DAnCE/Config_Handlers/toplevel.hpp

        Fixes a large number of compiler warnings in Borland.

Thu Aug 25 15:26:25 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/ciao/ServerResources.idl: Added the missing <stacksize>
          attribute to ORS_ThreadpoolWithLanes struct.  Thanks to Will
          Otte for catching this.

Wed Aug 24 20:41:59 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Removed commented-out code.

Tue Aug 23 20:09:59 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * DAnCE/Old_Config_Handlers/DT_Handler.h:
        * DAnCE/RTNodeApplication/RTServer_Impl.h:
        * DAnCE/ciao/Container_Base.h:
        * DAnCE/ciao/Context_Impl_Base.h:
        * DAnCE/ciao/NodeApplication_Impl.h:

          Reordered include directives to make sure all necessary
          non-dependent names are parsed before the templates that use
          them.  Addresses g++ 3.4.x or better compile-time errors.

Tue Aug 23 19:29:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/DeploymentManager/DeploymentManager.mpc:
          Add dummy_label to all projects, this don't build, this is
          the fast way to get the scoreboard green. Already one project
          had this in the file.

Mon Aug 22 10:59:18 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DeploymentManager/DeploymentManager.cidl
        * DAnCE/DeploymentManager/DeploymentManager.idl
        * DAnCE/DeploymentManager/DeploymentManager.mpc
        * DAnCE/DeploymentManager/DeploymentManager_Impl.cpp
        * DAnCE/DeploymentManager/DeploymentManager_Impl.h
        * DAnCE/DeploymentManager/DeploymentManager_exec_export.h
        * DAnCE/DeploymentManager/DeploymentManager_stub_export.h
        * DAnCE/DeploymentManager/DeploymentManager_svnt_export.h

        Preliminary skeleton for the DeploymentManager.

Fri Aug 19 07:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/Any_Handler.cpp:
        * DAnCE/Config_Handlers/DataType_Handler.cpp:
        * DAnCE/Old_Config_Handlers/DT_Handler.cpp:
        * DAnCE/ciao/ComponentsC.h:
        * ciao/ComponentsC.h:
          Updated for AnyTypeCode refactoring

Tue Aug 16 15:16:10 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * docs/schema/CIAOServerResources.xsd: Changed to define most of
          the RT policy details with "element"s instead of "attribute"s
          since "attribute"s  can be optional.  Thanks to Will Otte for
          pointing this out.

Tue Aug 16 09:46:45 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Config_Handlers.mpc

        Moved some changes in from the branch to correct errors from:
        Mon Aug 15 12:03:43 2005  William Otte  <wotte@dre.vanderbilt.edu>

Mon Aug 15 12:03:43 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/ADD_Handler.cpp
        * DAnCE/Config_Handlers/ADD_Handler.h
        * DAnCE/Config_Handlers/CCD_Handler.cpp
        * DAnCE/Config_Handlers/CCD_Handler.h
        * DAnCE/Config_Handlers/CRDD_Handler.h
        * DAnCE/Config_Handlers/DP_Handler.cpp
        * DAnCE/Config_Handlers/DP_Handler.h
        * DAnCE/Config_Handlers/DP_PCD_Handler.cpp
        * DAnCE/Config_Handlers/DP_PCD_Handler.h
        * DAnCE/Config_Handlers/IDD_Handler.cpp
        * DAnCE/Config_Handlers/IDD_Handler.h
        * DAnCE/Config_Handlers/IDREF_Base.cpp
        * DAnCE/Config_Handlers/ID_Handler.h
        * DAnCE/Config_Handlers/IRDD_Handler.cpp
        * DAnCE/Config_Handlers/MDD_Handler.cpp
        * DAnCE/Config_Handlers/MDD_Handler.h
        * DAnCE/Config_Handlers/PCD_Handler.cpp
        * DAnCE/Config_Handlers/PCD_Handler.h
        * DAnCE/Config_Handlers/PSPE_Handler.cpp
        * DAnCE/Config_Handlers/Req_Handler.cpp
        * DAnCE/Config_Handlers/XML_Helper.cpp
        * DAnCE/Config_Handlers/XML_Helper.h
        * DAnCE/Config_Handlers/XercesString.cpp
        * DAnCE/Config_Handlers/XercesString.h
        * DAnCE/Config_Handlers/test.cpp

        Checked in support for IDL->XSC->XML mapping.  Thanks to Lucas
        Seibert <heynonynony at yahoo dot com> for completing this work.

Mon Aug 15 00:01:01 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CIDLC/cidlc.cpp: Made ErrorHandler auto-detach itself
        from the stream when it is destroyed. This fixes the
        segmentation fault on Solaris in libstdc++ termination code.

Wed Aug 10 09:39:41 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.cpp
        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp
        * DAnCE/Config_Handlers/CIAOServerResources.cpp
        * DAnCE/Config_Handlers/CIAOServerResources.hpp
        * DAnCE/Config_Handlers/Deployment.cpp
        * DAnCE/Config_Handlers/Deployment.hpp
        * DAnCE/Config_Handlers/ccd.cpp
        * DAnCE/Config_Handlers/ccd.hpp
        * DAnCE/Config_Handlers/cdd.cpp
        * DAnCE/Config_Handlers/cdd.hpp
        * DAnCE/Config_Handlers/cdp.cpp
        * DAnCE/Config_Handlers/cdp.hpp
        * DAnCE/Config_Handlers/cid.cpp
        * DAnCE/Config_Handlers/cid.hpp
        * DAnCE/Config_Handlers/cpd.cpp
        * DAnCE/Config_Handlers/cpd.hpp
        * DAnCE/Config_Handlers/iad.cpp
        * DAnCE/Config_Handlers/iad.hpp
        * DAnCE/Config_Handlers/pcd.cpp
        * DAnCE/Config_Handlers/pcd.hpp
        * DAnCE/Config_Handlers/toplevel.cpp
        * DAnCE/Config_Handlers/toplevel.hpp

        Regenerated with the latest CVS-head version of XSC. These support
        a couple improvements that will aid in optimizing the config
        handlers.

Tue Aug  9 11:55:13 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * docs/imgs/component-basic.png
        * docs/imgs/CCM.vsd

        Updated CCM diagram to fix a interface naming error.


Tue Aug  9 10:02:13 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * DAnCE/ComponentPackager/README.html: Improved the
          documentation to point to the right directory for the Quoter
          example.  Thanks to Aldo Texier <aldo.texier@oktal.fr> for
          reporting this.

Tue Aug  9 13:11:04 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/RepositoryManager/RepositoryManager.mpc:

          Updated dependencies to reflect the recent name change from
          NodeDaemon_stub to NodeManager_stub.

        * DAnCE/RepositoryManager/Repository_Manager.cpp:

          Updated identifier names to match the change from NodeDaemon
          to ModeManager.

Mon  Aug 08 22:02:43 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * docs/EnvVars.html
        * docs/index.html
        * docs/Trace.html
        * docs/imgs/DAnCE-Dynamic.png
        * docs/imgs/DAnCE-Dynamic.sxd

          Beefed up the CIAO documentation page. These files are
          checked in on behalf of Ming. Thanks Friedhelm Wolf
          <Friedhelm.wolf at gmx.de> for contributing the DAnCE
          interaction diagram.

Mon Aug  8 18:50:36 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NAM_Map.h
        * DAnCE/NodeManager/NodeManager.idl
        * DAnCE/NodeManager/NodeManager.mpc
        * DAnCE/NodeManager/NodeManager_Impl.cpp
        * DAnCE/NodeManager/NodeManager_Impl.h
        * DAnCE/NodeManager/NodeManager_Impl.inl
        * DAnCE/NodeManager/NodeManager_stub_export.h
        * DAnCE/NodeManager/Node_Manager.cpp
        * DAnCE/NodeManager/README
        * DAnCE/RTNodeApplication/README

        Changed all references to Node_Daemon to NodeManager to avoid
        confusion, since these phrases are used interchangeably.

        * DAnCE/NodeManager/NodeDaemon.idl
        * DAnCE/NodeManager/NodeDaemon.mpc
        * DAnCE/NodeManager/NodeDaemon_Impl.cpp
        * DAnCE/NodeManager/NodeDaemon_Impl.h
        * DAnCE/NodeManager/NodeDaemon_Impl.inl
        * DAnCE/NodeManager/NodeDaemon_stub_export.h
        * DAnCE/NodeManager/Node_Daemon.cpp

        Removed these files to support the change above.

        * DAnCE/examples/BasicSP/descriptors/basicNodeDaemon.pl
        * DAnCE/examples/Display/descriptors/basicNodeDaemon.pl
        * DAnCE/examples/Hello/step-by-step.html
        * DAnCE/examples/Hello/descriptors/run_NodeDaemons.pl
        * DAnCE/examples/Hello/descriptors/run_test.pl
        * DAnCE/examples/Hello/descriptors/run_test_without_ns.pl
        * DAnCE/tests/scripts/BasicSP/basicNodeDaemon.pl
        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl

        Updated these scripts to call NodeManager instead of NodeDaemon.

Fri Aug  5 11:45:13 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/CIAOServerResources.cpp
        * DAnCE/Config_Handlers/CIAOServerResources.hpp

        XSC code generated from CIAOServerResources.xsd for RT-CCM
        properties.

        * docs/schema/CIAOServerResources.xsd

        Fixed some namespace errors.

Fri Aug 05 08:00:08 2005  Simon Massey  <sma@prismtech.com>

        * CIAO version 0.4.7 released.

Wed Aug  3 12:34:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
          Corrected order of the libraries to resolve static link
          errors

Tue Aug  2 08:36:40 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

          Possiible fix for borlan build problem.

Mon Aug 01 16:01:43 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * ChangeLog

          Fixed several incorrect checkin date

Mon Aug 01 14:55:43 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/RepositoryManager_Impl.cpp

          Fixed a C4715 warning under MSVC7.1

Mon Aug  1 19:39:30 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:

          Removed duplicate 'after' and 'libs' items, and added the
          new export macro definition file (see below) to
          Header_Files.

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h:

          Added export macro to class declaration and include of export
          macro definitin file.

        * DAnCE/Plan_Launcher/Plan_Launcher_Impl_Export.h:

          New file to define the export macro for the Plan_Launcher_Impl
          library.

Sun Jul 31 21:56:43 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/Options.h

          Improved documentation to meet the requirement of Doxygen

Sun Jul 31 21:45:43 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/RMadmin.cpp

          Fixed C4101 warnings in MSVC

Sun Jul 31 21:26:43 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/RMadmin.cpp

          Updated RMadmin.cpp to merge latest changes

Fri Jul 29 15:02:43 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/flattened_deploymentplan_without_ns.cdp
        * DAnCE/examples/Hello/descriptors/run_test_without_ns.pl

          Added a flattened deployment plan and test script which
          doesn't use naming service.

        * DAnCE/examples/Hello/descriptors/flattened_deploymentplan.cdp

          Documented the above another available test in the file.

Fri Jul 29 09:30:43 2005  Nishanth Shanakran  <nshankar@dre.vanderbilt.edu>

        * NEWS:

          Added a brief description about Resource Allocation and Control
          Engine (RACE).

Fri Jul 29 06:56:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc:
          Fixed fuzz error

Thu Jul 28 23:00:11 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/Options.cpp
        * DAnCE/new_RepositoryManager/Options.h
        * DAnCE/new_RepositoryManager/README.txt
        * DAnCE/new_RepositoryManager/RepositoryManager.cpp
        * DAnCE/new_RepositoryManager/RepositoryManager.idl
        * DAnCE/new_RepositoryManager/RepositoryManager_Impl.cpp
        * DAnCE/new_RepositoryManager/RepositoryManager_Impl.h
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.h
        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc

        Checked in the changes to new_RepositoryManager

Fri Jul 29 03:52:11 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

        Made is such that Plan_Launcher_Impl library gets generated
        and installed.

Wed Jul 28 15:18:14 2005 Ming Xiong <mxiong@dre.vanderbilt.edu>

        * docs\schema\Modified_Deployment.xsd

          Change the XML element order of IAD to conform to spec

Wed Jul 27 19:20:14 2005 Gan Deng  <dengg@dre.vanderbilt.edu>

        * NEWS

          Added news about naming service integration.

Wed Jul 27 07:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/cid.cpp:
        * DAnCE/Config_Handlers/cpd.cpp:
        * DAnCE/Config_Handlers/iad.cpp:
          Explicitly initialise base class

Wed Jul 27 07:35:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/STD_IAD_Handler.h:
          Fixed fuzz error

Tue Jul 26 21:22:45 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec.h:

          Added 'CIDL_' prefix to the scoped name of the exec impl class's
          base class, in the impl class declaration inheritance list. This
          file was overlooked when making similar changes to other exec
          impl classes in CIAO tests and examples.

Mon Jul 26 13:54:12 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * docs/schema/cid.xsd
        * docs/schema/cpd.xsd
        * docs/schema/iad.xsd
        * docs/schema/Modified_Deployment.xsd

        Added <xsd:attribute name="href"> for cid/cpd/iad(.xsd) and changed Modified_Deployment.xsd
        accordingly.We will need href attribute in the repository manager process.

        * DAnCE/Config_Handlers/iad.cpp
        * DAnCE/Config_Handlers/iad.hpp
        * DAnCE/Config_Handlers/cid.cpp
        * DAnCE/Config_Handlers/cid.hpp
        * DAnCE/Config_Handlers/cpd.cpp
        * DAnCE/Config_Handlers/cpd.hpp

        Regenerated xsc codes for updated schemas in CIAO/docs/schema/

        * DAnCE/Config_Handlers/STD_CID_Handler.cpp
        * DAnCE/Config_Handlers/STD_CID_Handler.h
        * DAnCE/Config_Handlers/STD_CPD_Handler.cpp
        * DAnCE/Config_Handlers/STD_CPD_Handler.h
        * DAnCE/Config_Handlers/STD_IAD_Handler.cpp
        * DAnCE/Config_Handlers/STD_IAD_Handler.h
        * DAnCE/Config_Handlers/STD_PC_Intf.cpp
        * DAnCE/Config_Handlers/STD_PC_Intf.h
        * DAnCE/Config_Handlers/STD_PCD_Handler.cpp
        * DAnCE/Config_Handlers/STD_PCD_Handler.h
        * DAnCE/Config_Handlers/Config_Handlers.mpc

        Added new handlers for mapping Config_Handlers::PackageConfiguration to Deployment:PackageConfiguration.
        Updated Config_Handlers.mpc accordingly

Tue Jul 26 12:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/new_RepositoryManager/RMadmin.cpp:
          Fixed vc71 warnings

Tue Jul 26 10:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp:
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp:
          Added some missing CORBA::string_dup calls, this fixes these
          tests on Windows

Tue Jul 26 07:32:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NodeDaemon_Impl.{h,cpp}:
          Fixed warning and use doxygen comment style

Mon Jul 25 22:14:20 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/SizeTypeCalculator.cpp:

          Fixed visitor to handle types declared inside the scope of
          an interface, valuetype, or home. Thanks to Friedhelm Wolf
          <Friedhelm.wolf@gmx.de> for reporting a CIDL compiler
          problem with a struct declared inside an interface.

Mon Jul 25 18:40:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl:
          Corrected NodeApplication path

Mon Jul 25 08:39:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeApplicationTest/run_test.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_simple.pl:
          Made these tests independent of setting of CIAO_ROOT

Sun Jul 24 07:45:19 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NodeDaemon_Impl.cpp

          Fixed an exception emulation warning in Debian_Full_Reactor
          build.

Sun Jul 24 07:40:19 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp

          Enhanced error output information a little bit by
          adding process ID and thread ID.

        * DAnCE/ciao/Container_Impl.cpp

          Fixed exception emulation warnings in Debian_Full_Reactor
          build.

Sun Jul 24 01:19:21 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp

          Fixed a bug (memory problem) in the plan_launcher which caused
          the "tearing down" assembly failure.

        * DAnCE/examples/Hello/descriptors/flattened_deploymentplan.cdp
        * DAnCE/examples/BasicSP/descriptors/flattened_deploymentplan.cdp

          Added a UUID tag to the flattened deployment plan.

Sat Jul 23 23:11:21 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/tests/Minimum/Receiver/Receiver.mpc
        * DAnCE/tests/Minimum/Sender/Sender.mpc

          Modified shared library names to fix some linking erros
          on build scoreboard.

        * DAnCE/examples/Hello/descriptors/run_test.pl

          Fixed the script so naming service could be started
          correctly.

        * DAnCE/examples/Hello/step-by-step.html

          Simple instruction about using naming service.

Sat Jul 23 14:53:22 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Port_Activator.cpp:
        * DAnCE/ciao/Port_Activator.h:
        * DAnCE/ciao/Servant_Activator.cpp:
        * DAnCE/ciao/Servant_Impl_Base.cpp:

          Added a method in Port_Activator to set the name of
          port activator. The port activator is used to activate
          the ports of the component.

          Fixed a incorrect delete call in the update_port_activator
          function in Servant_Activator.cpp. This will fix the core
          dump in the CIAO tests.

          Modified the calling sequence to deactivate ports when we
          deactivate the component.

Sat Jul 23 12:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ciao/Servant_Impl_Base.cpp:
          Added several missing ACE_TRY_CHECK macros.

Mon Jul 18 22:31:12 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ciao/Container_Impl.cpp

          Fixed some compilation error about using NamingContextEx.

        * DAnCE/examples/Hello/descriptors/run_test.pl

          Fixed this script so naming service will be started
          explicitly. Thanks Simon McQueen <sm@prismtech.com>
          for pointing the error.

Mon Jul 18 22:31:12 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * DAnCE/ciao/Container_Impl.cpp
        * DAnCE/ciao/Container_Impl.h
        * DAnCE/ciao/CCM_Core.mpc
        * DAnCE/ciao/NodeApplication_Impl.cpp

          Added support for registering components with naming service.
          A system deployer could config such capability through XML tag

        * DAnCE/examples/BasicSP/descriptors/flattened_deploymentplan.cdp
        * DAnCE/examples/Hello/descriptors/flattened_deploymentplan.cdp

          Added a couple of examples for using naming service by adding
          some <ConfigProperty> tag to the deployment plan descriptor.

Fri Jul 15 23:50:12 2005  Gan Deng  <gan.deng@vanderbilt.edu>

        * NEWS:
          Updated the NEWS file to include the result of our latest
          discussion/plan about DAnCE.

Fri Jul 15 10:02:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/NodeManager/NAM_Map.h:
          Fixed fuzz error

Tue Jul  12 00:03:57 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/README.html

        Updated some directory information in this file since the quoter example has been
        moved to new directory.

Mon Jul  11 11:44:57 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * TAO/CIAO/DAnCE/examples/Quoter/README.html
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker.cidl
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker.cpp
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker.idl
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker.mpc
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker_exec.cpp
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker_exec.h
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker_exec_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker_stub_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Broker/Broker_svnt_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor.cidl
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor.cpp
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor.idl
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor.mpc
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor_exec.cpp
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor_exec.h
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor_exec_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor_stub_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Distributor/Distributor_svnt_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Stock_Base/Stock_Base.idl
        * TAO/CIAO/DAnCE/examples/Quoter/Stock_Base/Stock_Base.mpc
        * TAO/CIAO/DAnCE/examples/Quoter/Stock_Base/Stock_Base_stub_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/Stock_Base/Stock_Base_svnt_export.h
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Broker.ccd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Broker.cid
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Broker.cpd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Broker_Exec.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Broker_Stub.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Broker_Svnt.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Deployment.xsd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Distributor.ccd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Distributor.cid
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Distributor.cpd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Distributor_Exec.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Distributor_Stub.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Distributor_Svnt.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Domain.cdd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Libraries.iad
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Modified_Deployment.xsd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Stock.cdp
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Stock.cid
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Stock.cpd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Stock.dat
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/Stock.pcd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/XMI.xsd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/flattened_deploymentplan.cdp
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/package.tpd
        * TAO/CIAO/DAnCE/examples/Quoter/descriptors/runNodeDaemons.pl
        * TAO/CIAO/DAnCE/examples/Quoter/images/quoter.jpg

        Removed Quoter example in DAnCE/examples/ directory to avoid duplicate. The orignal
        example could be found in CIAO/docs/tutorials/Quoter/Simple.

Fri Jul  8 17:42:57 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.mpc
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base.idl
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_svnt_export.h
        * docs/tutorials/Quoter/Simple/Stock_Base/Stock_Base_stub_export.h
        * docs/tutorials/Quoter/Simple/Broker/Broker.mpc
        * docs/tutorials/Quoter/Simple/Broker/Broker.idl
        * docs/tutorials/Quoter/Simple/Broker/Broker.cidl
        * docs/tutorials/Quoter/Simple/Broker/Broker.cpp
        * docs/tutorials/Quoter/Simple/Broker/Broker_exec.h
        * docs/tutorials/Quoter/Simple/Broker/Broker_exec.cpp
        * docs/tutorials/Quoter/Simple/Broker/Broker_svnt_export.h
        * docs/tutorials/Quoter/Simple/Broker/Broker_stub_export.h
        * docs/tutorials/Quoter/Simple/Broker/Broker_exec_export.h
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.mpc
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.idl
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.cidl
        * docs/tutorials/Quoter/Simple/Distributor/Distributor.cpp
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_exec.h
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_exec.cpp
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_svnt_export.h
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_stub_export.h
        * docs/tutorials/Quoter/Simple/Distributor/Distributor_exec_export.h
        * docs/tutorials/Quoter/Simple/descriptors/Broker.ccd
        * docs/tutorials/Quoter/Simple/descriptors/Broker.cid
        * docs/tutorials/Quoter/Simple/descriptors/Broker.cpd
        * docs/tutorials/Quoter/Simple/descriptors/Broker_Exec.iad
        * docs/tutorials/Quoter/Simple/descriptors/Broker_Stub.iad
        * docs/tutorials/Quoter/Simple/descriptors/Broker_Svnt.iad
        * docs/tutorials/Quoter/Simple/descriptors/Deployment.xsd
        * docs/tutorials/Quoter/Simple/descriptors/Distributor.ccd
        * docs/tutorials/Quoter/Simple/descriptors/Distributor.cid
        * docs/tutorials/Quoter/Simple/descriptors/Distributor.cpd
        * docs/tutorials/Quoter/Simple/descriptors/Distributor_Exec.iad
        * docs/tutorials/Quoter/Simple/descriptors/Distributor_Stub.iad
        * docs/tutorials/Quoter/Simple/descriptors/Distributor_Svnt.iad
        * docs/tutorials/Quoter/Simple/descriptors/Domain.cdd
        * docs/tutorials/Quoter/Simple/descriptors/flattened_deploymentplan.cdp
        * docs/tutorials/Quoter/Simple/descriptors/Libraries.iad
        * docs/tutorials/Quoter/Simple/descriptors/Modified_Deployment.xsd
        * docs/tutorials/Quoter/Simple/descriptors/package.tpd
        * docs/tutorials/Quoter/Simple/descriptors/runNodeDaemons.pl
        * docs/tutorials/Quoter/Simple/descriptors/Stock.cdp
        * docs/tutorials/Quoter/Simple/descriptors/Stock.cid
        * docs/tutorials/Quoter/Simple/descriptors/Stock.cpd
        * docs/tutorials/Quoter/Simple/descriptors/Stock.dat
        * docs/tutorials/Quoter/Simple/descriptors/Stock.pcd
        * docs/tutorials/Quoter/Simple/descriptors/XMI.xsd

        Created a new directory tutorials to hold multiple tutorial examples, added quoter
        to this directory as simple quoter example. Will add a multiple receptacle quoter
        example soon.


Fri Jul  8 17:13:57 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/examples/Quoter/descriptors/flattened_deploymentplan.cdp

        Updated the plan so that it includes the base libraries as artifact. This
        will help ComponentPackager to wrap up everything in the archive.


Fri Jul  8 15:49:57 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/ComponentPackager/Base_Packager.h
        * DAnCE/ComponentPackager/ComponentPackager.mpc
        * DAnCE/ComponentPackager/CPK_Packager.cpp
        * DAnCE/ComponentPackager/Package.xsd
        * DAnCE/ComponentPackager/pdl.cpp
        * DAnCE/ComponentPackager/pdl.hpp
        * DAnCE/ComponentPackager/PDL_Handler.cpp
        * DAnCE/ComponentPackager/PDL_Handler.h
        * DAnCE/ComponentPackager/README.html
        * DAnCE/ComponentPackager/Sample.pdl

        Updated ComponentPackager to support XSC, eliminating the coupling with
        Old_Config_Handlers.Move the schema for .pdl file from Deployment.xsd to
        Package.xsd so that it's independently helpful by itself.

Fri Jul  8 09:43:57 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp

        Fixed a compile error on Debian Core.

Thu Jul  7 23:38:32 UTC 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * docs/index.html

          Modofied this page a little bit to include our work in DAnCE.

Wed Jul  6 17:21:58 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/NodeManager/NodeDaemon_Impl.cpp:

          Fixed incorrect syntax in ACE_THROW macro.

Tue Jul  5 11:16:44 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NAM_Map.h
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp

        Fixed some misc fuzz errors.

Tue Jul  5 16:01:39 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/TypeNameEmitter.cpp:

          Small change to the checkin of

          Mon Jul  4 22:50:17 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

          to emit an error message when attempting to set a wstring
          attribute from a CCM property value, since wstrings are
          not yet supported for this activity.

Mon Jul  4 22:50:17 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:
        * CIDLC/TypeNameEmitter.cpp:
        * CIDLC/TypeNameEmitter.hpp:

          Created a new code emitter that knows which types CIAO
          supports as component attribute types (basic types) and
          which it does not (everything else). In the former case,
          when DAnCE is assigning attribute values from XML properties -
          in set_attributes () - it emits the usual code delegating
          the assignment to the specific attribute mutator method
          based on a string compare of the given attribute name to
          the known attribute names of that component. In the latter
          case, it emits an error message, stating that this particular
          IDL kind is not supported by CIAO as a component attribute
          type. Thanks to Sunil Rottoo <srottoo@airsage.com> for
          pointing out that trying to set the value of an unsupported
          component attribute type from a DnC property value in XML
          caused a crash.

Mon Jul  4 09:15:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIDLC/Literals.cpp:
        * CIDLC/Literals.h:pp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h:
        * DAnCE/ExecutionManager/ExecutionManager_Impl.h:
        * DAnCE/ExecutionManager/Execution_Manager_Impl.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
        * DAnCE/NodeManager/NodeDaemon_Impl.h:
        * DAnCE/RepositoryManager/RepositoryManager_Impl.h:
        * DAnCE/ciao/Container_Impl.h:
        * DAnCE/ciao/Home_Servant_Impl_T.h:
        * DAnCE/ciao/NodeApp_CB_Impl.h:
        * DAnCE/ciao/NodeApplication_Impl.h:
        * DAnCE/ciao/Servant_Impl_T.h:
        * DAnCE/ciao/StandardConfigurator_Impl.h:
        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.h:
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.h:
        * ciao/ComponentInstallation_Impl.h:
        * ciao/ComponentServer_Impl.h:
        * ciao/Container_Impl.h:
        * ciao/HomeRegistrar_i.h:
        * ciao/Home_Servant_Impl_T.h:
        * ciao/Servant_Impl_T.h:
        * ciao/ServerActivator_Impl.h:
        * ciao/StandardConfigurator_Impl.h:
        * docs/templates/CIAO_Glue_Session_Template.h:
        * examples/handcrafted/BasicSP_EC2/BMClosedED/BMClosedED_svnt.h:
        * examples/handcrafted/BasicSP_EC2/BMDevice/BMDevice_svnt.h:
        * examples/handcrafted/BasicSP_EC2/BMDisplay/BMDisplay_svnt.h:
        * examples/handcrafted/BasicSP_EC2/EC/EC_svnt.h:
        * examples/handcrafted/BasicSP_EC2/RTEventService/RTEventService_exec.h:
        * examples/handcrafted/BasicSP_EC2/RTEventService/RTEventService_svnt.h:
        * performance-tests/Benchmark/LatencyTest.h:
        * performance-tests/Benchmark/RoundTripServer/LatencyTest.h:
        * tools/Assembly_Deployer/Assembly_Impl.h:
        * tools/Assembly_Deployer/Assembly_Service_Impl.h:
        * tools/Daemon/Daemon_Impl.h:
        * tools/Simple_Component_Server/Simple_Server_i.h:
          All servants are reference counted by default, no need anymore to
          derive the servant from RefCountServantBase

Sat Jul  2 12:16:49 2005  Cassia Tatibana  <cassia@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp:
        * DAnCE/NodeManager/NodeDaemon_Impl.cpp:

        Added CIAO_TRACE messages.

Fri Jul  1 08:42:27 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeManager/NodeDaemon_Impl.cpp

        Fixed compile errors with emulated exceptions turned on.

Thu Jun 30 23:34:40 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/tests/Minimum/Receiver/Receiver_exec.cpp:
        * DAnCE/tests/Minimum/Receiver/Receiver_exec.h:
        * DAnCE/tests/Minimum/Sender/Sender_exec.cpp:
        * DAnCE/tests/Minimum/Sender/Sender_exec.h:

          More overlooked changes to exec files corresponding to
          CIDL compiler code generation changes of

          Wed Jun 22 23:20:04 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

Thu Jun 30 12:36:06 2005  William Otte  <wotte@atl.lmco.com>

        * DAnCE/Plan_Launcher/DAM_Map.cpp
        * DAnCE/Plan_Launcher/DAM_Map.h
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

        Added DAM_Map to the Plan_Launcher directory, as make wouldn't
        handle the relative reference properly.

Thu Jun 30 09:29:24 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/new_RepositoryManager/RMadmin.cpp
        * DAnCE/new_RepositoryManager/RepositoryManager.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.h
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.cpp
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.h

        Fixed Doxygen documentation tags, fixed some indenting,
        removed tabs.

Thu Jun 30 09:59:17 2005  William Otte  <wotte@atl.lmco.com>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.cpp
        * DAnCE/Plan_Launcher/Plan_Launcher_Impl.h

        Factored out the plan launcher capability into a shared library so
        applications can use its functionality.

Thu Jun 30 04:33:35 2005 ming xiong <mxiong@dre.vanderbilt.edu>

       * DAnCE/ComponentPackager/Base_Packager.h
       * DAnCE/ComponentPackager/CPK_Packager.cpp
       * DAnCE/ComponentPackager/CPK_Packager.h
       * DAnCE/ComponentPackager/PDL_Handler.cpp
       * DAnCE/ComponentPackager/PDL_Handler.h
       * DAnCE/ComponentPackager/Base_Packager.cpp

       Added a release operation for destructor of PDL_Handler;Changed the
       definition of input parameter for CPK_Packager::createPackager to const
       to indicate it can not be changed

Thu Jun 30 00:37:35 EDT 2005 Stoyan Paunov <s.paunov@vanderbilt.edu>

        * DAnCE/new_RepositoryManager/RMadmin.cpp
        * DAnCE/new_RepositoryManager/RepositoryManager.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.h
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.cpp
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.h

        removed the "@file" comments which apparently confuse Doxygen.


Wed Jun 29 17:00:57 2005  Cassia Tatibana  <cassia@dre.vanderbilt.edu>

       * DAnCE/ExecutionManager/DAM_Map.cpp:
       * DAnCE/ExecutionManager/Execution_Manager_Impl.cpp:

         Added CIAO_TRACE messages.

Wed Jun 29 16:38:42 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/ComponentPackager/Base_Packager.h
        * DAnCE/ComponentPackager/CPK_Packager.h
        * DAnCE/ComponentPackager/CPK_Packager.h

        Changed a couplfe of places to meet the Doxygen test and TChar test for
        bin/fuzz.pl

Wed Jun 29 16:28:52 2005  William Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.cpp
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h
        * DAnCE/NodeManager/NAM_Map.cpp
        * DAnCE/NodeManager/NAM_Map.h
        * DAnCE/NodeManager/NodeDaemon.mpc
        * DAnCE/NodeManager/NodeDaemon_Impl.cpp
        * DAnCE/NodeManager/NodeDaemon_Impl.h
        * DAnCE/NodeManager/Node_Daemon.cpp
        * DAnCE/ciao/Deployment.idl

        Merged dance_multiple_assemblies to main.  This merge
        contains code necessary to be able to deploy multiple assemblies
        into a single NodeManager.

Wed Jun 29 18:09:11 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:

          Added check for successful opening of target file, which prevents
          a crash when the file open is unsuccessful, for example when
          write permissions are denied in the directory. Thanks to Will
          Otte <wotte@dre.vanderbilt.edu> for pointing out the problem.

Tue Jun 28 08:55:12 EDT 2005 Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/ComponentPackager/Base_Packager.cpp
        * DAnCE/ComponentPackager/Base_Packager.h
        * DAnCE/ComponentPackager/CPK_Packager.cpp
        * DAnCE/ComponentPackager/CPK_Packager.h
        * DAnCE/ComponentPackager/ComponentPackager.mpc
        * DAnCE/ComponentPackager/Component_Packager.cpp
        * DAnCE/ComponentPackager/Modified_Deployment.xsd
        * DAnCE/ComponentPackager/PDL_Handler.cpp
        * DAnCE/ComponentPackager/PDL_Handler.h
        * DAnCE/ComponentPackager/README.html
        * DAnCE/ComponentPackager/Sample.pdl
        * DAnCE/ComponentPackager/XercesString.cpp
        * DAnCE/ComponentPackager/XercesString.h

        Added the files implementing ComponentPackager, for details
        please read README.html

Tue Jun 28 01:03:12 EDT 2005 Stoyan Paunov <s.paunov@vanderbilt.edu>

        * TAO/CIAO/DAnCE/new_RepositoryManager/RMadmin.cpp
        * TAO/CIAO/DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp
        * TAO/CIAO/DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.cpp

        removed the _O_* flags to ACE_OS::open ();

Mon Jun 27 16:25:52 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/examples/Swapping/Sender/Sender_exec.cpp:

          Fixed cut-and-paste error.

Mon Jun 27 07:04:01 2005  Chad Elliott  <elliott_c@ociweb.com>

        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc:
        * DAnCE/new_RepositoryManager/README.txt:

          Switch to using the existing zlib and zzip base projects.

Sun Jun 26 23:53:23 EDT 2005 Stoyan Paunov <s.paunov@vanderbilt.edu>

        * DAnCE/new_RepositoryManager/Modified_Deployment.xsd
        * DAnCE/new_RepositoryManager/Options.cpp
        * DAnCE/new_RepositoryManager/Options.h
        * DAnCE/new_RepositoryManager/README.txt
        * DAnCE/new_RepositoryManager/RMadmin.cpp
        * DAnCE/new_RepositoryManager/RepositoryManager.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.h
        * DAnCE/new_RepositoryManager/new_RepositoryManager.idl
        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.cpp
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.h
        * DAnCE/new_RepositoryManager/packages/inconsistent.cpk
        * DAnCE/new_RepositoryManager/packages/package.cpk

        Added these files to the head. The files are implementing the repository
        manager.

        * DAnCE/new_RepositoryManager/Modified_Deployment.xsd
        needed for the retrievePlan function that retrieves the Deployment plan

        * DAnCE/new_RepositoryManager/Options.cpp
        * DAnCE/new_RepositoryManager/Options.h
        options class for the RMadmin.cpp

        * DAnCE/new_RepositoryManager/README.txt

        * DAnCE/new_RepositoryManager/RMadmin.cpp
        a sample client program. You can use it as an example on how to use the RM

        * DAnCE/new_RepositoryManager/ZIP_Wrapper.cpp
        * DAnCE/new_RepositoryManager/ZIP_Wrapper.h
        The ZIP Wrapper class that allows read access to ZIP packages and CCM packages
        that have the cpk extension.

        * DAnCE/new_RepositoryManager/RepositoryManager.cpp
        * DAnCE/new_RepositoryManager/new_RepositoryManager.idl
        * DAnCE/new_RepositoryManager/new_RepositoryManager.mpc
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.cpp
        * DAnCE/new_RepositoryManager/new_RepositoryManager_Impl.h
        The Repository Manager implementation files

        * DAnCE/new_RepositoryManager/packages/inconsistent.cpk
        * DAnCE/new_RepositoryManager/packages/package.cpk
        couple of sample packages that I created manually to test the RM.


Fri Jun 24 14:36:02 2005  Cassia Tatibana  <cassia@dre.vanderbilt.edu>

        * DAnCE/ciao/CIAO_common.h:

          Added definition for CIAO_TRACE.

Fri Jun 24 14:21:31 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/tutorial/Hello/hello_exec.cpp:
        * docs/tutorial/Hello/hello_exec.h:
        * examples/Hello/Receiver/Receiver_exec.cpp:
        * examples/Hello/Receiver/Receiver_exec.h:
        * examples/Hello/Sender/Sender_exec.cpp:
        * examples/Hello/Sender/Sender_exec.h:
        * performance-tests/Protocols/Receiver/Receiver_exec.cpp:
        * performance-tests/Protocols/Receiver/Receiver_exec.h:
        * performance-tests/Protocols/Sender/Sender_exec.cpp:
        * performance-tests/Protocols/Sender/Sender_exec.h:
        * tests/RTCCM/DiffServ/Receiver/Receiver_exec.cpp:
        * tests/RTCCM/DiffServ/Receiver/Receiver_exec.h:
        * tests/RTCCM/DiffServ/Sender/Sender_exec.cpp:
        * tests/RTCCM/DiffServ/Sender/Sender_exec.h:

          More fixes to hand-written executor code to bring the file up
          to date with the recent changes in generated code. These were
          overlooked in

          Wed Jun 22 23:20:04 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

Wed Jun 22 23:20:04 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ExecImplHeaderGenerator.cpp:
        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/ExecutorMappingGenerator.cpp:
        * CIDLC/Literals.cpp:
        * CIDLC/Literals.hpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * DAnCE/examples/Display/NavDisplay/NavDisplay_exec.h:
        * DAnCE/examples/Display/RateGen/RateGen_exec.h:
        * DAnCE/examples/Hello/Receiver/Receiver_exec.cpp:
        * DAnCE/examples/Hello/Receiver/Receiver_exec.h:
        * DAnCE/examples/Hello/Sender/Sender_exec.cpp:
        * DAnCE/examples/Hello/Sender/Sender_exec.h:
        * DAnCE/examples/Quoter/Broker/Broker_exec.cpp:
        * DAnCE/examples/Quoter/Broker/Broker_exec.h:
        * DAnCE/examples/Quoter/Distributor/Distributor_exec.cpp:
        * DAnCE/examples/Quoter/Distributor/Distributor_exec.h:
        * DAnCE/examples/Swapping/Receiver/Receiver_exec.cpp:
        * DAnCE/examples/Swapping/Receiver/Receiver_exec.h:
        * DAnCE/examples/Swapping/Sender/Sender_exec.cpp:
        * DAnCE/examples/Swapping/Sender/Sender_exec.h:
        * DAnCE/examples/Swapping/Sender/Sender_exec_1.cpp:
        * DAnCE/examples/Swapping/Sender/Sender_exec_1.h:
        * DAnCE/examples/Swapping/Sender/Sender_exec_2.cpp:
        * DAnCE/examples/Swapping/Sender/Sender_exec_2.h:
        * DAnCE/tests/NodeApplicationTest/RoundTrip_exec.cpp:
        * DAnCE/tests/NodeApplicationTest/RoundTrip_exec.h:
        * docs/releasenotes/index.html:

          Eliminated generation of the CIAO_GLUE_-prefixed namespace
          and replaced it with a namespace constructed from the
          composition local name and a CIDL_ prefix. Whereas the
          previos namespace was always at global scope, the new one
          will be generated inside namespaces mapped from IDL module
          declarations, if the composition is declared inside any.
          These changes were motivated by an example sent in by
          Will Otte <wotte@dre.vanderbilt.edu>, where the composition
          was declared inside several nested modules, and the generated
          code would not compile. The new namespace encloses

            - the component servant
            - the home servant
            - the facet servants, if any
            - the executor interface in the executor IDL file
            - optionally generated executor impl classes

          Minor changes were required to existing executor impl
          files as a result of the changes to generated code.

Wed Jun 22 10:59:00 2005  Gary Maxey <gary.maxey@hp.com>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp
          Updated visitor for valuebox support.

Mon Jun 20 18:10:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/examples/Display/NavDisplayGUI_exec/DetailView_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/MapView_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NodeItem_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/RootPanel_moc.cpp:
          Removed these files, these are generated and shouldn't be in the
          archive

Mon Jun 20 09:29:00 2005  Gary Maxey <gary.maxey@hp.com>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp
        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.h
          Add visitor for valuebox support.

Sun Jun 19 20:18:50 2005  Ming Xiong  <mxiong@tango.dre.vanderbilt.edu>

        * NEWS:

          Updated NEWS on upcoming support for Component Packaging

Thu Jun 16 21:46:10 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/examples/Display/descriptors/Modified_Deployment.xsd
        * DAnCE/examples/Quoter/descriptors/Modified_Deployment.xsd
        * docs/schema/Modified_Deployment.xsd

          Modified the <InstanceDeploymentDescription> element type
          to allow having unbounded number of <configProperty> elements.
          Thanks Will Chai <willchai@126.com> to report this problem.

Wed Jun 15 14:46:00 2005  Gautam Thaker  <gthaker@atl.lmco.com>

        * DAnCE/examples/Hello/step-by-step.html:

          Fixed a typo regarding name of script "run_NodeDaemons.pl" and
          one other sentence fragement.

Mon Jun 13 13:44:41 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/tests/NodeApplicationTest/run_test_simple.pl:
        * DAnCE/tests/NodeApplicationTest/run_test.pl:
        * DAnCE/tests/NodeApplicationTest/run_test_ex.pl:

          Fixed a typo.

Thu Jun  4 14:36:00 UTC 2005  Ming Xiong <mxiong@dre.vanderbilt.edu>

        * DAnCE/examples/Quoter/Distributor/Distributor_exec.h
        * DAnCE/examples/Quoter/Distributor/Distributor_exec.cpp

          Fixed a virtual hiding warning reported on WinXP_BCB6_Pro_Dynamic_Debug

Thu Jun  9 09:31:28 2005  Simon McQueen  <sm@prismtech.com>

        * NEWS:

          Updated with late release note submissions.

Wed Jun 08 08:50:35 2005  Simon McQueen  <sm@prismtech.com>

        * CIAO version 0.4.6 released.

Wed Jun  8 11:21:50 2005  Simon McQueen  <sm@prismtech.com>

        * NEWS:

          Updated with release note entries.

Mon Jun  6 12:33:16 2005  Simon McQueen  <sm@prismtech.com>

        * DAnCE/examples/Display/GPS/GPS.mpc:

          Added HUDisplay_DnC_svnt to after tag for project GPS_DnC_svnt
          to fix build error on BCB 6 dynamic build.


Thu Jun  2 22:56:11 UTC 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/examples/Quoter/README.html

          Added a link to the CoSMIC quoter tutorial page hosted by
          Ming Xiong.

        * NEWS

          Updated NEWS file.

Tue May 31 22:46:06 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ExecutorMappingGenerator.cpp:
        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/TypeNameEmitter.cpp:

          Eliminated unused arguments.

Mon May 30 15:22:16 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/XML_File_Intf.h:
        * DAnCE/Config_Handlers/DP_Handler.h:

          auto_ptr is changed with ACE_Auto_Ptr, auto_ptr does not have
          reset in VC6.

Mon May 30 17:59:28 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/TypeNameEmitter.cpp:

          Fixed incorrect code generation in *_svnt.cpp file for
          attribute assignment of sequence types. Thanks to Sunil Rottoo
          <srottoo@adacelcanada.com> for reporting the problem.

Mon May 30 12:19:42 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Port_Activator_T.cpp:
        * DAnCE/ciao/Servant_Activator.cpp:
        * DAnCE/ciao/Servant_Impl_Base.cpp:

          Made use of ACE_ENV macros to fix Debian Full Reactor
          build errors.

Fri May 27 23:35:23 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Container_Impl.cpp:
        * DAnCE/ciao/Container_Impl.h:
        * DAnCE/ciao/Home_Servant_Impl_T.cpp:
        * DAnCE/ciao/Home_Servant_Impl_T.h:

        Changed the structure of the utility maps that maintain
        the component references, to use "_var" instead of "_ptr"
        in order to facilitate effective memory destructions.

Fri May 27 20:26:33 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * CCF/CCF/CCF.sln:
        * CCF/Example/Example.sln:
        * CIDLC/CIDLC.sln:
        * CCF/CCF/CIDL/CIDL.vcproj:
        * CCF/CCF/CodeGenerationKit/CodeGenerationKit.vcproj:
        * CCF/CCF/CompilerElements/CompilerElements.vcproj:
        * CCF/CCF/IDL2/IDL2.vcproj:
        * CCF/CCF/IDL3/IDL3.vcproj:
        * CCF/Example/CIDL/LocalExecutorMapping/LocalExecutorMapping.vcproj:
        * CCF/Example/CodeGenerationKit/Indentation/IDL/IDL.vcproj:
        * CIDLC/CIDLC.vcproj:

          Deleted MSVC solution and project files, these are generated by the
          mwc.

Fri May 27 13:41:20 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Port_Activator.h:
        * DAnCE/ciao/Port_Activator_T.cpp:
        * DAnCE/ciao/Port_Activator_T.h:
        * DAnCE/ciao/Servant_Activator.cpp:
        * DAnCE/ciao/Servant_Impl_Base.cpp:

        Added support for deactivating facets and event consumers
        when a component is getting deactivated. This fixes
        couple of memory leaks in the DAnCE deployment scenarios.


Thu May 26 22:55:26 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Servant_Impl_Base.cpp:

          Added code to deactivate facets when component
          is getting removed.

Thu May 26 20:41:04 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Home_Servant_Impl_T.cpp:
        * DAnCE/ciao/Servant_Impl_Base.cpp:
        * DAnCE/ciao/Servant_Impl_T.cpp:
        * DAnCE/ciao/Servant_Impl_T.h:

        Added support for the component servants to inherit
        from RefCountServantBase, to allow freeing up of
        servants in a more standard and effective manner.

        Added support functions in Servant_Impl_T class to
        clean up the component executor memory.

        Added support functions in Home_Servant_Impl_T and
        Servant_Impl_Base classes to uninstall components
        by executing operations like ccm_remove () in the
        right order.

        Finally fixed couple of memory leaks with respect
        to cleaning up component servants and component
        executors.

        Thanks to Steve Baker <Steve_D_Baker@Raytheon.com>
        for reporting the problem.

Thu May 26 21:09:22 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * tools/Simple_Component_Server/Simple_Component_Server.mpc

          Put an empty IDL_Files segment in the
          "Simple_Component_Server" project so the IDL
          file is not picked up automatically. Thanks to Will Chai
          <willchai@126.com> for reporting this.

        * NEWS
        * DAnCE/NEWS

          Merged these two files and deleted the DAnCE/NEWS file,
          since these two files serve similar purposes.

Thu May 26 14:46:53 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/NodeManager/NodeDaemon_Impl.cpp

        Fixed a memory leak which would cause NodeManagers to leak
        when destroyed.

Thu May 26 07:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/examples/Quoter/Broker/Broker.cpp:
          Fixed doxygen file tag

Wed May 25 11:05:05 2005  Ming Xiong  <mxiong@dre.vanderbilt.edu>

        * DAnCE/examples/Quoter/Stock_Base/Stock_Base.mpc:
        * DAnCE/examples/Quoter/Stock_Base/Stock_Base.idl:
        * DAnCE/examples/Quoter/Stock_Base/Stock_Base_svnt_export.h:
        * DAnCE/examples/Quoter/Stock_Base/Stock_Base_stub_export.h:
        * DAnCE/examples/Quoter/Broker/Broker.mpc:
        * DAnCE/examples/Quoter/Broker/Broker.idl:
        * DAnCE/examples/Quoter/Broker/Broker.cidl:
        * DAnCE/examples/Quoter/Broker/Broker.cpp:
        * DAnCE/examples/Quoter/Broker/Broker_exec.h:
        * DAnCE/examples/Quoter/Broker/Broker_exec.cpp:
        * DAnCE/examples/Quoter/Broker/Broker_svnt_export.h:
        * DAnCE/examples/Quoter/Broker/Broker_stub_export.h:
        * DAnCE/examples/Quoter/Broker/Broker_exec_export.h:
        * DAnCE/examples/Quoter/Distributor/Distributor.mpc:
        * DAnCE/examples/Quoter/Distributor/Distributor.idl:
        * DAnCE/examples/Quoter/Distributor/Distributor.cidl:
        * DAnCE/examples/Quoter/Distributor/Distributor.cpp:
        * DAnCE/examples/Quoter/Distributor/Distributor_exec.h:
        * DAnCE/examples/Quoter/Distributor/Distributor_exec.cpp:
        * DAnCE/examples/Quoter/Distributor/Distributor_svnt_export.h:
        * DAnCE/examples/Quoter/Distributor/Distributor_stub_export.h:
        * DAnCE/examples/Quoter/Distributor/Distributor_exec_export.h:
        * DAnCE/examples/Quoter/descriptors/Broker.ccd:
        * DAnCE/examples/Quoter/descriptors/Broker.cid:
        * DAnCE/examples/Quoter/descriptors/Broker.cpd:
        * DAnCE/examples/Quoter/descriptors/Broker_Exec.iad:
        * DAnCE/examples/Quoter/descriptors/Broker_Stub.iad:
        * DAnCE/examples/Quoter/descriptors/Broker_Svnt.iad:
        * DAnCE/examples/Quoter/descriptors/Deployment.xsd:
        * DAnCE/examples/Quoter/descriptors/Distributor.ccd:
        * DAnCE/examples/Quoter/descriptors/Distributor.cid:
        * DAnCE/examples/Quoter/descriptors/Distributor.cpd:
        * DAnCE/examples/Quoter/descriptors/Distributor_Exec.iad:
        * DAnCE/examples/Quoter/descriptors/Distributor_Stub.iad:
        * DAnCE/examples/Quoter/descriptors/Distributor_Svnt.iad:
        * DAnCE/examples/Quoter/descriptors/Domain.cdd:
        * DAnCE/examples/Quoter/descriptors/flattened_deploymentplan.cdp:
        * DAnCE/examples/Quoter/descriptors/Libraries.iad:
        * DAnCE/examples/Quoter/descriptors/Modified_Deployment.xsd:
        * DAnCE/examples/Quoter/descriptors/package.tpd:
        * DAnCE/examples/Quoter/descriptors/runNodeDaemons.pl:
        * DAnCE/examples/Quoter/descriptors/Stock.cdp:
        * DAnCE/examples/Quoter/descriptors/Stock.cid:
        * DAnCE/examples/Quoter/descriptors/Stock.cpd:
        * DAnCE/examples/Quoter/descriptors/Stock.dat:
        * DAnCE/examples/Quoter/descriptors/Stock.pcd:
        * DAnCE/examples/Quoter/descriptors/XMI.xsd:

          Added a Quoter example for DAnCE

Wed May 25 11:13:19 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Servant_Impl_Base.cpp:

          Added code to call ccm_remove () on the executor
          before removing the component.

          Thanks to Steven Baker <Steven_D_Baker@raytheon.com> for
          identifying the problem.

Wed May 25 10:52:39 2005  Cassia Tatibana  <cassia@dre.vanderbilt.edu>

        * DAnCE/examples/Display/HUDisplay.idl:
        * DAnCE/examples/Display/HUDisplay.mpc:
        * DAnCE/examples/Display/HUDisplay_stub_export.h:
        * DAnCE/examples/Display/HUDisplay_svnt_export.h:
        * DAnCE/examples/Display/README.html:
        * DAnCE/examples/Display/GPS/GPS.cidl:
        * DAnCE/examples/Display/GPS/GPS.idl:
        * DAnCE/examples/Display/GPS/GPS.mpc:
        * DAnCE/examples/Display/GPS/GPSEI.idl:
        * DAnCE/examples/Display/GPS/GPS_exec.cpp:
        * DAnCE/examples/Display/GPS/GPS_exec.h:
        * DAnCE/examples/Display/GPS/GPS_exec_export.h:
        * DAnCE/examples/Display/GPS/GPS_stub_export.h:
        * DAnCE/examples/Display/GPS/GPS_svnt_export.h:
        * DAnCE/examples/Display/GPS/GPS_tracing_exec.cpp:
        * DAnCE/examples/Display/GPS/GPS_tracing_exec.h:
        * DAnCE/examples/Display/NavDisplay/NavDisplay.cidl:
        * DAnCE/examples/Display/NavDisplay/NavDisplay.idl:
        * DAnCE/examples/Display/NavDisplay/NavDisplay.mpc:
        * DAnCE/examples/Display/NavDisplay/NavDisplay_exec.cpp:
        * DAnCE/examples/Display/NavDisplay/NavDisplay_exec.h:
        * DAnCE/examples/Display/NavDisplay/NavDisplay_exec_export.h:
        * DAnCE/examples/Display/NavDisplay/NavDisplay_stub_export.h:
        * DAnCE/examples/Display/NavDisplay/NavDisplay_svnt_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/AddNavUnitCmd.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/AddNavUnitCmd.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/Command.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/DetailView.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/DetailView.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/DetailView_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/MapView.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/MapView.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/MapView_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI.mpc:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec_exec_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec_stub_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_exec_svnt_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_stub_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavDisplayGUI_svnt_export.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavUnit.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NavUnit.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NodeItem.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NodeItem.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/NodeItem_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/QuitCmd.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/QuitCmd.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/RootPanel.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/RootPanel.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/RootPanel_moc.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/UpdatePositionCmd.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/UpdatePositionCmd.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/Worker.cpp:
        * DAnCE/examples/Display/NavDisplayGUI_exec/Worker.h:
        * DAnCE/examples/Display/NavDisplayGUI_exec/trolltech.gif:
        * DAnCE/examples/Display/NavDisplayGUI_exec/worldmap1.gif:
        * DAnCE/examples/Display/NavDisplayGUI_exec/worldmap1.xpm:
        * DAnCE/examples/Display/RateGen/RateGen.cidl:
        * DAnCE/examples/Display/RateGen/RateGen.idl:
        * DAnCE/examples/Display/RateGen/RateGen.mpc:
        * DAnCE/examples/Display/RateGen/RateGen_exec.cpp:
        * DAnCE/examples/Display/RateGen/RateGen_exec.h:
        * DAnCE/examples/Display/RateGen/RateGen_exec_export.h:
        * DAnCE/examples/Display/RateGen/RateGen_stub_export.h:
        * DAnCE/examples/Display/RateGen/RateGen_svnt_export.h:
        * DAnCE/examples/Display/RateGen/controller.cpp:
        * DAnCE/examples/Display/descriptors/Deployment.xsd:
        * DAnCE/examples/Display/descriptors/EM.ior:
        * DAnCE/examples/Display/descriptors/GPS.ior:
        * DAnCE/examples/Display/descriptors/Modified_Deployment.xsd:
        * DAnCE/examples/Display/descriptors/NavDisplay.ior:
        * DAnCE/examples/Display/descriptors/NavDisplayGUI.ior:
        * DAnCE/examples/Display/descriptors/NodeManagerMap.dat:
        * DAnCE/examples/Display/descriptors/RateGen.ior:
        * DAnCE/examples/Display/descriptors/XMI.xsd:
        * DAnCE/examples/Display/descriptors/basicNodeDaemon.pl:
        * DAnCE/examples/Display/descriptors/flattened_deploymentplan.cdp:

        Ported the Display example in CIAO to DAnCE.

Tue May 24 22:23:48 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/examples/Hello/step-by-step.html

          Fixed a typo in the command line option.  Thanks to Will Chai
          <willchai@126.com> for reporting this.

Tue May 24 00:23:26 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * CCF/CCF/CIDL/CIDL.mpc:
        * CCF/CCF/CodeGenerationKit/CodeGenerationKit.mpc:
        * CCF/CCF/CompilerElements/CompilerElements.mpc:
        * CCF/CCF/IDL2/IDL2.mpc:
        * CCF/CCF/IDL3/IDL3.mpc:

          Changed the mpc files to use the cidlc.mpb.

Sun May 22 21:23:48 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.cpp

          Modified the operation from <_ciao_passivate> to <ciao_passivate>
          due to my earlier interface changes.

Sun May 22 11:29:36 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Container_Base.cpp:

          Fixed a memory leak in the container code to
          delete the ServantActivator pointer.

Sat May 21 16:08:48 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/ciao/Deployment_Core.idl

          Added <ciao_passivate> operation on the NodeApplication interface,
          which is useful for enforce the correct component deactivation
          sequence.

        * DAnCE/ciao/Deployment.idl

          Moved the StopError exception definition and put into the
          Deployment_Core.idl, since <ciao_passviate> operation needs
          such exception declaration.

        * DAnCE/ciao/CCM_Component.idl

          Added <ciao_passivate> operation to the CCM_Object interface.

        * DAnCE/ciao/NodeApplication_Impl.cpp
        * DAnCE/ciao/NodeApplication_Impl.h

          Implementation of the above added operation <ciao_passivate>.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp

          Modified to call <ciao_passivate> before calling <destroyApplication>.

        * DAnCE/RepositoryManager/Repository_Manager.cpp

          Modified the Repository_Manager/executor to invoke <start>
          separately from invoking finishLaunch.

        * DAnCE/ciao/Servant_Impl_Base.cpp

          Removed the call of <ciao_passivate> from the
          Servant_Impl_Base::remove() function since this will be
          called separately on the whole assembly, i.e. passivate ALL
          components in the assembly before removing components.

        * DAnCE/ciao/Servant_Impl_T.cpp
        * DAnCE/ciao/Servant_Impl_T.h

          Changed the operation name from "_ciao_passivate" to
          "ciao_passivate", in order to make it to be the implementation
          of the <ciao_passivate> operation added on the CCM_Object
          interface.

Sat May 21 14:39:48 2005  Gan Deng <gan.deng@vanderbilt.edu>

        * DAnCE/ciao/Deployment_Core.idl

          Added <ciao_preactivate> and <ciao_postactivate>
          operations on the NodeApplication interface, which is useful
          for enforce the correct component activation operation
          sequence.

        * DAnCE/ciao/NodeApplication_Impl.cpp
        * DAnCE/ciao/NodeApplication_Impl.h

          Implemented the above operations.

        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.h

          Modified it to call ciao_preactivate and ciao_postactivate
          on NodeApplications accordingly

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp

          Modified to disable the "start" while "finishLaunch", since
          it is the application developer's control to invoke start
          operation in the whole assembly.

        * DAnCE/ciao/Container_Base.cpp
        * DAnCE/ciao/Container_Impl.cpp

          Put some debug output into the CIAO_DebugLevel control

        * DAnCE/examples/Hello/Sender/Sender_exec.cpp

          Cosmetic changes.

Tue May 17 20:49:48 UTC 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tests/IDL3/ImpliedIDL/All/all.mpc:
        * tests/IDL3/ImpliedIDL/All/convert.idl:
        * tests/IDL3/ImpliedIDL/All/pass_through.idl:
        * tests/IDL3/ImpliedIDL/All/include.idl:
        * tests/IDL3/ImpliedIDL/All/README:

          New files comprising a test for the tao_idl3_to_idl2
          executable. The test executes tao_idl3_to_idl2 on the
          listed IDL files, then executes the TAO IDL compiler on
          the resulting IDL files. The resulting C++ code is compiled,
          and if there are no errors or warnings in this last step,
          the test is a success.

Tue May 17 07:51:47 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * DAnCE/Old_Config_Handlers/Process_Element.h:
        * DAnCE/Old_Config_Handlers/Process_Element.cpp:

          Fixed unresolved symbol link error.

Mon May 16 21:29:49 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * DAnCE/Old_Config_Handlers/Process_Element.cpp:
        * DAnCE/ciao/Home_Servant_Impl_T.cpp (remove_component):

          Fixed syntax errors.

Mon May 16 12:06:51 2005  Ossama Othman  <ossama@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/XSCRT/Elements.hpp (~IndentityProvider):
        * DAnCE/Old_Config_Handlers/Process_Element.h (Process_Function):
        * DAnCE/Old_Config_Handlers/Process_Element.cpp
          (~Process_Function):
        * tests/RTCCM/Priority_Test/Controllers/Pulser.h (Pulse_Handler):
        * tests/RTCCM/Priority_Test/Controllers/Pulser.cpp
          (~Pulse_Handler):

          Added missing virtual destructor.  Fixes g++ 4.0 "class with
          virtual functions but no virtual destructor" warnings.

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp (mode):

          Fixed "non-local variable uses anonymous type" g++ 4.0 warning.

        * DAnCE/ciao/Home_Servant_Impl_T.cpp (remove_component):
        * tools/RTComponentServer/RTConfig_Manager.cpp
          (find_threadpool_by_name):
        * tools/XML_Helpers/RTConfig_Handlers.cpp (add_threadpoollane):
          (add_priorityband):

          Fixed "variable may be used uninitialized" warnings.

        * tools/Assembly_Deployer/Assembly_Deployer.cpp
          (teardown_assembly):

          Fixed format specifier mismatch.

Mon May 16 11:27:30 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIAO-INSTALL.html:

          Added line to table about availability of binaries for MacOS
          and Solaris.

Sat May 14 06:12:44 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * CIAO version 0.4.5 released.

Thu May 12 10:20:55 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * Updated the COPYING file to clarify some ambiguity about
          proprietary usage of CIAO.

Tue May 10 21:12:47 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * docs/releasenotes/dance.html: Updated this page to clearly
          point out which OMG D&C specification DAnCE implements.
          Thanks to Gary Duzan <gduzan@bbn.com> for requesting this.

Tue May 10 07:49:47 2005  Douglas C. Schmidt  <schmidt@cs.wustl.edu>

        * DAnCE/examples/Hello/descriptors: Changed the name of
          ruNodeDaemons.pl to run_NodeDaemons.pl.  Thanks to Arno Wilhelm
          <arno.wilhelm@profile.co.at> for reporting this.

Sun May  8 11:07:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tests/CIDL/CodeGen/CodeGen.mpc:
          Removed requires+=cidl

Sat May  7 19:53:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/tests/NodeApplicationTest/NodeAppTest.mpc:
          Removed requires+=cidl for the NodeAppTest_RoundTrip_svnt project.
          It should not be there. Thanks for Jaiganesh B
          <jai@dre.vanderbilt.edu> for finding out that this caused the
          problems in the gcc4 build

Fri May  6 08:15:43 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/tests/NodeApplicationTest/NodeAppTest.mpc:

          Changed base project lists and added explicit lists (sometimes
          empty) for header and inline files.

Wed May  4 19:27:01 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * tools/IDL3_to_IDL2/idl3_to_idl2_visitor.cpp:

          Fixed typo in generated code - changed "provides_" prefix
          in component facet access operation to the correct
          "provide_". Thanks to Don Busch <busch_d@ociweb.com> for
          pointing out the mistake.

Tue May 03 22:42:47 2005  Nanbor Wang  <nanbor@gauss.txcorp.com>

        * NEWS: Updated news on upcoming real-time extension on Gan Deng's
          behalf.

Tue May  3 13:05:44 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Changed the generated string (used for object id) which is passed
          to the port activator constructor and to generate_reference() to
          be a concatentation of the component instance name and the port
          name, to ensure uniqueness in any use case.

Mon May 2 07:19:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * tools/RTComponentServer/RTConfig_Manager.cpp:
        * tools/Assembly_Deployer/Assembly_Impl.cpp:
        * DAnCE/DomainApplicationManager/DomainApplicationManager_Impl.cpp:
        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp:
        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.cpp:
        * DAnCE/ciao/Dynamic_Component_Servant_T.cpp:
          Fixed gcc 4 warnings

Sat May 1 03:11:17 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * ciao/tools/Simple_Component_Server/Simple_Component_Server.cpp:

          Made a change to fix compile errors.

Sat Apr 30 20:02:10 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * ciao/Container_Impl.cpp:

          Made a change to fix compile errors.

Sat Apr 30 09:58:05 2005  Jaiganesh Balasubramanian  <jai@dre.vanderbilt.edu>

        * ciao/Container_Base.cpp:
        * ciao/Container_Base.h:
        * ciao/Home_Servant_Impl_T.cpp:
        * ciao/Home_Servant_Impl_T.h:

          Made changes to the old CIAO infrastructure to support
          passing and storing of the component instance name from the
          descriptor XML file and into the component instance.

Thu Apr 28 14:50:05 2005  Jaiganesh Balasubramanian  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Dynamic_Component_Servant_T.cpp:
        * DAnCE/ciao/Dynamic_Component_Servant_T.h:
        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.cpp:
        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.h:

          Made changes to the CIAO infrastructure that allows the
          swapping capability to make use of the component instance
          name when we create object references.

Wed Apr 27 11:15:12 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/ciao/Container_Base.cpp:
        * DAnCE/ciao/Container_Base.h:
        * DAnCE/ciao/Container_Impl.cpp:
        * DAnCE/ciao/Deployment_Core.idl:
        * DAnCE/ciao/Home_Servant_Impl_T.cpp:
        * DAnCE/ciao/Home_Servant_Impl_T.h:
        * DAnCE/ciao/Servant_Impl_Base.cpp:
        * DAnCE/ciao/Servant_Impl_Base.h:

          Some cosmetic changes and changes by Jaiganesh Balasubramanian
          <jai@dre.vanderbilt.edu> to support the passing and storing of
          the component instance name (from the descriptor XML file) in
          the component instance. Also removed the gen_UUID() static
          method from class Servant_Impl_Base, since it is no longer
          used.

        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Changes to servant code generation corresponding with the
          changes above.

Tue Apr 26 18:14:01 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * docs/releasenotes/index.html:

          Updated CIDL compiler documentation, and added item about the
          existing IDL3-to-IDL2 coverter.

        * tools/IDL3_to_IDL2/README:

          Updated documentation file.

Tue Apr 26 11:34:52 2005  Nanbor Wang  <nanbor@tesla.txcorp.com>

        * docs/schema/CIAOServerResources.xsd: Changed some of the XML
          element and type names to be more consistent with the rest of
          RTCORBA spec that the following new IDL file follows.

        * DAnCE/ciao/ServerResources.idl: First cut of server
          configuration information set in IDL.

Mon Apr 25 11:07:28 2005  Jaiganesh Balasubramanian  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Container_Base.cpp:

          Fixed compiler warnings in the Debian Full_Reactor build.

Sun Apr 24 02:47:22 2005  Jaiganesh Balasubramanian  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Container_Base.cpp:
        * DAnCE/ciao/Container_Base.h:
        * DAnCE/ciao/Swapping_Container.cpp:
        * DAnCE/ciao/Swapping_Container.h:

          Made changes to fix compile errors.

Sat Apr 23 13:54:10 2005  Jaiganesh Balasubramanian  <jai@dre.vanderbilt.edu>

        * DAnCE/example/Swapping/Sender/Sender_exec_1.cpp:

          Made a modification to the example to reflect changes made
          in the infrastructure code.

Sat Apr 23 13:43:22 2005  Jai Balasubramanian  <jai@dre.vanderbilt.edu>

        * DAnCE/ciao/Container_Base.cpp:
        * DAnCE/ciao/Servant_Impl_Base.cpp:
        * DAnCE/ciao/UpgradeableContext.idl:
        * DAnCE/ciao/Upgradeable_Context_Impl_T.cpp:
        * DAnCE/ciao/Upgradeable_Context_Impl_T.h:

          Made some changes to the CIAO infrastructure to efficiently
          handle updating the facets when the component is swapped.

Thu Apr 21 18:10:13 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/examples/Hello/Hello_Base/Hello_Base.idl:
        * DAnCE/examples/HelloHello_Base/Hello_Base.mpc:
        * DAnCE/examples/HelloReceiver/Receiver.idl:
        * DAnCE/examples/HelloReceiver/Receiver.mpc:
        * DAnCE/examples/HelloSender/Sender.idl:
        * DAnCE/examples/HelloSender/Sender.mpc:

          Made cosmetic changes to all files, and added explicit
          specification of header and inline files in MPC
          projects. Also added -Sc command line option to the
          IDL compiler, to suppress generation of the TIE
          classes.

Thu Apr 21 17:40:12 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CCF/CCF/CIDL/Traversal/Elements.cpp:
        * CCF/CCF/IDL3/Traversal/EventType.cpp:

          Removed these files, since they contain nothing but
          empty namespaces.

        * CCF/CCF/CIDL/CIDL.vcproj:
        * CCF/CCF/IDL3/IDL3.vcproj:

          Removed the above files from the appropriate projects.

Thu Apr 21 14:31:21 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:

          Changes to eliminate some warnings in the Debian LInux build.

Thu Apr 21 09:06:58 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * Added UUID generation for the object id when creating
          event consumers, similar to that already added for facets.
          This change eliminates the error of repeated connection
          to the same event consumer instance when multiple
          instances and connections are intended. Thanks to
          Steve Baker <steven_d_baker@raytheon.com> for reporting
          the problem.

Thu Apr 21 09:04:32 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/TestNodeManagerMap.dat
        * DAnCE/examples/Hello/descriptors/run_test.pl

        Added a NodeManagerMap specific to the test and changed the ports
        that the node managers invoked by the test listen on to avoid
        test failures.

Wed Apr 20 16:14:26 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * docs/schema/CIAOServerResources.xsd

        Fixed syntax and semantic errors.

Wed Apr 20 12:43:53 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/run_test.pl:

          Not all the test platforms has CIAO_ROOT environment variable
          defined. Changed that dependency to ACE_ROOT in the script.

Wed Apr 20 13:11:28 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Added full scoping to a generated method call on
          Servant_Impl_Base, to eliminate a warning from the
          Borland compiler.

Wed Apr 20 13:05:23 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.cpp
        * DAnCE/RepositoryManager/Update_Plan.cpp

        Fixed compile errors in Borland.

Wed Apr 20 08:09:17 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ciao/Servant_Impl_T.cpp

        Fixed a compile error with emulated exceptions.

Wed Apr 20 08:03:23 2005 CDT  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/DP_Handler.cpp

        Silenced some compile errors in VC6.

Tue Apr 19 23:41:02 2005 CDT  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/XML_File_Intf.cpp

          Silenced some compile errors in VC6.

Tue Apr 19 16:46:00 2005 CDT  Gan Deng  <dengg@dre.vanderbilt.edu>

        * CIAO-INSTALL.html

          Fixed this page to direct people where to download CIDLC.

Tue Apr 19 17:33:55 2005  Nanbor Wang  <nanbor@tesla.txcorp.com>

        * docs/schema/ServerResourceUsage.txt:
        * docs/schema/CIAOServerResources.xsd: Added the first draft
          schema for DAnCE RT extension, and a file to document how I
          foresee the extension can be used.

Tue Apr 19 12:16:00 2005 CDT  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/IDREF_Base.h

          Fixed a compile error on VC71.

Mon Apr 18 12:50:51 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Added '.in ()' to some _var type arguments in generated code.

Mon Apr 18 08:38:14 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Changed all instances of 'FALSE' to 'false'.

Sun Apr 17 21:57:52 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantSourceGenerator.cpp:

          Removed unnecessary _narrow() and local variable from generated
          event push operations.

Sun Apr 17 16:05:57 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/examples/Swapping/Sender/Sender_exec_1.cpp
        * DAnCE/examples/Swapping/Sender/Sender_exec_2.cpp

          Fixed a compile error on platforms using emulated exceptions.

Sun Apr 17 12:46:51 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * ciao/CCM_Event.idl:
        * DAnCE/ciao/CCM_Event.idl:

          Added operation ciao_is_substitutable() to EventConsumerBase,
          so we can check if there is an inheritance relationship
          when a base class event consumer is passed to the subscribe()
          operation for a derived eventtype. Thanks to Boris Kolpackov
          <boris@dre.vanderbilt.edu> for suggesting this approach.

        * CIDLC/Literals.cpp:

          Cosmetic changes.

        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Added code generation to take advantage of the new
          EventConsumerBase operation described above.

Sat Apr 16 20:17:38 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/run_test.pl:

          Fixed some perl errors.

Sat Apr 16 18:31:40 2005 CDT  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc

          Removed typecodefactory fromt the base projects.

Sat Apr 16 17:24:40 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:

          Added a missing include file.

Sat Apr 16 17:22:42 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/run_test.pl:

          Added code to ensure killing open processes on failure.

Sat Apr 16 16:38:09 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/run_test.pl:

          Added perl script running all the steps for deploying an application.

Sat Apr 16 16:10:10 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp:

          Added two command line options to plan_launcher to easily use in
          scripts. Now the launch and destruction of the application can be
          done in two steps.

Sat Apr 16 15:00:31 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/step-by-step.html:

          Fixed typo on the documentation.

Fri Apr 15 12:54:46 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Req_Handler.h

        Fixed a compile error on builds using -pendantic.

Fri Apr 15 10:46:56 CDT 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/ciao/Container_Impl.cpp

          Added a condition to check whether call standard configurator.

        * DAnCE/RepositoryManager/Repository_Manager.cpp

          Modified to make it work by using ORBDebugLevel.

        * DAnCE/examples/Hello/Sender/Sender_exec.cpp

          Fixed a warning message.

        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_simple.cpp
        * DAnCE/tests/NodeApplicationTest/NodeApp_test_client_ex.cpp

          This should fix the warning message on Dynamic_Hash_Op_Lookup
          build.

Thu Apr 14 10:54:56 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.cpp

        Fixed a warning due to ambiguous conversion.

Thu Apr 143 10:21:58 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/Sender/Sender.idl
        * DAnCE/examples/Hello/Sender/Sender_exec.cpp
        * DAnCE/examples/Hello/Sender/Sender_exec.h
        * DAnCE/examples/Hello/Sender/starter.cpp
        * DAnCE/examples/Hello/descriptors/Hello.cid
        * DAnCE/examples/Hello/descriptors/Receiver.cid
        * DAnCE/examples/Hello/descriptors/Sender.cid

          Modified the Hello example to showcase the feature of setting
          attributes through XML. "string" and "long" type attributes
          are put into the test.

        * DAnCE/ciao/Container_Impl.cpp

          Cleaned up a little bit.

Thu Apr 14 10:14:44 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

        Added 'naming' to the list of base projects to fix a compile
        error

Thu Apr 14 02:02:13 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/Execution_Manager.cpp
        * DAnCE/ciao/Context_Impl_T.cpp
        * DAnCE/ciao/Dynamic_Component_Servant_Base.h
        * DAnCE/ciao/Dynamic_Component_Servant_T.cpp
        * DAnCE/ciao/Dynamic_Component_Servant_T.h
        * DAnCE/ciao/Home_Servant_Impl_T.cpp
        * DAnCE/ciao/Servant_Impl_T.cpp
        * DAnCE/ciao/Swapping_Servant_Home_Impl_T.cpp
        * DAnCE/ciao/Upgradeable_Context_Impl_T.cpp

        Fixed a number of mistakes with emulated exceptions.

Wed Apr 13 18:55:58 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/ciao/CCM_Component.idl
        * DAnCE/ciao/Container_Impl.cpp
        * DAnCE/ciao/Servant_Impl_Base.cpp
        * DAnCE/ciao/Servant_Impl_Base.h

          Added support for configuring component attributes through
          XML <configProperty> tags.

        * DAnCE/RepositoryManager/Update_Plan.cpp
        * DAnCE/RepositoryManager/Update_Plan.h

          Fixed to make sure correct component attributes are
          populated. Thanks Jai <jai@dre.vanderbilt.edu> for the fix.

Wed Apr 13 15:14:58 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:

          Deleted typecodefactory base project to the mpc files.

Wed Apr 13 11:39:58 2005  Emre Turkay  <turkaye@dre.vanderbilt.edu>

        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:

          Added typecodefactory base project to the mpc files.

Tue Apr 12 17:12:35 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/ciao/Servant_Impl_Base.cpp:
        * DAnCE/ciao/Servant_Impl_Base.h:
        * ciao/Servant_Impl_Base.cpp:
        * ciao/Servant_Impl_Base.h:

          Added a static method to generate a UUID. This method is
          called by the generated servant class to create unique
          object ids for port object references. Thanks to Steve
          Baker <steven_d_baker@raytheon.com> for reporting the
          problem of connecting to facets on multiple instances
          of the same component type.

        * CIDLC/ServantSourceGenerator.cpp:

          Changed code generation for provide_*_i() to use the
          new method described above.

Tus Apr 12 16:04:21 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/Old_Config_Handlers/IAD_Handler.cpp

          Modified to ignore the <dependsOn> tag, since this might
          cause a problem where multiple _svnt or multiple _exec
          libraries to be specified as implArtifacts of a component
          type.

Tue Apr 12 14:35:58 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * CIAO-INSTALL.html

        Updated to include Xerces information.  Also cleaned up the
        file a bit and made it XHTML compliant.

Tue Apr 12 11:56:26 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/ciao/Dynamic_Component_Activator.cpp
        * DAnCE/ciao/Servant_Activator.cpp
        * DAnCE/ciao/Servant_Impl_Base.cpp

        Fixed some more compile errors with emulated exceptions.

Tue Apr 12 11:11:41 CDT 2005  Will Otte  <wotte@dre.vanderbilt.edu>

        * DAnCE/ciao/Servant_Impl_Base.cpp

        Fixed some compile errors with emulated exceptions.

Mon Apr 11 23:54:21 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/NodeApplicationManager/ImplementationInfo.cpp

          Fixed a bug where multiple "_svnt" and "_exec" libs for
          a given MonolithicDeploymentDescription could cause
          chaos while pupulating ImplementationInfo stuct. This
          fix now only consides the first "_svnt" and "_exec"
          libs, and ignore remaining ones. A better solution will
          be enforcing any MonolithicDeploymentDescription could
          only have exactly one _svnt and one _exec lib. This
          will be achieved through the flattened deployment plan.

Mon Apr 11 17:56:22 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/DomainApplicationManager.mpc:
        * DAnCE/ExecutionManager/ExecutionManager.mpc:
        * DAnCE/NodeApplication/NodeApplication.mpc:
        * DAnCE/NodeApplicationManager/NodeApplicationManager.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:

          Added typecodefactory to the list of project files.

Mon Apr 11 13:43:47 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.cpp

        Corrected the ExecutionManager narrow operation.

Mon Apr 11 08:29:50 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * DAnCE/ciao/Container_Impl.cpp:
        * DAnCE/ciao/Dynamic_Component_Activator.cpp:
        * DAnCE/ciao/Dynamic_Component_Activator.h:
        * DAnCE/ciao/NodeApplication_Impl.cpp:
        * DAnCE/ciao/NodeApplication_Impl.h:
        * DAnCE/ciao/Swapping_Container.cpp:
        * DAnCE/ciao/Swapping_Container.h:

          Fixed various glitches with environment variables, unused variables,
          and ACE_TRY macros.

Mon Apr 11 07:12:54 CDT 2005  Will Otte <wotte@dre.vanderbit.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp

        Fixed a compile error.

Sun Apr 10 18:44:22 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.cpp
        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp
        * DAnCE/Config_Handlers/ccd.cpp
        * DAnCE/Config_Handlers/ccd.hpp

        Regenerated the handlers to reflect the changes in the previous
        commit.

Sat Apr 09 18:35:23 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * docs/schema/Basic_Deployment_Data.xsd
        * docs/schema/ccd.xsd

          Updated schemas to reflect changes made to Modified_Deployment
          in conformance to the spec.

Sat Apr 09 17:15:23 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

          Changed the after clause to point to the XSC_Config_Handlers
          instad of the old config handlers.

Sat Apr 09 23:59:40 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/DomainApplicationManager/Deployment_Configuration.cpp

          Fixed a bug where duplicated CORBALOC specified in the
          NodeManagerMap could cause undetected exception. This fix
          will allow such duplication IOR error to be detected explicitly
          and error message will be printed out. Thanks Steve Baker
          <Steven_D_Baker@raytheon.com> for report this bug.

Fri Apr  8 14:30:52 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/cdp.cpp
        * DAnCE/Config_Handlers/cdp.hpp

        Regenerated handlers to reflect schema changes.

        * docs/schema/cdp.xsd

        Updated schema to allow 0 on the realizes element.

Fri Apr  8 13:33:24 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ServantHeaderGenerator.cpp:
        * CIDLC/ServantSourceGenerator.cpp:

          Added backend support for attribute exceptions.

Thu Apr 07 14:49:40 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/examples/Hello/descriptors/basicNodeDaemon.pl
        * DAnCE/examples/Hello/descriptors/runNodeDaemons.pl

          Removed the first file and added the second file since
          the name of the first file doens't make any sense. These
          two files are the same.

        * DAnCE/examples/BasicSP/descriptors/flattern_deploymentplan.cdp
        * DAnCE/examples/BasicSP/descriptors/flattened_deploymentplan.cdp

          Removed the first file and added the second file since
          the name of the first file contained a typo.

        * DAnCE/examples/Hello/descriptor/Modified_Deployment.xsd

          Changed the <deploymentPlan> tag to allow zero <realizes>
          tag in the XML.

        * DAnCE/Config_Handlers/DP_Handler.cpp
        * DAnCE/Config_Handlers/cdp.cpp
        * DAnCE/Config_Handlers/cdp.hpp

          Modified handlers to accomodate the above change.

        * DAnCE/examples/Hello/descriptors/flattened_deploymentplan.cdp

          Added this file in, which is a flattened deployment plan for
          for the Hello example. I will come back to remove the <realizes>
          tag some time later since it is useless.

        * DAnCE/examples/Hello/step-by-step.html

          Bring the documentation page up to date.

Wed Apr 06 11:12:40 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/examples/BasicSP/descriptors/flattern_deploymentplan.cdp

          Cleaned this a little bit. Removed most <SupportedType> and
          <port> tags from the <realizes> tag.

Wed Apr 06 10:30:40 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/examples/BasicSP/descriptors/NodeManagerMap.dat

          Modified virtual node names to make them more meaningful.

        * DAnCE/examples/BasicSP/descriptors/DeploymentPlan.cdp

          Added this file, which is a copy of the old HUDisplay.cdp
          file. This is the old version deployment plan XML metadata.

        * DAnCE/examples/BasicSP/descriptors/BasicSP.cdp
        * DAnCE/examples/BasicSP/descriptors/HUDisplay.cdp

          Removed these two files since they are redundant. The
          former one now is "flattern_deploymentplan.cdp",
          the latter one is "DeploymentPlan.cdp".

        * DAnCE/examples/BasicSP/descriptors/flattern_deploymentplan.cdp

          Fixed this file, which contains a invalid connection, i.e.,
          connecting a EventPublisher to a SimplexReceptacle. The root
          of this problem is that "data_read" is a Facet instead of
          a EventPublisher.

Tue Apr 05 19:29:40 2005  Gan Deng  <dengg@dre.vanderbilt.edu>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc

          Fixed project dependency.

        * DAnCE/ciao/Container_Impl.cpp

          Fixed a compilation error caused by specifying a
          wrong exception name.

        * DAnCE/examples/BasicSP/descriptors/NodeManagerMap.dat

          Fixed a wrong string to specify the vitual node name.

Tue Apr  5 14:37:16 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Any_Handler.cpp

        Updated Gary's fix to work in Borland 6.

Tue Apr  5 14:13:10 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Any_Handler.cpp

        Incorporated a fix to the Any handler from Gary Duzan.

Tue Apr  5 11:34:32 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.cpp
        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp
        * DAnCE/Config_Handlers/Deployment.cpp
        * DAnCE/Config_Handlers/Deployment.hpp
        * DAnCE/Config_Handlers/ccd.cpp
        * DAnCE/Config_Handlers/ccd.hpp
        * DAnCE/Config_Handlers/cdd.cpp
        * DAnCE/Config_Handlers/cdd.hpp
        * DAnCE/Config_Handlers/cdp.cpp
        * DAnCE/Config_Handlers/cdp.hpp
        * DAnCE/Config_Handlers/cid.cpp
        * DAnCE/Config_Handlers/cid.hpp
        * DAnCE/Config_Handlers/cpd.cpp
        * DAnCE/Config_Handlers/cpd.hpp
        * DAnCE/Config_Handlers/iad.cpp
        * DAnCE/Config_Handlers/iad.hpp
        * DAnCE/Config_Handlers/pcd.cpp
        * DAnCE/Config_Handlers/pcd.hpp
        * DAnCE/Config_Handlers/toplevel.cpp
        * DAnCE/Config_Handlers/toplevel.hpp
        * DAnCE/Config_Handlers/XMLSchema/Types.hpp

        New version of the generated XSC handlers fixing the following problems:
          - Use ACE_TCHAR instead of char as the character type
          - Export macros for the generated classes.
          - Borland 6 support
          - Misc VC6 warnings.

Sun Apr  3 23:52:50 CDT 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * examples/BasicSP/descriptors/flattern_deploymentplan.cdp

        Fixed a mistake in the descriptor.

Sun Apr  3 18:08:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/Container_Base.h:
        * ciao/ServerActivator_Impl.h:
          Added missing include of ace/Hash_Map_Manager_T.h

Sat Apr 02 13:12:40 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/examples/BasicSP/README.html: Brought the documentation a
          bit more up-to-date.

Sat Apr  2 13:06:02 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/ciao/Container_Base.cpp: Added more debug print out
          statements in install_home method.

Sat Apr 02 11:45:52 2005  Nanbor Wang  <nanbor@exothermic.txcorp.com>

        * DAnCE/Plan_Launcher/Plan_Launcher.mpc:
        * DAnCE/Plan_Launcher/Plan_Launcher.cpp: Merged from xsc_handler_1
          branch.  Added a missing break statement, otherwise, it will not
          run.

Thu Mar 31 20:31:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/ciao/NodeApplication_Impl.h:
        * DAnCE/ciao/Container_Base.h:
        * DAnCE/NodeApplicationManager/NodeApplicationManager_Impl.h:
          Added missing include of ace/Hash_Map_Manager_T.h

Thu Mar 31 09:45:07 2005  Boris Kolpackov  <boris@kolpackov.net>

        * CCF/CCF/IDL2/LexicalAnalyzer.cpp:
        * CCF/CCF/IDL2/Parser.cpp:
        * CCF/CCF/IDL2/Parser.hpp:
        * CCF/CCF/IDL2/SemanticAction/Attribute.hpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Attribute.cpp:
        * CCF/CCF/IDL2/SemanticAction/Impl/Attribute.hpp:
        * CCF/CCF/IDL2/SemanticGraph/Attribute.cpp:
        * CCF/CCF/IDL2/SemanticGraph/Attribute.hpp:
        * CCF/CCF/IDL2/Traversal/Attribute.cpp:
        * CCF/CCF/IDL2/Traversal/Attribute.hpp:
        * CIDLC/ExecutorMappingGenerator.cpp:

        Added support for raises-specification in attributes.

Wed Mar 30 21:48:14 2005  Nanbor Wang  <nanbor@cs.wustl.edu>

        * DAnCE/Config_Handlers/Deployment.hpp: Made the function
          deploymentPlan an export function since it will be accessed
          externally.  The handler test program needed this change to
          compile on Win32.

        * DAnCE/Config_Handlers/Config_Handlers.mpc: Changed to source in
          the Xerces library settings from the latest xerces MPC template
          that Kitty suggested.

        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp:
        * DAnCE/Config_Handlers/ccd.hpp:
        * DAnCE/Config_Handlers/cdd.hpp:
        * DAnCE/Config_Handlers/cdp.hpp:
        * DAnCE/Config_Handlers/cid.hpp:
        * DAnCE/Config_Handlers/cpd.hpp:
        * DAnCE/Config_Handlers/iad.hpp:
        * DAnCE/Config_Handlers/pcd.hpp:
        * DAnCE/Config_Handlers/toplevel.hpp:
        * DAnCE/Config_Handlers/XMLSchema/Types.hpp:
        * DAnCE/Config_Handlers/XSCRT/Elements.hpp:
        * DAnCE/Config_Handlers/XSCRT/Parser.hpp:
        * DAnCE/Config_Handlers/XSCRT/Traversal.hpp:
        * DAnCE/Config_Handlers/XSCRT/Writer.hpp:
        * DAnCE/Config_Handlers/XSCRT/XML.hpp: Changed all local include
          files to use the right syntax.  I.e., they should be in the form
          of:

            #include "foo/bar.h"

          instead of

            #include <foo/bar.h>

Wed Mar 30 22:03:23 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * docs/schema/xsc-banner.cpp
        * docs/schema/xsc-banner.h

        These files are the banners that should be included at
        the top of XSC generated code.

Wed Mar 30 13:23:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * ciao/ComponentsC.h:
        * DAnCE/ciao/ComponentsC.h:
          Fixed include of Typecode.h to TypeCode.h

Wed Mar 30 13:20:12 UTC 2005  Johnny Willemsen  <jwillemsen@remedy.nl>

        * DAnCE/Config_Handlers/DataType_Handler.cpp:
        * DAnCE/Old_Config_Handlers/DT_Handler.cpp:
          Fixed include of Typecode.h to TypeCode.h

Thu Mar 24 17:02:34  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/Basic_Deployment_Data.hpp
        * DAnCE/Config_Handlers/Deployment.hpp
        * DAnCE/Config_Handlers/ccd.hpp
        * DAnCE/Config_Handlers/cdd.hpp
        * DAnCE/Config_Handlers/cdp.hpp
        * DAnCE/Config_Handlers/cid.hpp
        * DAnCE/Config_Handlers/cpd.hpp
        * DAnCE/Config_Handlers/iad.hpp
        * DAnCE/Config_Handlers/pcd.hpp
        * DAnCE/Config_Handlers/toplevel.hpp
        * DAnCE/Config_Handlers/XSCRT/XML.hpp
        * DAnCE/Config_Handlers/vc6-4786.h

        Finally beat a big warning problem in VC6.

Thu Mar 24 15:19:21 2005  Will Otte <wotte@dre.vanderbilt.edu>

        * DAnCE/Config_Handlers/XSCRT/Elements.hpp
        * DAnCE/Config_Handlers/XSCRT/XML.hpp

        Moved a pragma disable from Elements.hpp to XML.hpp to
        attempt to silence more warnings in VC6.

Thu Mar 24 14:52:03 2005  Will Otte <wotte@dre.vanderilt.edu>

        * DAnCE/Config_Handlers/Any_Handler.cpp

        Fixed a compile error for 64bit arch that resulted from
        the earlier VC6 fix.

Thu Mar 24 09:21:59 2005  Jaiganesh B  <jai@dre.vanderbilt.edu>

        * DAnCE/examples/Swapping/Sender/Sender.mpc:

          Added the "after" clause in the MPC file to fix a
          linker error.

Thu Mar 24 08:46:07 2005  Jeff Parsons <j.parsons@vanderbilt.edu>

        * CIDLC/ExecImplSourceGenerator.cpp:
        * CIDLC/Literals.cpp:
        * CIDLC/Literals.hpp:
        * CIDLC/ServantSourceGenerator.cpp:
        * CIDLC/TypeNameEmitter.cpp:

          - Added generation of ACE_UNUSED_ARG macros for local variables in
            the get_registered_consumers() method for upgradeable components,
            to avoid unused argument warnings if the component has no
            event consumers.

          - Added predefined string literals for "ACE_UNUSED_ARG",
            "ACE_CHECK_RETURN", and "ACE_THROW_RETURN".

